Introduction to 'Virtual Machines'

Introduction to 'Virtual Machines'

 This is the first topic Next topic

Introduction to 'Virtual Machines'

 This is the first topic Next topic

Hi Pearl guys and 'ClickStart' people, welcome to the world of Windows 10 and also Virtual Machines.

Before we launch into details of how to do 'this', and how to do 'that', we need to establish a few

basic facts and ideas, just so all the rest then fits into place as we come to it, and deal with it !

Please be aware that in these eNotes, my reference to VMs is at the moment totally restricted to

those which are based on 'Hyper-V' technology and the software manager that Microsoft provides.

What we need to explore and discuss :-

- what is a 'machine' (computer) ?

- what is a 'virtual machine' (VM) ?

- what is 'Hyper-V' technology ?

- how to create one or multiple VMs on one PC

- which operating systems can be 'within' a VM ?

- some limitations of VMs

- VMs in the clouds - or VMs at a distance

- VM's we use without realising it ;-0)

- installing Windows 10 in a VM with a base operating system of Windows 8.1

- installing all the applications and software packages to be able to make and run Vulcan 3 apps.

- creating Phone 8 apps from within a Windows 10 virtual machine

A word of CAUTION from friend Willie Moore :

.... You can generally only have one "hypervisor" active on the host operating system at a time.

That not only goes for Microsoft's 'Hyper-V', it also applies to 'VBX' and 'VMWare'. .....

[ .. VBX is VirtualBox from Oracle .. VMWare is a product and not a general term like "VM-ware" .. ]

So make sure you disable any version of VM-ware except the one you specifically require - and REBOOT !!!

PHH - 4th. October 2014.


Available books, texts and eBooks

Available books, texts and eBooks

 Previous topic Next topic

Available books, texts and eBooks

 Previous topic Next topic

*** CARE ***

Be aware that there are many, MANY, publications out there on both 'Hyper-V' technology and 'VMware' in particular.

I was amazed at how many could be found by simply searching in Amazon alone - check this out :-

================================================================================================================================

Book after book, after book - however, not all of the 75 pages of hits was directly related to 'Hyper-V' - but

many more than I thought !!

Before you look at a few selected images of sample books, be aware that there are many books in print

which are now out of date - you need reference to 2012 and NOT 2008, unless you specifically know you

need the old versions.

Also be aware that if you are a standard 'user' guy like myself, some of what is on offer is really for network

administrator chaps - not your individual developer guys.

For my sins, I seem to have two older books, and neither makes much sense to me, or draws me in as

to wishing to read chunks of stuff. Mind you they are clearly labelled "Network Professional's Library" so be warned !

====================================================================================================================================================================

================================================================================================================================================================================

=====================================================================================================================

==============================================================================================================================================================

PHH - 5th. September 2015.


Understanding the development of these eNotes over time !

Understanding the development of these eNotes over time !

 Previous topic Next topic

Understanding the development of these eNotes over time !

 Previous topic Next topic

As you may have noticed, the global state of ICT and programming / coding moves VERY fast indeed.

For this reason it often seems as though support notes are out of date as we write them ;-0)

However, even though versions may change and advance, the earlier eNotes can still be of help and

assistance - so we can't be continually refreshing them for the 'very latest' of everything.

On the other hand if some entry (available information) is WRONG because of changes, then I will

endeavour to delete and remove it from the eNotes.

Luckily this situation hardly even occurs, simply because of the way Microsoft goes about their business

and software development.

A lot of what is contained in these eNotes about making VMs with Windows 8.1 is equally applicable

to what needs to be done in Windows 10.

PHH - 28th. July 2015.


what is a 'Machine' - computer ?

what is a 'Machine' - computer ?

 Previous topic Next topic

what is a 'Machine' - computer ?

 Previous topic Next topic

Okay folks, before we worry ourselves over understanding what a 'Virtual Machine' (VM) is, we

had better get things straight in our heads as to what a 'machine' is.

It is probably better to say that a PC as we normally know it is a 'Machine', meaning it has hardware

parts and software running on the hardware.

When we first start up a 'machine' or PC, it eventually loads up an operating system, or O/S.

The 'O/S' can be thought of as a 'layer' on to of the underlying hardware.

When we run an application, this is software running as another 'layer' on top of the 'O/S'.

For most of us, and for most of the time, we run Windows as our operating system (O/S).

Visual Studio is an application which sits on top of Windows.

Good Design, and Interface Surfaces :

If we are using a well designed O/S then this will do all the interaction with the hardware parts, like printers

and disk drives, and network connections, etc., etc..

It is a design 'No-No' to have software calls which by-pass the O/S interface and make direct calls into hardware

drivers.

I remember some early computers which allowed this ;-0(( - BAD !!!

When an application requires the printer, disks, etc., it should make a call to the O/S and not call into the

operating system layer itself - the surface 'boundary' should be clean and discrete.

We can think of this boundary surface as the interface between hardware and the operating system.

Quite often when the O/S needs to call on parts of the hardware 'layer' it actually goes through yet another

lower software layer, and this lower layer is called a 'driver'. So we have software drivers for networks, video

cards, and many more 'parts'.

So then, when we wish to print from Visual Studio, this application should make a call to the operating system,

which then in turn calls on the correctly selected printer driver, which then controls the printer using this driver.

It is because we have 'layers' and that these are used 'cleanly' that we can then build virtual machines.

Care when you consider the GUI surface of Windows - what we call 'Windows' is not just the O/S but also a

lot of software tools, or applets, like File Explorer, Notepad and many more.

DOS - Disk Operating System ? - NOT 'denial of service' ;-0))

Try studying the following image :-

==========================================================================

However, the story get more interesting - read on to hear why :-

====================================================================================================================================

Wow !! So we had an O/S on top of an O/S. Bet some guys never knew that, and in some ways why should they.

And now we have O/S 'inversion' - such that DOS is run within Windows.

Don't panic or worry, it gets far more interesting than this ;-0))

Time to move on ...............

Lets go and discuss Virtual machines (VMs) ...........

PHH - 4th. October 2014.


what is a 'Virtual Machine' - (VM) ?

what is a 'Virtual Machine' - (VM) ?

 Previous topic Next topic

what is a 'Virtual Machine' - (VM) ?

 Previous topic Next topic

Lets keep this quite simple - we only need a correct model in our heads so that it is sufficient

for us to create and use VM on our own Windows based computers and Tablets.

Basically, a 'VM' (virtual machine) is one operating system running within a hosting operating

system.

Usually, the O/S being hosted is different to the one hosting it, but it does not have to be different.

Example :-

Probably a common VM situation is where we have a guy running 'Unix' on a Windows computer. So the

host O/S is Windows and the hosted O/S is Unix.

The 'shell' of software holding the hosted Unix, is where we come into VM applications, or virtual

machine 'layers'.

The hosted O/S is still a full version of the operating system, it is not different in any way.

So in the example we will follow through in these eNotes is where we have Windows 10 (the new

pre-release version of Windows) hosted in a 'Hyper-V' shell, and where this 'shell' is running like

an application on Windows 8.1, on my main desktop PC.

Since the Hyper-V 'shell' is running just like a standard application on my PC, it should then be possible

to run multiple instances, just like when I have three instances of Visual Studio open on the desktop.

Below is an example just to get you interested - check this out :-

The above image shows that when it was captured, my desktop PC was running through the Hyper-V manager,

four virtual machines, one set-up by Microsoft (and started by me) the other two were created by myself.

Note that we are seeing two instances of the 'Pearls VM' running - that very same VM that we will see

created in the walk-through sessions in the sections to follow in these eNotes.

At the present moment I am not aware of any problems caused by running multiple instances, but I would

not be surprised if I found some later ;-0)

Here below is the connection box of the 'Hyper-V' manager :-

===============================================================================

Note that we only get one list entry per VM created, and that we need to use the same entry more than once

if we are to get multiple instances running.

Quick / Short Summary :

Time to move on.

See you in the next sub-section ..........

PHH - 4th. October 2014.


Other VMs we may use without realising

Other VMs we may use without realising

Other VMs we may use without realising

 Previous topic Next topic

PHH - 4th. October 2014.


Microsoft Azure - and 'VMs'

Microsoft Azure - and 'VMs'

Microsoft Azure - and 'VMs'

 Previous topic Next topic

This is a large topic and needs a separate chapter to itself.

Go checkout Chapter 21 towards the end of these eNotes.

BUT - in a nutshell, Cloud based services from Microsoft (Azure) and others, all seem to revolve around

VMs - Virtual Machines.

In the specification for cloud based VMs we can often select hardware settings which are not available to

us on our local PC systems - simply because we are 'stuck with' the hardware we have installed and

connected.

============================================================================================================================================================

======================================================================================================

============================================================================================================================

PHH - 4th. October 2014 & 10th. November 2014.


before you (download and) install Windows 10

before you (download and) install Windows 10

before you (download and) install Windows 10

Previous topic Next topic

Before we rush off and explore Windows 10 (TP) within a virtual machine, lets take a quick

look at what some better quality web articles are saying - check this stuff below by Larry Dignan :-

http://www.zdnet.com/microsoft-ceo-nadella-windows-10-is-an-iot-play-too-7000034418/

======================================================================================

=======================================================================================

Okay then, time to move forward with this - try the next link :-

http://windows.microsoft.com/en-gb/windows/preview-faq#faq=tab0

This is some 'blurb' from Microsoft themselves :-

====================================================================================================================================================================================

========================================================================================================================================

BEWARE - BEWARE - BEWARE !!!

=======================================================================================================================================

PHH - 4th. October 2014.


finding 'Windows 10' - (TP) download

finding 'Windows 10' - (TP) download

finding 'Windows 10' - (TP) download

 Previous topic Next topic

Build 9841 :

This was my first download - see the build number :-

http://windows.microsoft.com/en-au/windows/preview-iso

===============================================================================================================================================

==================================================================

And also :-

http://windows.microsoft.com/en-gb/windows/preview-download?ocid=tp_site_downloadpage

Same pre-amble information and then this :-

===================================================================================================================================================================================

Build 9860 :

===========================================================================================================================

Second CTP release October 22nd. (ish)

http://windows.microsoft.com/en-us/windows/preview-iso

Use the above link for downloads.

http://www.winbeta.org/news/windows-10-build-9860-now-available-features-nearly-7000-improvements-and-fixes-build-9841

================================================================================================================================================================

And here is the download :-

============================================================================================================================================

And I will move this to my larger D: drive :-

=======================================================================================================================================

PHH - 4th. October 2014.


How to use WTP - 'Windows Technical Preview'

How to use WTP - 'Windows Technical Preview'

How to use WTP - 'Windows Technical Preview'

 Previous topic Next topic

http://windows.microsoft.com/en-gb/windows/preview-how-to#how-to=tab0

==================================================================================================================================================================================

=====================================================================================================================================

PHH - 4th. October 2014.


Other 'flavours' of VM-ware

Other 'flavours' of VM-ware

Other 'flavours' of VM-ware

 Previous topic Next topic

Here is a slide from a Power Point Presentation designed for "DevShare15" - it speaks for itself :-

============================================================================

For me, it was a few years ago that I last looked at what could be done on my office PC platform with

the 'VMware' available at the time.

Because it did not seem to do as I required, I put the project to one side and got on with loads of other

stuff. If I recall correctly it was the limited video format which was disappointing - I wanted multiple monitors

as well as the highest resolution of my hardware.

For a number of reasons, it seemed like a good time to re-visit the topic, after I returned from DevShare14

where we talked of Virtual Machines in the 'Cloud' for quite some time. Paul's sessions on Azure mainly.

So lets see what is out there for us to use, other than the quality offering of 'Client Hyper-V' from Microsoft.

Oh! - should have said, when I last looked at this stuff 'Hyper-V' was in its infancy as far as the Desktop was

concerned, and it was before I got Windows 8, so it was NOT easy to get it and/or set it up - not like it is today !

Here is a good link to get us started :-

http://www.lifehacker.co.uk/2010/12/19/five-best-virtual-machine-applications

===========================================================================================================================

On the topic of using 'Hyper-V' or a.n.other - here is a useful quote / comment I came across :-

The biggest reasons to continue using "VMware Workstation" or "VirtualBox" would be your existing

investment in expertise and also your familiarity with them.

But it's well worth trying out "Client Hyper-V" with your existing virtualization projects to see if there's a

major boost in performance or if you simply like the "Client Hyper-V" interface better.

Certainly I found it VERY easy to get into, even for a newbie like myself.

Since my experienced friend and colleague Paul Piko still uses VirtualBox to good effect, I thought we

ought to give it a whirl to see if we can make it work for us.

"VirtualBox" (from Oracle) :

http://www.oracle.com/technetwork/server-storage/virtualbox/downloads/index.html

http://www.oracle.com/technetwork/server-storage/virtualbox/downloads/index.html#vbox

======================================================================================================

The links should lead you swiftly to a page looking something like the following image :-

=======================================================================================================================

For this first trial I just downloaded the first option, and not as yet the extension pack.

*** Notice *** that in the larger image below, the platform is clearly marked as being for BOTH x64 bit as well as x32 bit

operating systems :-

=================================================================================

It is important to realise that in order to create a VM based on a x64 bit O/S, then both the host O/S and the VM-ware

need to be x64 bit based.

So a x64 bit Windows (like version 8.1) can host a VM based on Windows 7 x64 bit - as long as the VM-ware is up to

the task of x64 bit.

*** IMPORTANT *** later we will see that we need to change the boot-up settings for Windows 8.1 if we wish to use x64

VirtualBox hosting - we have to effectively disable the 'Hypervisor' in Windows.

Here is what I got after downloading :-

=====================================================================================================================

Click the file entry in File Explorer and kick the install into action - here we go below :-

======================================================================

There is not much to say about the install procedure but we will show all the meaningful

screen images to help any new guy get going - visuals help a lot I find.

Here is the second screen which can be just clicked as 'Next' :-

======================================================================

Let the install wizard have its head :-

======================================================================

As you can see above I wish to have icons and short-cuts wherever possible.

Once again, let the Wizard do things for you :-

======================================================================

And having gathered set-up information and settings etc., lets start the installing process :-

======================================================================

Remember to give the install process its head - let it do what it wishes to do :-

=======================================================================

For the guys who do not trust anyone, and there are a few around, I can't really suggest

an alternative - I just clicked to trust, and kept on going :-

======================================================================

Finish and start the VM manager - see below for the first time it opens :-

============================================================================================================

Now clcik the nice light blue button at top left of screen - to start the creation process :-

===========================================================================================================

In the above image the details are supplied by me because it is a Linux / Android VM that I wish to create.

We will continue the full creation process in Chapter 9, but for now we need to see how our Windows 8.1 system

has changed after the install of the VM manager for 'VirtualBox', and how we may provide quick and easy access

for future use.

Go to the Start screen and type 'virtualbox' - anywhere in the Start screen after moving there :-

==================================================================

In the above 'selection' right click for the context menu and check to pin to start and to task bar.

If you do this then we see the following :-

===========================================================

And the Start screen on my system now looks like this :-

=============================================================================

You may have to do your own fiddling around to add an icon to the Desktop as well - see below :-

==========================

Okay then folks, that is it, we have the Oracle VM manager for 'VirtualBox'

See you in Chapter 9 where we put it to good use.

PHH - 5th. & 8th. & 9th. October 2014.


General advice on mixing VM-ware - CARE !!!

General advice on mixing VM-ware - CARE !!!

 Previous topic Next topic

General advice on mixing VM-ware - CARE !!!

 Previous topic Next topic

At first, different options and mixing flavours seems like a good idea, even a GREAT idea.

It would look as though we can get the best from each VM-ware 'flavour'.

BUT - reports back from experienced guys warn about the poor ability of most VM-ware versions

(or types) to mix with others which are different.

It would appear common that one flavour of VM-ware can alter or lose settings existing for the other,

and vice versa. This means that working and tested VMs can stop working ;-0((

PHH - 21st. October 2014.


Nested 'VMs' - possible ???

Nested 'VMs' - possible ???

 Previous topic Next topic

Nested 'VMs' - possible ???

 Previous topic Next topic

Yes, I know ! - people often say I am crazy ;-0)

However, if the software has been written well (and correctly) then we ought to be able to make a

new virtual machine within our Windows 10 - yes, I know, that is running in a VM already !!

On the other hand we may find that this is impossible !! (because we are overlooking something important)

First of all lets see if we can use the O/S tools to find and turn on the Hyper-V feature / facility.

Remember we are doing this within a running Windows 10 'VM'.

Check out the following image details :-

==========================================================================================================================================

==============================================================================================================================

=====================================================================================================

===================================================================================================================================================================

=====================================================================================================

==============================================================================================================

==========================================================================================

=========================================================================

PHH - 5th. October 2014.


WARNINGS - what to look out for !!!

WARNINGS - what to look out for !!!

 Previous topic Next topic

WARNINGS - what to look out for !!!

 Previous topic Next topic

As well as warnings and reported 'gotchas' you need to be aware of Appendix X, as this really fooled me.

When we are exploring using other flavours of VM-ware on a Windows system running Hyper-V we can

get 'unstuck' !!!

=========================================================================

You may think it is odd to start out in the Introduction section talking about warnings, problems

and issues - the 'gotchas' of virtual machine projects - BUT - it is necessary as a LOT of time and

effort can easily be lost.

AND, needless to say we can all get VERY frustrated too.

What does any O/S provide for us ? :

What is likely to be missing ? :

What issues and missing features have I come across in my testing in these eNotes ? :

Which VMware seemed the most reliable on a Windows 8.1 x64 bit platform ? :

Which O/S downloads seemed the best as a Virtual Machine :

VMs messing up the operation of the main O/S !? :

[ .. or when is a SandBox not a sandbox ? .. ]

Over expecting - You will realise just how good Windows is ;-0)

PHH - 9th. October 2014.


Mixing VM-ware 'flavours' on one PC

Mixing VM-ware 'flavours' on one PC

Mixing VM-ware 'flavours' on one PC

 Previous topic Next topic

PHH - 16th. October 2014.


Printers and Printing

Printers and Printing

Printers and Printing

 Previous topic Next topic

If you are experienced in IT matters then you will know that "Printers and Printing" has been a

thorny subjects for many decades !

For most of us Microsoft eventually sorted things nicely for us - so don't be surprised to find the with

VM use, the subject comes back to haunt us, again !!!

All but "Windows 10" did not pick up and show the printer I have here, and there did not seem like a

way to go find it either.

==============================================================================================

==============================================================================================================

====================================================================================

=====================================================================================================================

=============================================================================================

============================================================================================

===================================================================================

PHH - 9th. October 2014.


Networks and Internet access

Networks and Internet access

Networks and Internet access

 Previous topic Next topic

For some reason the first time (or two, three) I used the New VM Wizard to create a new VM the

connection drop list looked like the following - check this out :-

=========================================================================================================================

This seems reasonable as the hardware displayed by the Device Manager looks like this :-

========================================================

Notice in the above image the 'Intel(R) ...' entry into the Network adapter node.

However, since my first tests and trials with the H-V Manager, I now only seem to get Virtual Switch

options to chose from when selecting a Network Adapter.

Here is what I usually see now that I am up and running - check this out :-

=============================================================================================================================

Yep ! - a whole bunch of possible VSes (virtual switches).

This is not a problem, or issue for me, I am just wondering why the change ?

Any newly defined switch (virtual) is usually based on some hardware 'kit', which can be selected from a drop list.

Lets move on ......................

==================================================================================

PHH - 9th. & 20th. October 2014.


Mouse and Keyboard

Mouse and Keyboard

Mouse and Keyboard

 Previous topic Next topic

PHH - 9th. October 2014.


USB drive Files, and SandBoxing

USB drive Files, and SandBoxing

USB drive Files, and SandBoxing

 Previous topic Next topic

PHH - 9th. October 2014.


Access to Dropbox and OneDrive

Access to Dropbox and OneDrive

Access to Dropbox and OneDrive

 Previous topic Next topic

PHH - 9th. October 2014.


Chapter 0 - checking out 'Hyper-V'

Chapter 0 - checking out 'Hyper-V'

Chapter 0 - checking out 'Hyper-V'

 Previous topic Next topic

It is probably a good idea for you to see and read Chapter 10, sub-section 1 (disabling and enabling ........)

This seems to cover the Command Prompt way of doing that seen below in this sub-section .............

==================================================================================================

Lets do a little Googling to find and see the following :-

http://windows.microsoft.com/en-gb/windows-8/hyper-v-run-virtual-machines

===========================================================================================================================================

So then folks, before we go any further, we have learned that if we have a modern PC with good hardware,

and we are running Windows 8 or more, we have to switch on the 'Hyper-V' facility (or feature).

Here is what my dialog screen looks like - in the past I must have done as suggested in the image text

above - that from Microsoft.

Check out these details in full :-

================================================================================

And now we need to remember this :-

The exact technical name for 'Hyper-V' in Windows 8 is "Client Hyper-V".

Microsoft picked this name to distinguish Windows 8's implementation of Hyper-V from the full-blown

Windows Server incarnation, which is aimed at the server market and designed for more upscale,

industrial-strength virtualization scenarios.

Client Hyper-V is for end-users on the desktop who want to make virtualization work for them directly.

When we get to discussing Microsoft's 'Azure' we are most likely going to see the full server version of

virtualisation running on the Cloud servers.

Keep the above in mind!

PHH - 4th. October 2014.


what is 'Hyper-V' technology ?

what is 'Hyper-V' technology ?

 Previous topic Next topic

what is 'Hyper-V' technology ?

 Previous topic Next topic

Okay then, so according to the last sub-section 'Hyper-V' is some software technology

built into Windows Server and also the client version of the Windows 8 operating system.

[ .. correctly termed 'Client Hyper-V' for the Windows desktop .. ]

Serdar also said this :-

Oddly, most people don't seem to know Hyper-V even exists in Windows 8, let alone what it's good for.

But it's one of the hidden pearls inside the Windows 8 oyster.

================================================================================================================================

==================================================================================================================================

PHH - 5th. October 2014.


what is 'Hyper Threading' technology ?

what is 'Hyper Threading' technology ?

 Previous topic Next topic

what is 'Hyper Threading' technology ?

 Previous topic Next topic

http://www.makeuseof.com/tag/hyperthreading-technology-explained/

"Understanding Hyper-Threading is important, however, because it’s a major feature on some Intel processors.

Like most major processor features, it can be twisted and turned by the sales reps you meet.

I’ve had a Fry’ store employee tell me that Hyper-Threading effectively doubles the number of cores on a processor.

Although true in a sense, it’s mostly an exaggeration."

PHH - 5th. October 2014.


Accessing / Processing Files - Host to VM in 'Hyper-V'

Accessing / Processing Files - Host to VM in 'Hyper-V'

Accessing / Processing Files - Host to VM in 'Hyper-V'

 Previous topic Next topic

In the virtual machines (VMs) created with Hyper-V technology, the 'SandBox' within which the VM sits

makes it difficult or impossible to see hardware drives of the host computer and system, and so to be

able to move data and files around - from host to VM and back the other way.

OR - so the urban myth would have it !

At first a developer may get frustrated - BUT, Hey! what do you want your VM to be, partly VM when you

want it to be, and not when it suits you ? This is called having it both ways ;-0)

In this section we will explore some ways in which we can move files both ways across the Host / VM

interface. Here we take 'interface' as a surface between VM and Host.

I have just copied 5 music tracks from a USB stick on my main PC to a folder on my virtual disk, without

any issues - BUT - we have to do things the modern way. We need to share the disks first and then use

the network connections to access the shared drives on network devices.

If you mentally go about it wrong you will apparently hit a brick wall.

If you go about it right, then you can move files almost "at will", but you need to offer your disk for sharing.

I am NOT a guru is such hardware and system matters - BUT - after 15 minutes of careful experimentation

and exploration, I have managed to do just about everything I need on a files copying level.

============================================================================

Here is the sort of 'Myth', magic and mayhem which gets talked about :-

Here is a URL or web link :-

http://www.mustbegeek.com/copy-files-from-host-to-virtual-machine-in-hyper-v/

Bipin Giri - Oct. 13, 2013.

In Hyper-V, copying files from the host machine, to the virtual machine, is not so easy.

In VMware workstation, you would simple install 'VMware tools' and then simply copy and paste the files.

But in Hyper-V, this is not the case.

There are some work around methods that you could use to copy files to virtual machine.

Lets move on and see how we can easily do just about anything, and that includes using USB devices / memory sticks.

"Getting our share and copying it ! " [ based on "Having our cake and eating it ! " ] :

Rule One - if we don't offer the disk / memory device as a 'Share' on the Host, then we can't use it as a device

within the VM itself. As simple as that ;-0)

Rule Two - by using a virtual switch (with our Network Adapter), set to either External or Internal, we can allow

or mask (hide) access to physical hardware from within the VM itself.

So to get us going let us look at some images of success, from one of the more supposed difficult situation,

that of accessing USB sticks, and the files in their folders. Just to prove that it can be done ;-0)

Below is an image of the main hyper-Drive (boot drive ?) on my VM entitled "Windows 10 TechPreview" :-

=================================================================================================================================

Notice that there are five music / audio files which have just been pasted into the 'MusicTestVM' folder.

Here below is an image of me previously making a new and empty folder for this group of audio files :-

========================================================================================================

And now we get to view and study the image of me highlighting (ready for copying) the first five odd valued files (1,3,5,7,9) from

the physical main desktop PC (machine) from a drive 'H' or 'h:' which is in fact a USB stick

========================================================================================================================

When we look at, and try to interpret, the screens and panes from 'File Explorer', we need to realise that

'access' for devices does not mean they appear as 'nodes' under the VM itself (shown as 'This PC'), but that they

still stay shown and displayed as 'nodes' under the in focus network 'machine' - above called "BIG-T".

Lets move on a pace or two ...........

In the following sub-sections we will see how to set-up disks and devices on the Host machine, so that they are

available to the hosted Virtual Machine.

We will also see how to make these devices and disk accessible (or hidden) to the VM, depending on our design wishes.

In the next subsection we will first see how to set-up a 'Virtual Switch' and use this to enable us to access all that we

require as far as disks and hardware devices are concerned.

See you there ....................

PHH - 17th. October 2014.


Private / Internal - virtual switch to 'isolate' the VM

Private / Internal - virtual switch to 'isolate' the VM

Private / Internal - virtual switch to 'isolate' the VM

 Previous topic Next topic

First of all we need to look at the VM (virtual machine) end of things.

By this I mean how we set up the VM so that it can see every piece of hardware 'kit' offered by the Host PC.

Move your mouse to the Task Bar and locate the 'Hyper-V Manager' - this is what I see on my system :-

======================================================

Launch and open the Manager at the main screen - here is mine with Host platform 'BIG-T' in focus :-

============================================================================================================

In the above image under the 'Actions' pane we see settings options for the Host itself - not the individual VMs

that we have already made.

We need to see how to launch the Virtual Switch (VS) input/edit screen - there are a couple ways in which we can

launch this VS settings tool. Below is seen one way - check this out :-

======================================================================================

Above we see that a right click on the 'BIG-T' node brings up a suitable context menu. In the image

shown above we are just about to click to select the "VS Manager".

Now we can also launch the "VS Manager" by just clicking on the appropriate entry in the RHS 'Actions'

pane - check this out below :-

==================================================

Either of these ways shows us a 'Manager' screen similar to that see in the following image :-

============================================================================================================

Note above that with the first entry (node) of the LHS pane selected, we have three options available for

the 'Type' of the virtual switch we are about to make.

External, Internal and Private - so what are these ? The notes shown below the list selection box may

aid our understanding.

Lets see these now, and compare them :-

=============================================================================

The 'External' option looks most likely to give us access to all devices - if the words

are anything to go by!

What of the next option, which is more restrictive ? - check this out :-

===========================================================================

Okay then, the above sounds slightly more restrictive, but I am not sure I really

understand exactly what it is saying !?

So what of the last option ? Checkout the explanation at the bottom of the following

image :-

==========================================================================

Sounds a lot more restrictive - BUT - I still don't really understand it fully.

We need to make some experiments, and do some exploration. For a change let us start

with Private, just because I have not used it previously.

Private :

Go into the settings screen for the main machine / PC / computer, in my case "BIG-T", and

then make a new VS (virtual switch) based on the Private "Connection Type".

Here is what I did - check this out :-

===========================================================================================================

[ .. notice that there is no selection of the network adapter card (hardware) - as there was for 'External' .. ]

Then make sure you click 'Apply' and the choose 'OK'.

Make sure that any running instance of the test VM is turned off, in my case it is the VM entitled "Windows 10 Tech Preview".

Make the Manager screen look like the following image, with the RHS pane collapsed for 'BIG-T' and open for the VM we

require - check details below :-

================================================================

So we need to select the 'Settings' screen for the chosen VM - here is mine below :-

================================================================================================================================

We see that the current virtual switch is the on called 'NewVSwitchRepair' which is based on an "External" type.

Let us now make a selection from the drop down list to choose the VS based on the 'Private' type.

Here I am part way through selection :-

================================================================================================================

And if we do our selection correctly, and apply and close, then when we re-open the settings screen for the VM we

see that the applied network adapter is still 'OurPrivateExpVS' - check below :-

===========================================

Note the correct selection on the first Network Adapter - and don't ask ! , I have no idea as to why

there are two present in the LHS hardware pane.

So folks, its no surprise at all that we see that when we Connect and run the VM we see that we do

not have an Internet connection. See below :-

=========================================================================================================

Notice above the yellow triangular shaped icon with a 'pling' ( ! ) on it.

And so the next screen capture is not a surprise either :-

==========================================================================================

So then guys, what do we see in the File Explorer screen ? What may be missing because we are

using a 'Private' type of virtual switch ? Check out the following screen :-

========================================================================================================

Well, without any further direct comparison at this stage of the subsection, it is obvious that the Network node

does not have a sun-node called 'BIG-T' which is what we have seen in previous screens, before we tried the

new Private virtual switch.

Here is a reminder of what we can remember seeing earlier :-

=========================================

And the left hand side pane detail images is like this :-

===========================================================================

Not sure which of my devices appears like a Galaxy S4, it could be my new Android Samsung Tab4 10".

Lets move on ........

Internal :

Okay then guys, let move up a security 'notch' or 'gear' from Private to Internal, as out type of Virtual Switch (VS).

If we look at the VS Manager screen for a selection of 'Internal' then we see something like this seen below :-

===============================================================================================================

Notice that in the 'Connection Type' group box we only get an option to select a hardware adapter for type 'External'.

This seems to simply mean that for Internet use anything other than External means no Internet access.

So we need to follow through the making and applying of an Internal VS and see what we can then see in the

Windows File Explorer pane.

Let us now apply the above VS in one of the VM settings screens - check this out below :-

================================================================================================================

And the full hardware pane now looks like the following :-

=========================================

So when we start the VM it is not a surprise to see the following at bottom right of the monitor :-

====================================================

Yes, we appear to have not Internet connection - see the yellow 'pling' icon.

Lets look at the Network section in File Explorer :-

==================================================================================================

Yes, it seems that the restriction of 'Internal' as a Virtual Switch, is the devices we can see on the network

itself, and NOT the hardware devices on the individual Pcs or machines.

The above is a much restricted view of what we will see next with 'External'.

Before we move on, lets focus on the 'BIG-T' machine and check out its drives etc. :-

===============================================================================================================

Yes, we can still see plenty of different disks and devices on 'BIG-T', but we can't see my tablet, phone and

other computers on the home network.

Remember, for the BIG-T disks and devices to be available and shown, they need to have been offered for sharing.

Lets move on to see the most 'open' of the network types .........

External :

Okay then folks, this is probably the virtual switch setting that many of us will use, most of the time.

Lets check it out thoroughly. Below is an image of the correct type of VS (virtual Switch) being chosen for

our in-focus Network Adapter.

===============================================================================

You will see that the name of the VS being chosen is "NewVSwitchRepair" because this is the

first VS I made after I had had a disaster with using VBX (virtual box) at the same time as 'Hyper-V'.

I lost my network adapter because of the above software clash, and had to learn how to create and

use VSes very quickly - yes! - I probably should have chosen a better name, but we will just have to

live with what we have.

Here is the LHS pane showing the selection has been applied :-

==========================================

And before we move on we ought to see the whole range of settings for this 'External' switch type.

Study the following details carefully :-

============================================================================================================================

Notice above that we are sharing the network adapter hardware with the Host O/S.

And now when we start and run the VM we see good and positive signs at the bottom right of our running Window.

Check out this carefully :-

=====================================================

And with a click or two in the 'Windows 10' environment we can bring up this screen detail :-

================================================================================================

And with another click or so we can see this seen below :-

=================================================================================================

And finally, if we have done all things correctly, we ought to be able to see as many devices on the

Network that are available to anything - check these out below :-

===============================================================================================================

[ .. NAS - Network Accessible Storage .. ]

Well guys, I know that this network environment of mine means a lot more to me that probably it does you, however,

the NAS device entitled "LS-WVL&*&:LinkStation" is probably the best to show the difference between Internal and External

as far as machines and devices are concerned.

With 'Internal' we basically could see the Host computer as a network device, and that's about it.

However, with 'External' we can see the NAS and my phone or Android Tablet - I am not sure which. Oh! and of

course we can see Julie's tablet (a Surface 2 - WinRT) when it is on - check this next image when she is on-line.

======================================================

"JulieTablet2" is therefore only visible to the VM being run if the virtual switch setting is an 'External' one.

Using 'Internal' will not make this available, at all !

Lets move on ..................

WARNING - time required !? :

When working with networks and network settings, we MUST remember that sometimes we will have items

we expect 'missing' and sometimes false error boxes, and most often a green progress bar telling us nothing

more than something is happening ;-)

Here is a simple example :-

==================================================================================================

And here is a false positive - i.e. its not true - just wait and all turns out OK - check this out :-

==============================================================================================================

And that's just about it folks - its now up to you to do as you require.

See you in the next sub-section ......................

PHH - 17th. & 20th. October 2014.


Possible Problem ? - over Disk /Device access

Possible Problem ? - over Disk /Device access

Possible Problem ? - over Disk /Device access

 Previous topic Next topic

"When is a problem NOT a problem ?"

Answer is :- "When it is an urban 'myth' ".

Often issues are talked about by people you just don't know enough, or have not done enough research and

personal experimentation.

There are articles out on the web which tell us that USB drives can't be accessed and used with 'Hyper-V'.

By this they mean that a Hyper-V virtual machine can't access / see USB drives on the host machine.

I have also heard this same idea from some experienced guys, and it may be that there was some problem in the past !?

I can't say, as what I have here in Windows 8.1 works just fine - if you do it right !!!

Either way, we live in today's and tomorrow's world, so we need to know the truth as of now ;-0)

The plain answer is that there are no problems or issues. We just have to know how to go about things correctly.

"Now then folks, just to dis-spell the 'myth', shown below is an image of a shared removable

drive on the Host machine" :-

==========================================================

In the above image the highlighted drive is a removable USB stick of 4 GB, which I brought back

from Cologne - the German 'Vulcan.Live.14' conference.

Lets move on ...............

When can we see Any Drive / Data Device ? :

It would seem to me after doing some useful experimentation, on this main PC I use for development, that

we can appear to have a problem of visibility with any drive, if it is not set-up right.

The problem is that we got used (over years) to seeing any drive we plugged into out PC box, show up

within the File Explorer window pane.

But as we have moved more and more to networks and shared systems, in order to make local drives and

other local devices appear 'visible' to other networked machines, we have first to 'offer' them for sharing.

So we can't share some other PC's drive if that PC and PC owner has not made the disk drive available for

use by others. Obviously we call this 'use by others' sharing.

We can 'offer' quite a wide range of hardware devices for sharing.

The way we know what is 'on offer' is by seeing a different screen icon next to the device.

REMEMBER : It is the Host's disks and devices which are offered for sharing.

Lets take a look at what is seen in the File Explorer for my main PC, the host name is 'BIG-T' - check this out :-

======================================

Although the icon details are small to see, we can just make out two persons heads next to drives

C:, D:, and H: in the above image.

In the larger RHS pane we see the following, and this is easier to see and make-out :-

=======================================================================================

Here, in the above larger icon group, we can easily see that drives E: and F: are also on

offer for sharing by others.

Moving on a step or two, we see below that drive ' H: ' is marked as 'Removable', which is to say that

it is likely to be not always there, or available. On my system this 'H:' drive is a USB memory stick.

It is a 4 GB capacity silver cased plug in stick which I brought back from Cologne in March of 2014. The

conference guys were giving all attendees a USB stick containing the conference materials.

Check out the following image, paying particular attention to drive 'H:' near the bottom :-

===================================

Notice above that the little two headed icon on 'H:' tells us that the drive/device has been set for sharing - it is

being 'offered'.

Now then, before we go into details about how to share (and un-share) a removable USB drive, we first need to

see how we need to 'offer' by setting 'sharing' a standard SSD or HDD device - lets focus now on drive 'D:' which

in my system is a large data device, a 1 TG device of SSD technology.

Check this out below - study all the details :-

=============================================================================================

As you can see the little icon on the LHS (left hand side) as well as the details in the 'Sharing' tab,

clearly indicates that as things stand this drive would NOT be seen in a VM accessing 'BIG-T'.

In fact this is the very reason how I came to realise just how USB drives were not been shown either.

Let us now see the relevant screens for making device 'D:' visible and therefore accessible to VMs.

Although below I end up with both a named and unnamed instance, the basic details will become clear

to us, and what needs doing - check the details below :-

========================================================

And if you prefer to make a named instance as well - or in place of - then follow the

details in the next image :-

==============================================================================

Okay then folks, if you do something similar to that seen above, then you are also likely

to see a new and meaningful 'two headed' icon appear in the File Explorer - see below :-

====================================

If you also made a named instance of device D: then in the running VM running "Windows 10" we

can see both named and unnamed instances of the same device - check out below :-

=======================================

In this image we actually see two instances for the USB stick as well, these are 'h' and 'MySilverUSB'.

Okay then folks, lets move on .......................

Making a USB device available for Sharing :

[ .. how to 'offer' a USB memory stick .. ]

In the following image I have gone to the Host O/S (Windows 8.1) and selected to use the File Explorer.

Notice bottom right that the device in focus is removable drive ( H: ) - this has been right clicked in order to

bring up the context menu :-

==============================================================================

Now we select to 'Share with ..' and then 'Advanced sharing ....' to bring up the following dialog box :-

=====================================================

As things are the device is not shared.

So we need to click the 'Advanced Sharing' button :-

=======================================================

Fill in the details appropriate to your system.

Notice I have left the default values for the limit etc..

Below is what we see if we wish to make a named instance, but once again be warned, it

is very easy to end up with two similar instances, when perhaps you only wanted one ;-0)

Check these details :-

========================================================================

When you are done and pressed 'OK' we see the next screen image :-

======================================================================

And closing the input screen show us the following detail :-

[ .. notice the change in small icon .. ]

====================================

And once again you can inspect the double entry in the File Explorer surface of the VM running instance :-

=====================================================

Just for completeness, we can bring up the context menu from within the VM and we get useful details - BUT - there are

no tab options which would allow us to change the state of sharing of the Host's device.

What we do see below is a long list of Music files on the Host's USB drive - check this out :-

=======================================================================================================================

Okay then folks, the summary of some of this is that only at the Host's level can we use FE (File Explorer) to change

'sharing' status.

At the VM level of things, and FE within the VM, we can view sharing status - however, its a bit redundant really as if

the status was 'not shared' then the drive would not de visible - so we could not be checking in the first place !!

Before we move on to another sub-section, lets take the opportunity to see the above Network tab :-

=============================================================================================

And finally, lets actually do some useful work by copying files.

Let us access the now visible USB device 'H:' and select five file to be copied into the VM itself.

Check the following selection :-

==================================================================================================================

And now we are going to make a new folder within the virtual hard disk (VHD) of the VM, into which we will copy these files.

First the new folder in the VHD 'C:' - check this out :-

==========================================================================================

And now lets paste the group of music files into our VM encapsulated disk area :-

=================================================================================================================

I will leave it to you guys to check that the correct five music files have been successfully copied.

Okay then, we need to finally remember that although the devices on the BIG-T host system are now set

for sharing, and can be seen within a suitable VM, if we change the 'Type' of the VS (virtual switch) to 'Private' then we

will not be able to see the Network device for either BIG-T or JulieTablet2.

So we can lose visibility for more than one reason.

Enough for now, lets move on to the next sub-section ..............

See you there.

PHH - 17th. & 20th. & 21st. October 2014.


CD/DVD writers

CD/DVD writers

CD/DVD writers

 Previous topic Next topic

PHH - 17th. October 2014.


Scanners and Printers

Scanners and Printers

Scanners and Printers

 Previous topic Next topic

PHH - 18th. October 2014.


'OneDrive' (was 'SkyDrive') access and use

'OneDrive' (was 'SkyDrive') access and use

'OneDrive' (was 'SkyDrive') access and use

 Previous topic Next topic

'OneDrive' - Microsoft's folder structure in the Cloud - was called 'SkyDrive' originally.

Many folks use this for personal storage of files - which can then synchronise between personal

devices like Smart-phone, Tablet, and also laptop and desktop.

I currently use all of the above. It works very nicely indeed. I also share some folders with others.

===========================================================================

Okay then guys, here is something easy and also useful, and even 'nice'.

When previously we have had issues and problems with disks and devices 'going missing' (or said more correctly,

they were not 'visible' at the surface on which we were operating), when it comes to 'OneDrive' on the Host machine

it would seem that it is easily visible, both anywhere and everywhere - just as long as the user logs in with the correct

'Username' and 'Password'.

The new 'Win10' VM has such a login screen, check this out :-

And just before we move on, we need to realise that because the user is logging into a Microsoft account, it is the

'OneDrive' access which is being accessed by using the account - check this out below :-

====================================================================================================================================================

Okay, then I hear you all ask, what if there is no Internet access, either because of VS (virtual switch) settings,

or for some other hardware problems etc. ?

Here is a running VM which has had the VS (virtual switch) disconnected so that there is no network connection :-

==========================================================================================

Notice the red/white disconnection icon at bottom right.

Remember that the VM has a virtual hard disk (VHD) and that this stores information in files and folders

from one VM launch to the next.

If your VM logs in with a Microsoft account UN & PW then the first time it becomes active, and grabs

an Internet connection, there will be an automatic synchronisation of the cloud 'OneDrive' folders / files

and the local ones within the VHD.

Thereon afterwards, the OneDrive shows in the File Explorer (FE) and displays what in has in the VHD

from the last time it synced.

However, from your VM's point of view the OneDrive can be accessed and used, whether there is an

Internet connection or not.

So to summarise, once the OneDrive is set up then it should always be available to the VM, whether

it has no connection, a Private one or even the most expansive one of 'External'.

The new material you place in the VM's OneDrive will only be available in the Host's FE, once the VM

has synced with the Cloud account - I would imagine.

Here is what we get in a connected VM running launch :-

=====================================================

And in our VM at the FE window we see something like the following :-

[ .. don't forget that the first time you launch and run the VM it will possible take some time to complete syncing .. ]

========================================================================================================

So as you can see above, I can see photos placed in the Dev.Share.14 folder by Dan Logan.

And here is a nice one in particular - all within the VM 'SandBox' - or can we call it a SandBox if we have a

cloud element to it !?

I will leave you to think about that conundrum ;-0) While you ponder (and think), look at this nice ship :-

==================================================================================================

Okay then folks, lets move on ..............

What does the FilePath look like for 'OneDrive' ? (on the Host) :

Let us use FE (file explorer) in my Host O/S to see what the Disk/Folder/File structure may look like for

a chosen file.

Check out the following real example from my existing system :-

==================================================================================================================================================

It is just a standard Users file-path - and don't worry about 'the', this came about years ago when I had a bit

of a funny Windows upgrade and entered an input box incorrectly - it ought to be 'Philip' or something similar ;-0)

Now then, the real issue is that I obviously have had this Sky/One account for a long while, since it has had its name changed.

Any file copying or writing from or into such folders will need to take this into account.

What does it look like before we click the yellow folder icon ?

==========================================================================================

Yep! - just as we might expect.

Lets move on a pace or two ...............

What does the FilePath look like for 'OneDrive' ? (on the VM) :

Now then, we should expect this to be different. Lets give it a try out to see.

Check out the next two images carefully, to see the disk/folder/file details :-

==============================================================================================================

And now the standard display :-

==============================================================================================================================

Yes, it would simply appear that Microsoft keep to the same format for Host and VM - which is nice ;-0)

Enough for now, I will leave you to experiment, and to see how you need to carefully manage the synchronisation

up to the Cloud area where your main account folder structure is held.

It can get a bit tricky - mentally !

Lets move on to the next sub-section.

See you there .........................

PHH - 17th. & 21st. October 2014.


DropBox - 'Cloud' storage alternative

DropBox - 'Cloud' storage alternative

DropBox - 'Cloud' storage alternative

 Previous topic Next topic

PHH - 21st. October 2014.


Ten Things to Know !

Ten Things to Know !

 Previous topic Next topic

Ten Things to Know !

 Previous topic Next topic

Having read the ten things I am supposed to know (see details below) I am not at all sure I

need to know many of them for the single standard user guy that I am.

I just wish to get proficient with Hyper-V client, on desktops and laptops etc..

It does not have to be as complicated as some / many texts and articles show it to be ;-0)

But here is some information on these ten things anyhow ...........................................

http://go.veeam.com/ten-hyper-v-things-to-know.html

=======================================================

PHH - 5th. September 2015.


Chapter 1 - making a 'Virtual Machine'

Chapter 1 - making a 'Virtual Machine'

Chapter 1 - making a 'Virtual Machine'

 Previous topic Next topic

Okay then folks, time to get our hands dirty !

Lets start to make our first VM (virtual machine) - to do this we need 'Hyper-V' to be enabled.

Check out the last section which discusses and deals with 'Hyper-V' in detail.

We need to locate the manager and the connection tool - so go to the Start screen and type 'hyper'.

Here is what I get - check it our thoroughly :-

==========================================================================

Right click both of these entries and select to add them to the Task Bar.

Here is what you should see - or something similar :-

===================================================

The two newly added icons are the two in the middle of the four shown above.

The Manager is on the left of the two, and the connection tool on the right - see above.

Remember to use the main machine Task Bar, not the one in any existing VM - this is more of a

note to myself than you ;-0) It can get quite confusing after a while !?

Because I have already added one VM with the name "Windows 10 TechPreview" then the following

image is what I get on my main desktop PC - check it out :-

So leaving the connection dialog screen for a while, lets look at the Manager - check the details

shown below for how the same computer platform looks in the panes available in the Manager.

=======================================================================================================================================================================

Okay then, we can see from the above image that we will need a little time and experimenting to find out how

to get the most from the options available.

So lets start with how to create a new virtual machine (VM).

In the image below we see at top right (in the Actions pane) one option under 'New' which allows us

to make a new VM - check out below :-

=============================================================================================================================================================================================

If we select the 'Actions > New > Virtual Machine ...' then we get the next screen, shown below :-

=====================================================================================================================================

After the general information screen, we are going to the next option down the LHS list called "Specify

Name and Location".

Before we can select a folder in which to have the VM created, we need to make sure it exists. It would appear from my

very brief experience that supplying a new folder name does NOT allow it to be created and used - check this out :-

==========================================================================================================================

So go and make a suitably named new folder, in the right place for you and your system.

I will do this right now - at this very moment - see below :-

=======================================================================================

Which allows me then to do the following :-

=================================================================================================================

So our new VM will go in folder "Pears_W10" and we now need to give it a name as well - see below :-

==================================================================================================

And now we need to move on to add just a few other specified 'choices' - or values.

You can always allow the default values to be used, or increase them to suit your PC platform.

Check this next screen :-

==================================================================================================

Above I have increased the memory at start up to 4096 MB.

And also (shown below) is a very important setting to allow live internet access to the VM.

I happen to know that my highlighted choice makes my internet connection work a-okay. You

may have to experiment with yours, and if so you will need to change settings on your VM when it is made,

and after a setting change the VM will have to be shut down and re-started - for the settings to take effect.

Here is my choice list - see below :-

==========================================================================================================================

Not a lot more now ;-0) We are getting there, and just about done.

Check these details :-

=========================================================================================================

In the above image the only thing I had to add/change was the 'Size' - I increased it from the suggested default

to be 127 GB as I have a large SSD main (slave) D: drive.

And that it - for stating what we want our VM to be - all we need now is to specify the O/S that the VM is to

be based on, and where the install file for this O/S is to be found.

Lets do these things now, before we press the 'GO' button, so to speak ;-0)

I am to use an ISO image file which I downloaded from Microsoft - check this out below :-

==================================================================================================

Use the Browse facility to locate and select the ISO file required - here is my choice etc. :-

==================================================================================================================

And that is that - here is what our choices look like before we finish the task / job :-

==================================================================================================

All of our inputs and choices made above are now summarised in a 'Summary' screen, ready to be

actioned when we press the 'Finish' button.

Here below we can view the summary details :-

=================================================================================================

If we do things right, and you follow what I have done above, then after pressing 'Finish' we should see

a new entry into the Hyper-V Manager screen. here is what I see on mine :-

============================================================================================================================================================

The third entry in the VM central pane seems right.

We can roll up the 'BIG-T' list (that is the name of my PC system), and focus our attention on the list

at the bottom right of screen - that entitled "Pearls Virtual Machine".

Lets tidy the screen and review it - check this out :-

============================================================================================================================================================

Okay then guys, we have just about completed the 'Creation' task.

Make sure you have the correct VM highlighted in the VM central pane, and then select and click the RHS 'Connect...'

option - see below for details :-

======================================================================================================================

Once we do that we appear to get a singularly unhelpful 'Black' screen - but do not panic - see below :-

=========================================================================================

Yes, not very impressive when a newbie has little confidence in what they have just fumbled through ;-0)

However, if we do as the message suggests, then all is well - study the following image :-

======================================================================================

It also appears as if the alternative way using the RHS pane options works equally well.

Check this out :-

====================================================

If you get all these things right then we see a definite change to the Manager screen contents - check below :-

=========================================================================================================================================

Notice the icon at bottom left of the above image. Also notice that the 'State' in the top of centre say 'Running'.

=====================================================================================================================================

And before we see the O/S install starting to run, lets check the Tab for networking :-

======================================================================================================

And if you have not as yet done it - click the 'Connect ...' option :-

=======================================================

And VERY finally for this sub-section, lets see signs of the install of 'Windows 10' - check below :-

===========================================================================================================================

Good Luck with any VM creation that you do, whether it is for Windows 10 or any other operating

system of your choice - Linux, Citrix, Windows XP, whatever.

Time to move on, see you in the next sub-section ...........

PHH - 4th. & 6th. October 2014.


X_Video - runing a VM

X_Video - runing a VM

X_Video - runing a VM

Previous topic Next topic

PHH - 5th. September 2015.


X_Video - making, installing, and running a VM

X_Video - making, installing, and running a VM

X_Video - making, installing, and running a VM

Previous topic Next topic

PHH - 5th. September 2015.


starting up an existing VM

starting up an existing VM

starting up an existing VM

 Previous topic Next topic

Start your computer from power-on, or re-start it from Windows.

At the desktop screen select the "Hyper-V Virtual Machine Connection" tool - my is in my Task Bar as

you can see from the following image :-

=======================================================================================

Select and then open the tool. below I am using this tool to allow me to select and launch a VM.

As you can see in the following image we are starting the 'Pearls VM' - checkout below :-

================================================================================

When the next screen appears, use the 'Action' menu option and select 'Start' as seen in the next image :-

=========================================================================================================

When the action starts we get the following screen details being displayed - check these out :-

=========================================================================================================

I suggest for the moment (until you gain some experience with VMs) you leave the default settings as-is and

choose Connect.

Now you get the standard type Windows 8 / 10 log-in screen - see the next image :-

=====================================================================================================================

Type your known password in and then you see something like that shown below (or very similar) :-

=====================================================================================================================

The VM is now running so you can start to use it as a standard Windows computer.

Notice that as things stand, there are few applications installed, and on the Task Bar or Desktop.

However, in the main desktop we now see a thumbnail of the VM 'application' when we hover in the task bar.

Check this out :-

===============================================================

So as we can see above, we have only one VM open at the time of screen capture.

PHH - 5th. October 2014.


starting up multiple VMs

starting up multiple VMs

starting up multiple VMs

 Previous topic Next topic

This section deals with running (or attempting to run) more than one VM (virtual machine)

but with the same 'flavour' of "hypervisor".

We already know that we can't be using more than one type of 'flavour' of 'HyperVisor' at

any one time.

===============================================================

Start with a cleanly launch Windows operating system, and no VMs running.

Now go to the Task Bar and find and select the VM connection tool.

Here is what I see :-

===============================================================================

Select any one of these, and start it up as shown in the last sub-section.

Then select any other and start that up too.

Here is a snapshot of my system after doing this a time or two - study the following details :-

=====================================================================================================================================

Notice above that I have two instances of the same VM up and running !? - more on this in the next sub-section.

However, the Emulator 8.1 is for the Windows Phone 8 apps to run from VS 2012 on a standard Windows 8.1 operating

system. Since the Phone O/S is different to that of Windows 8.1 we need to have a "SandBoxed" 'VM' version running, so we can

run and test the VS apps being created.

Here is a closer look at the Phone VM :-

===================================================

PHH - 5th. October 2014.


starting up multiple instances of the same VM

starting up multiple instances of the same VM

starting up multiple instances of the same VM

 Previous topic Next topic

Once again we need to have ONLY one type of 'HyperVisor' running at any one time.

We will look at the possibility of running more than one instance of the same VM at once.

For example running two version of the same 'Windows 10' VM under 'Hyper-V'.

Below shows a more complex situation :-

=====================================================================================================================

PHH - 5th. October 2014.


Nesting / Chaining - different VMs

Nesting / Chaining - different VMs

Nesting / Chaining - different VMs

 Previous topic Next topic

Basically, this can't be done - certainly by us at a 'client' and local level.

Since a VM needs to run on hardware (called a virtualization server (VS)) then a VM running another VM

would break the rules. Can't be done!

The hardware facility provided by the VS is based on Hyper Threading which is built into the CPU - processor

to you and me.

If your PC hardware does not support Hyper Threading then you can't make and use VMs in Windows using

the Microsoft Hyper-V technology.

Summary :

So we can make a simple summary about 'nesting' or 'chaining' - a VM must run directly on a VS hardware

platform, and that platform must have a processor with built-in hyper threading.

PHH - 16th. November 2014 & 22nd. September 2015.


Having a whole bunch of VMs available

Having a whole bunch of VMs available

Having a whole bunch of VMs available

 Previous topic Next topic

This is no trouble at all.

We can make in theory as many client VMs as we like, however, there is a hardware limit if we are

specifying storage space by maximum size for VHDs.

The memory specification is no real issue as consumption of memory resources only takes place at run time.

So as long as we don't run too many VMs at once we will then have sufficient memory for all O/S's and applications.

Using dynamic memory helps alleviate this possible issue, but does NOT remove it altogether.

For your information, I purchased a new 1TB storage device of type SSD, specifically to house my VHD created to

support the VMs I was making. I kept well away from the C: drive on my office desktop.

See in the following image that we have a total of nine VMs as well as the two Emulators put there by Microsoft :-

[ .. none of these are running however, so are not consuming runtime resources, just storage device space .. ]

=======================================================================================================================================================================

The VM which has been mouse selected, and is therefore in focus, has its details shown at bottom RHS of screen.

These 'actions' which are options on the focused VM, can have subsequent screen opened as the three '...' ellipses

indicate.

Lets choose the 'Start' action :-

================================================================================================================

Yep! - opens just like the real thing ;-0)

And now in the manager we see this changed 'state' as seen at the bottom of the VM pane :-

=================================================================================================================================

So lets now change our personal and mental focus to the bottom part of the Manager pane - check this out :-

========================================================================================================================

For some reason a previous image capture showed an incorrect date and time - but now we are running the desktop

virtualization server on full public release Windows 10 and not Win 8.1 as previously.

Now then guys, below we can see this bunch of VM's all more or less up and running, including the emulators (although one

is off-screen). Three of the following VMs in Task View are not Windows based but Linux based - check this :-

=================================================================================================================================================================================

Well, we can see eleven, and know that a twelfth one is on a second screen.

Lets now see what the Network section of the File Explorer application has to show us :-

====================================

Yes, in the above image we see that quite a few are missing - all the three Linux machines as

well as the emulators I would guess - but before we experiment by removing some - or more correctly

closing some VMs down, lets see how things look in the Task Manager - check this :-

=====================================================================================

Yep! - as I thought, we can see all twelve of the VMs in the list of running apps.

So lets try to close (turn-off and shut down) the three Linux based VMs as well as the two emulators.

Here is a Task View after doing so :-

=========================================================================================================================================

Note the little icon at top left of each screen - it is that of the VM Connection tool.

We seem to have an issue with one of these - an older Vista VM seen at bottom right ;-0( not sure what is up !?

However the other five seem to be suitably present in the FE pane of the main O/S (Windows 10 x64 Pro).

=======================================

If you are interested, the 'PIPSPRO3' is the Surface 'tablet' downstairs which Julie is using.

Also the 'LS-WVL7BT' is the large disk storage device on the network (from Buffalo) :-

=====================================

BIG-T is the main O/S so the other 5 are localise VM's.

To prove this, I will now close down all VMs and refresh the Network section of the FE pane.

Here goes, fingers crossed :-

===========================================================================================

The 5 local running VMs shown above .........

And the refreshed FE pane is as see here below :-

==========================

Enough of this, time to move on - see you in the next sub-section ....................

PHH - 28th. July 2015 and 22nd. September 2015.


A new definition of 'VM' - that applies everywhere !

A new definition of 'VM' - that applies everywhere !

 Previous topic Next topic

A new definition of 'VM' - that applies everywhere !

 Previous topic Next topic

"A software application which encapsulates a genuine O/S and which runs on a hardware platform."

This then rules out a VM as being a software application running within another and similar software application.

Also a VM has device Drivers similar to any hardware machine. And like real live Windows O/S installations

we need to acquire and install the correct Drivers for things to run smoothly.

Wrong, missing and/or damaged Driver software can cause some awful, nasty, and fatal problems and issues.

However, if we use Control Panel / Device Manager we see that the drivers used in the VM itself are often specific

to the Hyper-V situation, and not apparently those from the device manufacturer and seen in the main hardware O/S.

Lets look at the VM Device Manager first - check this out :-

[ .. the LHS is for the standard main O/S machine, the RHS one is the VM, and quite different in many ways .. ]

=====================================================================================================================

PHH - 28th. July 2015.


Chapter 2 (part 1) - installing 'Windows 10 (TP)'

Chapter 2 (part 1) - installing 'Windows 10 (TP)'

Chapter 2 (part 1) - installing 'Windows 10 (TP)'

 Previous topic Next topic

Hi guys, we are going to follow on from the last main section (Chapter 1), and after creating the VM to be made

with an ISO file for Windows 10, follow this through to the completion of the install.

After the last entry in the previous main section we actually see the following image on screen :-

=================================================================================================================

The Windows 10 installation goes along in many ways similar to the easiest Windows 8 installation.

In my estimation I would say that this is as easy as it gets, or as easy as it should be. Well done Microsoft.

Lets move on a pace ........... :-

=============================================================================================================================================

And when you get up the next screen, try (or select) the 'Custom' install.

Leave the upgrade to an install on a physical PC with a cloned boot disk being used.

Here is that selection screen :-

===================================================================================================================

After selecting the 'Custom' install we see this image on screen :-

============================================================================================================================

Well, the disk size of 127 GB seems correct ;-0) But remember this will be 'SandBoxed', and so it will be a virtual

C: drive but on my physical D: drive where all the VM file is stored.

Now we see the installation getting into full swing - check below :-

======================================================

The next point in the sequence is seen below :-

===========================================================================================================================

I used the Express settings to make my life easier - you may think and do differently, its up to you !!!

Now then, if you don't like Microsoft, and don't like having an account with them, and all that jazz, then

I suggest you just forget the whole thing ;-0)

Here is what we are confronted with next - check it out :-

===========================================================================================================================

Myself, I just entered the same details as I used form my Windows 8 set-ups. And this way I get 'OneDrive' automatically.

=============================================================================================

Now then folks, at this point a sensible (and suitable) check is carried out by Microsoft. They send a

registration (or security) code to the email in the 'MS account' being referenced. This is pretty damn

quick.

First the email has to be entered :-

As soon as you enter and send the correct email address you are sent a confirming email.

Once you have the returned email and 'number', enter it into the following screen :-

===============================================================================================================

The relevant email from MS looks like that shown in the following image.

HOWEVER - do NOT try to use the code, as it is a one-off which goes hand-in-hand with the specific request.

So basically it is useless to anyone else - check this out :-

==================================================================================================

And my now 'dead' registration / security code entry looked like this below :-

================================================================================================================

Do all the above right, and sometimes wait a minute or two (not much more) and you should get this, or

something VERY similar to it :-

===========================================================================================================

Now then - cause for concern ? - but not a reason to panic - see what I got next :-

==============================================================================================================

The answers are simpler than the apparent issues / problems ;-0)

We appear to have a problem with the audio provision. here is another screen for the same :-

==============================================================================

And here is some more on-screen information relating to the same 'possible' issue :-

===========================================================

The solution / answer to the above problem is to shut-down and re-start the VM, and then my audio worked.

At this point, if you have NOT selected the correct network device / driver then you may also have flagged issues

with the 'Network' - here is mine looking OK - check this out :-

===========================================================================================================================

Notice the highlighted blue entry - I use a hard wired input (RJ45) for my internet, and not Wi-Fi, simply to get the extra speeds

available to me locally.

Lets now move on .................

We need to see how to check out the Windows 10 installation and other elated and important things.

See you in the next section.

PHH - 4th. October 2014.


More than one VM on the same O/S

More than one VM on the same O/S

More than one VM on the same O/S

 Previous topic Next topic

PHH - 6th. October 2014.


Updating the Windows 10 version / build

Updating the Windows 10 version / build

Updating the Windows 10 version / build

 Previous topic Next topic

PHH - 15th. November 2014.


Updating a VM based on Win10

Updating a VM based on Win10

Updating a VM based on Win10

 Previous topic Next topic

PHH - 15th. November 2014.


Updating the host Win10 O/S

Updating the host Win10 O/S

Updating the host Win10 O/S

 Previous topic Next topic

Enter topic text here.


Updating two Win10 VMs at the same time

Updating two Win10 VMs at the same time

Updating two Win10 VMs at the same time

 Previous topic Next topic

PHH - 15th. November 2014.


Third Build - latest of three since the start

Third Build - latest of three since the start

Third Build - latest of three since the start

 Previous topic Next topic

PHH - 15th. November 2014.


Chapter 2 (part 2) - using the public release of Windows 10

Chapter 2 (part 2) - using the public release of Windows 10

Chapter 2 (part 2) - using the public release of Windows 10

 Previous topic Next topic

At the end of July 2015 Microsoft released to the public (the world) the first version of 'Windows 10',

the brand new operating system (O/S) - final build.

Many of us had been using earlier builds to test, and quite a few of us would have used 'Hyper-V'

technology to make a VM based on the pre-release builds as they were 'let out' to testing guys.

From now on in these eNotes I will be using the Public Release version - unfortunately, the eBook

sections are not in chronological order, so you will have to be mentally agile as you study and read ;-0)

The new look of the final release :-

And even more interesting when personalised a little - like below :-

[ .. nice photo Neville !! ]

And a glimpse of the new Start screen that folks have been going on and on about - nice but there are more fundamental

parts to the new Windows 10 ;-0)

============================================================================================================================================

Because I am an image man I enjoy the look-feel of the new 'Windows 10' - very nice, whatever

the moaners have to say.

Lets move on to acquiring Windows 10 for our main O/S upgrade and also for use with VMs as well.

See you in the next section ..............

PHH - 28th. July 2015.


Finding and downloading 'Windows 10' v 1.0 ISO file

Finding and downloading 'Windows 10' v 1.0 ISO file

Finding and downloading 'Windows 10' v 1.0 ISO file

 Previous topic Next topic

Obviously, v1.0 is the version number of the first public release of 'Windows 10'. This is what we

need in order to run Win10 - as well as a legitimate and unused 'activation' key.

PLEASE remember, while reading and studying any of my eNotes, that I do not condone the

acquisition and use of software which has by-passed the correct purchasing process.

Any details provided are about downloading official Microsoft software files and installing and

activating then in the correct manner, with genuine serial numbers and activation keys.

Be VERY careful with any other stuff you may find by web searching - the following does happen ;-0((

================================================================================================

The above was shown after I clicked a recent search link about downloading ISO files of Win 10.

Now then, lets get back to legal stuff - see the new "Windows 10" icon below, isn't it nice ?

=============================================================================================

Lets start with the easy way of acquiring lots of various ISO files, both Windows and Visual Studio,

and many more too. Oh! as well as legal activation keys as well ;-0)

MSDN subscription : [ we will cover this first and then the web ]

Any developer guy who is serious about developing applications and apps for Windows and .NET

should definitely be a subscriber to 'MSDN'. I joined after Willie Moore encouraged me a good few

years back now. I am am glad a did ;-0)

MSDN downloads for registered members is the easiest way to get a whole host of ISO files which

cover a very wide range of requirements.

=============================================================================================================================================

However, you can find some Microsoft ISO files, as well as Linux based ISO files, by doing some

work of your own carrying out web searches. Below I will try to locate and download the latest

"Windows 10" ISO file.

The MSDN site is easy to use and navigate - it was not always so ;-0)

I manage quite well even though I may go there infrequently.

===================================================================================================================================================

After the Home page we have a useful Subscriber Downloads tab / menu option :-

===================================================================================================================================================

The site managers frequently update the pages showing new 'stuff' - both downloads and information.

Here is some information about new products :-

==================================================================================================================================================

Okay then, some of you will not have access to MSDN, although I recommend it 100%, even for guys who think they can't afford it - I have

been there and know what its like - BUT - in the end the comeback is well worth the annual outlay of cash.

And then we are not scratching around for free this that and the other - 'stuff'. Pay and get more than we need ;-0)

Enough of preaching to tell folks to be professional .............

Web Search :

Below are the results of my morning's search tasks, I have managed to download an ISO for "Win10"

as I had hoped - BUT - there are a few things to learn and take on board, as there usually is ;-0)

First of all here is the URL, active link :-

http://www.pcworld.com/article/2952649/windows/how-to-download-windows-10-iso-files.html

=================================================================================================================

If you follow the links shown below, to the "media creation tool" then you have almost cracked it, or solved your ISO problem.

Check this out for the 'MCT' :-

================================================================================================

[ .. the images will improve, I promise you .... ]

You may even see this genuine Microsoft posting if you visit other search results URLs :-

===========================================================================================================================

Please note CAREFULLY that the download tool has to be matched with your current hardware platform, and not

the O/S that you are running, or hoping to run.

So from the active 'buttons' offered to me in the following screen detail, I have to choose x64, even though later I can download

both x86 (32 bit) O/S/s, as well as x64 bit version of either Windows 10 'home' and/or Windows 10 Pro.

Check out the following :-

============================================================================================================================

You are probably most likely to need the x64 version from above - most hardware has been 64 bit for many years.

=================================================================

After doing a Bing search as shown below, it was the 'pcworld' link that I followed in order to get the ISO's.

===========================================================================================================

'Bing' is the search engine offered to me in Edge and which I am getting to like - I use it 100% nowadays.

Lets se what else we get when we make suitable responses to on-screen dialog screens of our 'download tool' :-

=============================================================================================

So what can we choose to download ? - see below :-

============================================================================================

I have chosen the 'Pro' version to download :-

============================================================================================

And I will now try both since I may use x86 and x64 in my trial VMs :-

============================================================================================

And since we need to be flexible at this end, and have files to use on multiple hardware platforms, we

have selected 'ISO' in the above image.

Now below we need to direct where the file is placed / stored, and possibly change the name as well

if we so wish - I didn't do this but I wish I had ..... :-

Lets now move on to see how the rest of the download process continues - check the following :-

==========================================================================================================================================

There is a bit of a time difference in the two images seen above.

And its always good to have the benefit of a verification ................

=================================================================

And now the tricky part - burning a disk image from the ISO file - why ? Well, the DVD media I have

are not large enough for a 'Both' download ;-0((

Notice in the following image that we have a file 5.878 GB in size :-

=================================================================================================================================================================================================

So I suggest that you do as I did and then went back and downloaded separately the 32 bit and

the 64 bit, as two separate downloads and files.

Here are the last couple of images of my failed (too large) attempt :-

=====================================================

And now the image which first alerted me to my problem :-

=================================================================================

So lets try again ...............

=======================================================================================

See below that I have saved the separate files as renamed ones 'Windows32' and 'Windows64' :-

================================================================================================================

Now hopefully I can burn one or more of these - lets try it out :-

=======================================================================================

Lets press the button and keep our fingers crossed :-

Oh! and check to opt for a verify as well ............

===================================================================

Wey-hey !!! Below we have a green progress bar - not much, but it is there ;-0)

=========================================================

Now below we see a larger green progress bar, AND, it is for verifying ;-0)

=========================================================

And finally (below) a message of 'success' !

==========================================================

Lets now see what we get when we try and read the contents of the DVD disk in our reader :-

===============================================================================================================================

Well guys, it certainly looks OK, but we must remember our goal - it was to have an ISO file we

could use, and point to in the specification of our new VMs.

So lets stop here, and remind ourselves that we will see this file used to create a full VM in a section

or twos time.

For now lets move on ................ see you in the next section .............

PHH - 28th. July 2015, and later .....


As the main O/S

As the main O/S

As the main O/S

 Previous topic Next topic

Okay guys, upgrading your existing hardware platforms (real machines) from Windows 8 to the

new version 'Win10' is so well documented on the web that there is little point me saying anything

here in these eNotes.

Just get yourself an ISO file or automatic download and go for it ;-0)

[ .. see the section a couple on from here to find ISO files .. ]

It may well prove useful to have a suitable 'Key' available as well.

You should then end up with something like the following - shown in two images :-

=========================================================================================

The above is from 'Settings' and the next is from the use of the older 'Control Panel' :-

=========================================================================================

I suggest that you go now to read the following section on what happens to existing VMs on a

Windows 8 and 8.1 system, when an upgrade is carried out.

See you there ....................

PHH - 28th. July 2015 & 7th. September 2015.


Finding and downloading other 'Windows' ISO files.

Finding and downloading other 'Windows' ISO files.

 Previous topic Next topic

Finding and downloading other 'Windows' ISO files.

 Previous topic Next topic

In order to be able to make different 'flavours' of VM's - meaning VMs based on a different version

of Windows to the 'host' operating system, we need to be able to get our hands on the ISO files

for these different Window versions.

Here is a link which will give us a good start :-

http://winsupersite.com/windows/how-download-last-three-versions-windows-officially-no-cost

================================================================================

And this is what is part of what is said when we open the link :-

========================================================================================================

Try out these for yourself :-

https://www.microsoft.com/en-in/software-download/windows7

http://windows.microsoft.com/en-US/windows-8/upgrade-product-key-only

http://www.microsoft.com/en-us/software-download/windows10

*** Note *** it was from here that I downloaded the ISo file I used to create and run the VM shown in Chapter 2 - part 2.

Look back a couple of sections ............

PHH - 8th. September 2015.


Accessing your current 'Activation Keys'

Accessing your current 'Activation Keys'

Accessing your current 'Activation Keys'

Previous topic Next topic

This topic area is often a total mystery to many guys.

Well, not any more, as the currently FREE version of 'Belarc Advisor' can really help us out.

*** Note for acquiring ISO files - from previous section ***

You will need to retrieve your product key from the OS before clean installing so you can use it to download

the ISO from Microsoft. Retail keys are usually available on the retail box, disc or in an email you received if

purchased electronically.

I use a program called "Belarc Advisor" (Free) to view the product keys for software, including Windows, that is

installed on my systems.

http://www.belarc.com/free_download.html

The other thing to be aware of is that some OEMs have unique hardware drivers which you may need to download

from them directly so your system hardware will work properly after the installation using this media.

Here is what the top of the home page looks like :-

=============================================================================================================================

Start the download process and see this screen :-

==========================================

Follow the install screens and respond accordingly ............ :-

=============================================================================

Then this :-

=========================================================

Some processes take a quite few moments ....................

===============================================

===============================================

Then finally you get a new tab in the browser which contains LOTs of detailed information.

Here is just the section on my VMs that I have created :-

========================================================================================================================

As for the software keys ? - well the following image will give you a flavour of what comes out, BUT, not

any useful key information which may be misused by some guys :-

===================================================================================================

Out of interest, the activation key for my Windows 10 O/S is what I expected it to be.

We also get a lot of information about application usage - when last used etc.. :-

=================================================================================================================

And finally, a screen snap 'capture' to show that the Belarc Advisor application has been installed.

I changed my settings to pin to task bar and pin to start screen, after I captured the image :-

===============================================================

*** Special Note ***

On my laptop I did a similar download and install of the Belarc Advisor tool, and got some slightly

differing results.

There was no entries at all for the VMs that I had created, and the activation key only reported the

last group of characters - (Key: ends with XYZAB)

Obviously the XYZAB is in place of the real characters I saw ;-0)

The reason I think this came out like this was because the Key was a 'multiple' and as such could

still be used for further activations.

It would appear that when the Key is a 'one off' the whole thing is shown, simply because it can't be

used a second time, to activate. This is just my interpretation of what I saw.

Oh! the last group of letters told me that the correct key had be found and retrieved.

PHH - 8th. September 2015.


Existing VMs in Win8.1 and upgrading to Win10.

Existing VMs in Win8.1 and upgrading to Win10.

 Previous topic Next topic

Existing VMs in Win8.1 and upgrading to Win10.

 Previous topic Next topic

I Know that some guys panic about upgrading from one version of Windows to the next, they always

have, and they always will - that is their nature ;-0)

However, the truth is that you have really nothing to worry about.

As will almost 100% of other working applications on Windows 8, the VMs made with the VM Manager

in Windows 8 & 8.1 work as required on a Windows 10 system, so panic over.

I had quite a few different VMs created in Windows 8.1 and these seem to work as expected on my new

Windows 10 systems.

Older VMs, that is those made in "Windows 7" when the 'Hyper Visor' technology was a separate download,

and available free to MSDN members, can most likely be used as the ones I tried out from Win 8.1 - however,

I have not tried this out myself, it is just an educated guess ;-0) A professional 'feeling' if you like.

Please email me and let me know if you try out using VMs from Win7 in an upgrade to Win10.

Lets move on to the next section in which we will make a new VM based on the public release of Win10.

We will use the ISO file we downloaded in an earlier section (two back).

See you there ................

PHH - 7th. September 2015.


As a new VM on a host O/S (Win 8 or 10)

As a new VM on a host O/S (Win 8 or 10)

 Previous topic Next topic

As a new VM on a host O/S (Win 8 or 10)

 Previous topic Next topic

Okay then guys, we are now going to make a new VM based on the version 1.0 release of "Windows 10" - we

can call this the first public release.

Since all my PC type hardware is now upgraded to Windows 10, I can't test making this new VM on a Win8.1

hardware platform - maybe you can do that for me !?

So I will use the 32 bit ISO file we downloaded previously, and make a x86 client VM on the host Windows 10

platform I am using now.

Lets relocate and then find our new ISO files.

Originally, our downloads from the special Microsoft tool gave us files as seen below in the screen capture image :-

=========================================================================================================

Lets move then on my machine to a more convenient place on my second drive - the D: device, a 1 TB SSD device.

I have been locating all the ISO file there for making my test VMs.

=======================================================================================================================================================

And finally locating the file we will actually use a little later in the VM creation - here it is shown below :-

===========================================================================================================

Lets move on a step ...............

Creating a new VM :

===========================================================================

============================================================================================================

========================================================================================================

========================================================================================================

========================================================================================================

============================================================================================================

============================================================================================================

=======================================================================================================================================

==============================================================================================================

=====================================================================================

=====================================================================================================================

================================================================================

==============================

==================================================================================

===========================================================================================

================================================================================================================

==========================================================================================

================================================================================================

============================================================================================

============================================================================================

===========================================================================================

=====================================================

=================================================================================================

=======================================================================================================

=========================================================================================================================

====================================================

===============================================================================================

===============================================================================================

============================================================================================================================

=============================================================================================================

===================================================================================

=====================================================================================

================================

==================================================================================================

===========================================================

==============================================================================================

================================================================

Okay the folks, time to take a look around at the new O/S environment.

Checkout the small icons from the bottom right of screen / open window :-

===================================

Yes, some good and some bad ! ;-0(( WE seem not to have audio - BUT - we do have internet

and a network connection.

However, with a little effort we can rescue our sound I feel ;-0)

Bring up the context menu on the sound icon as seem below :-

=============================================

Let the system software have its head and you ought to see the following after a short pause :-

=================================================================================

However, don't panic when you see the red cross is still there - see my screen below :-

==========================================

All we have to do is re-start the VM, the equivalent to a re-boot in old money terms ;-0)

*** CARE *** do not press a key or the install will start again - we don't want or need that.

==========================================================

And with luck you will see this sort of image seen below :-

=============================================================================================================================

When we log in to our Microsoft account and then check once again in the bottom RHS of screen we see a nice change.

Check this image out :-

===============================================================

The audio icon is missing its red cross, and the left click on it shows the above details.

We may at this point see another system message, or red crossed icon, that of the cloud 'OneDrive' - see below :-

=================================================================

And also the following :-

=======================================================================================================

Follow the on-screen prompts and make you choice of what to 'sync' from your cloud account.

===============================================================================================

And then the system goes away and makes all the necessary changes and network traffic etc. :-

===========================================

And after all that we finally get a launched O/S with a Start screen looking like the following image :-

=====================================================================================================================================================================

Importantly we have Internet access from our newly made, and recently launched, VM.

Check my screen detail :-

=========================================

And opening the icon we see that I am using a cable in an RJ45 socket and

not local Wi-Fi - check the following :-

===============================================

And now for some interaction with the real world !

"Edge" - the new Microsoft browser :

Microsoft have designed and built a new Browser, right from the bottom up. They have gotten rid of a lot of the old

rubbish and legacy stuff, and created a software tool which will develop into the 202o's it would seem.

Here is what it looks like (note the small blue 'e' icon at the foot of the image) :-

=========================================================================================================================

After clicking the blue 'e' we then see the front screen of "Edge" :-

==================================================================================================================

We can see more of Edge in the sub-section below the topic.

For now we need to see proof of the new VM running, using the Hyper-V Manager :-

==================================================================================================================

Yep! - so it exists in the Manager and is currently running.

So how do we shut it down - or in human parlance, turn it off ?

Study the menu bar of the Hyper-visor shell, see below :-

========================================================

And when we have done turning off and shutting down (sometimes we need to try both) we see this shown below :-

==========================================================================================================================

Another way to see that the VMs are all closed down is to right click the 'TaskView' icon in the 'TaskBar' of the O/S window.

=======================================================

You will need to get familiar with the Task View icon, as it is extremely useful when doing

software jobs of any complexity. meaning all the time for developer guys.

If we run 'Task Manager' which we are all familiar with I am sure, then we see the following at the moment :-

======================================================

There are no obvious VMs in the list, so none are running. Let us compare the above to when I have

connected and started a few - check below :-

=========================================================

Yes, above we can now see that four separate VM connections are running, however we can tell which they are from

the entries in the summary screen.

On the other hand the Manager tool does show us, and quite clearly too :-

==========================================================================================================================

If we click to launch the Task View (or use a finger touch on a touch screen) we see the four VMs summarised or

thumb-nailed as below :-

=========================================================================================================================

*** Remember *** closing each window is NOT the same as using the Manager to turn off the VM and then Shut it down.

*** Note *** the keyboard way to toggle Task View is "Windows Key + Tab".

Alt + Tab works as before, in earlier versions of Windows.

PHH - 28th. July 2015 & 7th. September 2015.

Addendum :

Some other key combinations are as follows :-

===============================================================================================================

=================================================================================================================


Checking out internet access and performance

Checking out internet access and performance

Checking out internet access and performance

 Previous topic Next topic

I strongly suggest that as soon as you have a new Virtual Machine up and running, you check out its ability

to use the internet, and see if the browser works in the VM created.

Different VM's will require different Browsers, but then that is not a big deal these days, when some developers

like Willie Moore have a handful of Browsers on their desktops.

So then, before we get to testing Browsers (in the next child section) we first need to check out the

performance we are getting from our network card and connection.

Some of us have either a cable with RJ45 plug connection, or Wi-Fi with in-built aerials and router facilities.

It is quite common to be able to have both.

Usually, the wired connection will be faster, and less likely to be slowed down by devices sharing the bandwidth.

Lets first disconnect my 'patch' cable - common name for a short network cable to a switch box.

Now I will use the Settings app to show the available Wi-Fi connections - check my details below :-

=========================================================================================================

Both of the displayed Wi-Fi connections are mine, but one has better performance than the other.

The new 'devolo' system is my fastest and with a stronger signal. See below :-

=====================================================================

After connecting I get the following :-

===================================================================

Please be aware that if we get a 'Limited' text tag in place of 'Connected', then we are seeing

an internal network but NOT an external Internet connection. Then the fun begins, so fingers crossed.

Okay then guys, so we have a Wi-Fi connection, how do we tell how good it is ?

Simply use the following URL to make a live link :-

http://www.speedtest.net/?test-2

Yes, 'Speedtest.net' is our friend for sure ;-0) When the tab opens and displays, click the 'BEGIN' button :-

=====================================================================================================================

I am VERY lucky where I live in Newport to have an excellent cable internet provider close at hand. So I get a very fast

and inexpensive service.

This test shows a 13/6 mbps download/upload performance for Wi-Fi - it is even faster downstairs

where the repeater is located.

======================================================================================================================

So what about the cable connection to our new VM ?

Reconnecting the network cable we can then run 'SpeedTest.net' once more, to see the improved results below :-

==================================================================================================================

Note the upload speed is limited on my service to 6 mbps. I am NOT complaining ;-0)

==================================================================================================

Okay then folks, now we know we have a good outside contact with the wide world, lets go and play 'Browsers'.

See you in the next section .................

PHH - 9th. September 2015.


Our first trials with MS "Edge" browser

Our first trials with MS "Edge" browser

Our first trials with MS "Edge" browser

 Previous topic Next topic

Although 'Edge' comes as the preferred Windows 10 Browser, (mine and Microsoft's) we

can also run 'Internet Explorer' - the desktop application.

Here below is what a Start screen auto-search gives me :-

==========================================================

Note above that I have not pinned IE to either Task bar or Start Screen because I wish to use Edge, nothing

more, nothing less.

Okay then guys, lets launch edge with mouse click :-

========================================================================================================

I have opened a new Tab for Google but in fact the Browser comes set-up to allow a quick and immediate search with Microsoft's BING,

which I have gotten quite used to using by now, and am starting to like it.

here are the results of the search for my good friend Alwyn :-

========================================================================================================================================

There is much more on the web by way of information about Edge, and its new features, and much more - I suggest

quite strongly that you go and find out about t before you automatically reach for your tired old and slowing Browser ;-0)

PHH - 9th. September 2015.


Chapter 3 - checking out the VM 'W10' installation

Chapter 3 - checking out the VM 'W10' installation

Chapter 3 - checking out the VM 'W10' installation

 Previous topic Next topic

============================================================================================================================================

=========================================================================================================================

========================================================================================================================

=========================================================================================================================

=============================================

PHH - 4th. & 6th.October 2014.


Chapter 4 - gaining Internet Access

Chapter 4 - gaining Internet Access

Chapter 4 - gaining Internet Access

 Previous topic Next topic

PHH - 4th. October 2014.


Chapter 5 (part 1) - adding applications to W10 in a VM

Chapter 5 (part 1) - adding applications to W10 in a VM

Chapter 5 (part 1) - adding applications to W10 in a VM

 Previous topic Next topic

This should be a simple enough task many of us would think. Well, yes if we judge this simply at a

stand alone PC level.

The problem about mixing 'machines' is that we then get into the complexities of networking.

Many developers who work alone or in small groups coding and writing applications, are spared the

bigger problems and issues of security over a network, and accessing files on a server with tight

security. There are a lot of skills to learn, and pitfalls NOT to end up in ;-0)

We are now faced with trying to access files on one drive or storage device (on one computer - say 'A')

on another and different computer (say 'B').

We expect to have open access to files and folders on our own machine - say 'A' - but we may not

expect to have access to a storage device on a distant machine - say 'B' - unless we have been granted

access rights.

Some of you may have noticed that even on stand alone PC, Laptop, and Tablet, we have a Network

section in the File Explorer pane.

The simplest we are likely to see on a Windows 10 local machine is similar to the image following :-

==========================================================================================================================================

Although the PC machine is my local one it is plugged into a home router system and as such has available to

it Wi-Fi and network cable facilities. Nothing is simple any more.

The machine is my "BIG-T" PC, which stands for 'big tower' - had to call it something, and did you ever see the tower case ??

Didn't look that large on the internet images !

So if we select 'BIG-T' in the LHS viewing pane we get the following details :-

====================================================================================================================================

As you will have imagined, BIG-T is going to be running the 'host' O/S and this has recently been upgraded to Windows 10 Enterprise.

But my Settings screen says this :-

==========================================

The least we have to do is make one of the host storage devices available to the 'Sandboxed' upon which VM we need to install

our software.

From our VM Sandbox we should be able to see 'Offered' storage devices on any PC in the network section, as long as we

have access rights to it, and/or know the logon Username and Password.

Usually, for the local host machine, the VM has automatic access to shared drives and devices.

So we can use File Explorer on the VM and point to the shared drive on the host - then copy over any installation files we

require to be able to do an install.

It seems a good idea to install from a local virtual drive, once the copying process is over. Try to keep things simple.

We need to move to the first child section where we will look in more detail as to how we can copy files from

inside the Sandbox of any VM we have running - as long as we do not have its settings to be 'sealed' or 'closed'.

See you in the next sub-section .............................

PHH - 4th. October 2014 and 10th. September 2015.


the 'SandBox' within the VM

the 'SandBox' within the VM

the 'SandBox' within the VM

 Previous topic Next topic

The idea of the VM and its accompanying 'Sandbox' is to keep the VM in an isolated environment.

From a data security point of view this is important and ideal.

However, from a practical point of view it makes life difficult or sometimes even impossible.

If we allow the VM to be available on a Network then we can overcome some of the difficulties, as

long as we can gain access to one or more storage devices on other machines (be they real or virtual).

In one way our virtual main C: drive will remain 'Sandboxed' if we do not allow it to be shared - we leave

the shared setting unchecked.

However, even with an unshared C: drive we can read and copy files from outside of the Sandbox, we shall

see this in action soon.

Lets study the VM and also its host machine available in the Network section as 'BIG-T'.

Checkout these details :-

=====================================================================================================================

PHH - 4th. October 2014 and 10th. September 2015..


available drives for Files and Folders

available drives for Files and Folders

available drives for Files and Folders

 Previous topic Next topic

If the 'Sandbox' of a VM is not set as 'closed' then we should be able to use the Network section of

our Windows 'File Explorer' to see and access all storage devices seen and accessible to us.

Many machines which appear in the Network section will require us to login with a Username and Password.

Usually, the exception is the host machine - what we call the Visualization Server (VS).

In the following image the VS is our 'BIG-T' machine (the one in front of me) - remember a VS must be hardware.

Check this out for detail :-

====================================================================================================================

The VM is called "OurNew_Win10x86" and we are looking at its virtual disk C: which was set at a max of 127 when the

VM was specified and created.

Notice that many drives of "BIG-T" are visible in the LHS tree pane, these must therefore all be set for sharing.

If we focus on the local PC we see the following in the File Explorer - notice the little icon with two heads, next to drives

C: through to F: - this means that each device is set as 'Shared'. If you look closely the icon can also be seen in the

LHS pane, even though it is tiny indeed :-

===================================================================================================

Here is an expanded view for your convenience :-

========================================================================================================================

PHH - 4th. October 2014 and 10th. September 2015..


Installing VS 2015 and Vulcan 4

Installing VS 2015 and Vulcan 4

Installing VS 2015 and Vulcan 4

 Previous topic Next topic

Yes, folks, the public release to VOPS members is here for 'Vulcan 4'.

I have just had the email and downloaded the EXE file from the CAVO server.

No all I have to do is get Visual Studio 2015 installed and then Vulcan 4 - Oh! and most

likely SQL Server as I need to use Entity Framework 6 in my sample app from Cologne 2015.

We shall see some of the possible issues for application installation into VMs as well as how to

overcome some commonly 'held' problems. I say it like this as really the issues and problems

are self inflicted, simply because guys have the wrong idea of what to expect, and how to go

about things.

Its all easier than it looks or sounds ;-0)

Before we Start Installation - making the files available :

Yes, it funny to realise that the hardest part of installing application software in an existing VM is

getting the installation files into the VM - making them visible and available for the user to just

start installing.

Because each VM is in an isolated environment - we often call this a 'Sandbox', it can be very

confusing to new guys coming to visualisation, as to how to copy files etc.. The rest is easy, as

we are all used to it ;-0)

In the body of this chapter we will cover the following :-

Starting Application Installs - Visual Studio, SQL Server, and Vulcan.NET (4) :

Copying in the Vulcan Samples :

Testing things out - C# and Vulcan applications :

But we need to break down into separate steps, the process of acquiring the install files within the

VM environment (Sandbox) and then installing then in a suitable order.

The order will be Visual Studio, SQL Server, and then Vulcan.NET.

Before we get started we need to examine in some detail as to how we can copy files from other

machines onto a VM. We need to consider the storage devices of various types, and how to make

then accessible - we can't copy files without first 'seeing' the disk/device.

And before we can see a disk/device we first need to see and log-on to a Network machine.

Lets get started .....................

PHH - 9th. September 2015.


Drives and Devices available to the VM

Drives and Devices available to the VM

Drives and Devices available to the VM

Previous topic Next topic

A common issue when guys start making new VMs when they are quite new to the 'game',

as game it is, is that they think they are stuck in the 'Sandbox' belonging to the new VM and

feel as if their hands have been cut off !

Before we get into too much detail, too quickly, lets see what we have available to us on a new

VM that we made two days back from the freshly downloaded ISO file.

Check out these details carefully :-

===========================================================================================================================

Notice that we have a 'OneDrive' available to us, simply because we logged in with an active Microsoft account with OneDrive

active and available - however, in the install (see the relevant section) we made a limited choice of folders to sync.

We will examine what we have in OneDrive a little later - BUT - we do seem to have some contact with the outside world ;-0)

So 'Sandbox' not quite !

First lets look in detail at this PC - meaning the new virtual one - check this out :-

================================================================================================================

Notice that we have a C: drive (which is actually a virtual drive on the D: device of my SSD 1 TB) and this does

not have a two headed small icon next to it, so it is not as yet shared, of as I like to put it, not on offer to be shared.

However, we can see other machines / devices on the network, so we need to see if any of those have available

storage devices.

First lets examine the contents of our simple and clean O/S installation :-

======================================================================================================================

PHH - 9th. September 2015.


Acquiring the ISO file for Visual Studio 2015

Acquiring the ISO file for Visual Studio 2015

Acquiring the ISO file for Visual Studio 2015

 Previous topic Next topic

Well then folks, let us start by examining the storage drive / device situation on the 'host' machine.

Remember the host PC is a physical piece of hardware, as visualization servers MST be hardware machines,

certainly at a client VM level on local machines - when we get to the cloud and Azure etc., etc., thing may vary

a little.

So our main desktop 'BIG-T' platform looks like this :-

=====================================================================================

We have two physical SSD devices, both of capacity 1 TB - these are drives C: & D: and

as we can see above these and the physical CD/DVD drives are all set as 'Shared' - see

the little two headed icons.

Also the blue Windows flag icon shows the Boot device for the host hardware.

We are now going to find a suitable download file for VS Professional 2015.

If you so wish you can get a copy of VS from Grafxsoft (as this takes Vulcan) - as I think an Express

downloaded version will not later allow Vulcan to be installed. But I could be wrong about this these days.

Personally I thoroughly recommend you becoming an MSDN registered member - you get lots of benefits.

Below we will look at me acquiring my ISO file from the MSDN website - check this :-

=============================================================================================================================

So 3882 MB (3.8 GB) will be downloaded to the chosen folder on the host platform.

Members of MSDN will be aware of the way to generate and acquire activation keys - here is a reminder :-

=========================================================================================================================

Okay then so we start the download of our ISO file (you may get yours the other way, direct from Microsoft or Grafxsoft.

Here is the start of the download - note the 'partial' word in Type :-

===========================================================================================================================================

As you wait for the download to complete there will be a status window at the bottom of the main screen of the host O/S.

Here is what mine says :-

=================================================================================================================================

When all is complete we then see a change of status 'Type' in FE (File Explorer) - check below :-

========================================================================================================================================

I now like to copy (or move?) the completed download to a suitable folder on my data D: drive.

Here is what I now have - see below :-

=======================================================================================================================================

So guys, we now need to put into focus the running VM we have, and from its Sandboxed environment try to access

the downloaded file for copying into the VM's virtual HDD.

Here is the main window of the VM with FE showing open :-

==============================================================================================================

Notice how from the VM we can access in the Network section the D: device of the 'host'.

By clicking in the correct place we can point to the downloaded file, the one we require - check this :-

==========================================================================================================================================================

With the file in focus we can copy it and then move to the new folder on the C: virtual drive of the VM.

In the following image we see the copying process in action :-

==============================================================================================================================

Yes, the 'local disk' is drive C: of the virtual hard drive.

And here is the result, when the process completes :-

===========================================================================================================================================

So when we double click the ISO file in the VHDD environment we get a virtual CD drive with accompanying folders and files ready for install.

Study the following image carefully :-

=============================================================================================================================================

Okay then guys, we are just about ready to install, we have both the file locally stored, as well as

the virtual CD drive from which installation will be carried out.

Time to move on.

In the next sub-section we will follow through the installation procedure.

See you there .....................

PHH - 10th September 2015.


Installing VS 2015 into our VM

Installing VS 2015 into our VM

Installing VS 2015 into our VM

 Previous topic Next topic

Okay then folks, lets start this sub-section at a point when the downloaded VS install file has been

copied over to the relevant folder on the C: virtual hard disk, and then double clicked to create a virtual CD drive.

Checkout the following details :-

===================================================================================================================================================

Lets now double click the 'vs_professional' icon to start the install - check below :-

===================================================================================================================================

As you can see above, the install has just started.

Here below is what we see next :-

=========================================================================

I suggest you 'go with the flow' and let the install wizard have its head - select the defaults!

And soon we will be off - first the security check :-

=========================================================================

Then the process begins :-

=====================================================================

Lets just do a check on the state of the main (virtual) hard disk - study this :-

=================================================

As the process continues we see this when we are part way through it :-

==================================================================================================

It takes quite a while, even on a fast SSD device ................

=================================================================

While things are whirring away, we do get other indications at other places on the main window of the VM.

Here is the Task Bar of the VM - make sure you don't get mixed up with the Task Bar of the 'host' window.

=====================================================================================================

And if we hover the mouse pointer over the Task Bar icon we see the following :-

============================================================

And just as a contrast, lets quickly view the Task Bar belonging to the 'host' :-

=======================================================================================================================================================================

Just be aware that with VM work it is very easy to get confused - between open main windows, as

well as storages devices on the open VMs. When we get to VMs open on one host and that host can

see VMs and their shared devices, it all gets a little bit 'hairy' ;-0)

Now then, lets get back to finishing our install - lets get ready for 'launch' :-

============================================================

So although set-up is completed, we have not as yet made available the reference material for

the Help Viewer, we must not forget that !

First lets sign in ...................

===============================================================================================================

Don't panic about signing in to your Microsoft account, if you want the benefits that this offers then just 'go for it' !

And so we have made it to the 'StartPage' - see below :-

=====================================================================================================================================================

Lets clear things up and re-size a little, here is what we now have :-

==========================================================================================================================================

Notice that we are still in the VM main window, even though I have not shown the Task bar.

Now then, lets move on a pace or two .............

Help Content - Adding a Suitable Amount :

In order to start adding the content to the Help Viewer system open the Help tab drop menu as seen below :-

=====================================================================

Now to the part where undoubtedly you will not wish to add as much as I do - I add everything!

See the following image where all the 'Actions' have been changed from 'Add' to 'Cancel' - personally,

I have never understood the logic in this screen as it seems to be 'counter intuitive' to me (plain wrong?).

Anyway, will all 'Cancels' showing we are about to 'Add' lots of information. Check this out below :-

=========================================================================================================================================================

Now you may have a longish wait, as information is copied down as well as being indexed. You may opt for a disk or web download (online) - see top left

of the above image.

This is what I now see :-

======================================================================================================================================

After a longish download, even on a fast internet connection, we then see another process begin - extracting :-

=============================================================

And then yet another process - moving :-

=================================================================

And another, 'deleting' :-

============================================================

Then we see this encouraging sight :-

==========================================

Somewhere I have missed out one other process, quite long, which is where the indexes were combined.

So finally, we can now look at other parts of Visual Studio, the main part to show us what languages we

have to choose from. Below is what a Pro version will offer you :-

========================================================================

Please notice that we do not as yet see Vulcan.NET as one of our choices.

This will come later when we have installed it in a later sub-section.

Lets move on the the next section - see you there ......................

PHH - 10th September 2015.


Acquiring the ISO file for SQL Server

Acquiring the ISO file for SQL Server

Acquiring the ISO file for SQL Server

 Previous topic Next topic

*** Note *** Do this on the 'host' machine, in my case 'BIG-T'.

[ We can then copy the file to a specific folder on the virtual hard drive. ]

Although we don't need SQL Server installed for every C# and Vulcan4.NET application I run, it

is a good idea to have it installed and available, as many of my modern applications do require it to be

present and available.

If we are to use EF6 (Entity Framework) and EF7 then we do need SQL Server.

If you are not an MSDN member then you can find the Express download available from Microsoft.

Express 2014 version :

http://www.microsoft.com/en-gb/server-cloud/products/sql-server-editions/sql-server-express.aspx

You should see the following when you follow the URL / active link :-

====================================================================================================

When you get options for the download process, make sure you save a copy of the download file, to a

folder / place where you can locate it again later.

Full commercial version :

In order to get a full Professional copy of SQL Server, many of us can use our MSDN accounts, so this

is what I have shown in the following images and eNotes.

Here is what the MSDN download page looks like :-

=====================================================================================================================================

And if we focus on the x86 version (or flavour) of SQL Server, we can start to download that one, since our target

O/S platform on the VM is also a 32 bit one.

This is what I need :-

=========================================================================================================================================================

After following our nose, and the on-screen prompts, we should see a partial download file being filled out with data like this :-

===========================================================================================================================================================

Once the download completes, and the 'Type' changes to "Disc Image File" - size about 2 GB, then copy it to a more suitable place.

Below I have copied the download file to my D: data drive, within a suitably named new folder - check this :-

==========================================================================================================================================

Okay then guys, we have now got the SQL Server install file we require for our VM install process. However, before we

start to think of any installation we must first copy it into our VM storage area - onto the virtual hard-disk.

Let's connect and start our VM, and then make a new folder directly on C: drive (the virtual boot drive) - see below :-

=================================================================================================================

Using the File Explorer I can access drive 'd' of the 'BIG-T' machine shown in the Network LHS section.

From drive D: I have then copied the SQL download file to the correct place on the VHDD (virtual had disc drive).

Checkout the results of my 'hard' work below - or should that be 'virtual' work ?!

=======================================================================================================================================

We can even check our progress by comparing the VHDD before and after the copying from the host drive.

Of cause you need to think of this before you start or finish the copying ;-0) Luckily I did, check below for details :

====================================================================================================

Well, we do seem to have gotten about 3 GB less space, or conversely 3 GB of more data.

So to complete of acquisition, and be ready for our install, we just need to double click on our file to provide

ourselves with virtual CD drive as seen below - note we can still see the one created earlier for Visual Studio.

Checkout carefully these details :-

===============================================

And the RHS details of the FE (File Explorer) pane are :-

==============================================================================================================

Okay folks, as you can see above, we now have a 'setup' icon, and a file to click into action.

To follow in detail the installation of the SQL Server, go to the next sub-section and see what takes place.

See you there .................

PHH - 10th September 2015.


Installing SQL Server into our VM

Installing SQL Server into our VM

Installing SQL Server into our VM

 Previous topic Next topic

PHH - 10th September 2015.


Acquiring the Vulcan.NET version 4 file

Acquiring the Vulcan.NET version 4 file

Acquiring the Vulcan.NET version 4 file

 Previous topic Next topic

Use FileZilla (or other) to go onto the CAVO site with your Username and Password.

Find the Vulcan 4 download directory and proceed to download.

===============================================================================================================================

PHH - 10th September 2015.


Installing 'Vulcan 4' and into VS on our VM

Installing 'Vulcan 4' and into VS on our VM

Installing 'Vulcan 4' and into VS on our VM

 Previous topic Next topic

PHH - 10th September 2015.


Copying over previous Vulcan.NET samples

Copying over previous Vulcan.NET samples

Copying over previous Vulcan.NET samples

 Previous topic Next topic

PHH - 10th September 2015.


Testing out the Vulcan samples from VS 2015

Testing out the Vulcan samples from VS 2015

Testing out the Vulcan samples from VS 2015

 Previous topic Next topic

PHH - 10th September 2015.


Testing the Import of the VM to another ...

Testing the Import of the VM to another ...

 Previous topic Next topic

Testing the Import of the VM to another ...

 Previous topic Next topic

PHH - 11th September 2015.


Dick van Kooten - new Store app

Dick van Kooten - new Store app

Dick van Kooten - new Store app

 Previous topic Next topic

" 365xDuurzaam " - search for :

=====================================================================================================================

======================================================================================================================

============================================================================================================

=====================================================================================================================

========================================================

PHH - 9th. October 2014.


Chapter 5 (part 2) - transferring and Importing VMs

Chapter 5 (part 2) - transferring and Importing VMs

Chapter 5 (part 2) - transferring and Importing VMs

 Previous topic Next topic

Okay then folks, what is this all about ?

By this I mean the idea of 'Importing' a virtual machine (VM).

Surely a VM is a complex 'thing' with installed operating system, installed applications, device drivers,

and not least a virtual hard drive as well. So how can we even think of 'Importing' one, whatever 'Importing'

is, or means.

Let us first look at a working 'Hyper-V Manager' list of existing VMs, on the desktop platform I am

currently using :-

===============================================

Yes, in the above image we see that there are two entries for "OurNew_Win10x86" as available VMs.

This means that two separate VMs can be connected and started.

Although they have the same name in the Manager list they are indeed different 'objects', and so their

names may be changed to suit the user, or PC account holder. We will see this done later.

If we look carefully at the top of the available 'Actions' in the Hyper-V Manager, we do see 'Import' just

after the 'New' options - check this out below :-

==========================================================================

So before we go off into child sections to look at the details of how to do things, what in fact is 'Import' ?

What are we trying to do when we import, and what do we achieve when we are successful ?

Meaning of 'Import' (when applied to VMs ) :

The answer to our puzzling queries on this is actually quite simple.

If we have an existing VM, no matter where it is stored, or on which real machine (virtualization server) it

is registered, we can import this to create a subsequent VM.

Remember the VM is a bunch of specialised files in specific folders, and it is these which are required during

the process of 'importing'.

Under some (restricted) circumstances we can import the bunch of files directly, with the copy process being

rolled into the whole business.

In more extreme circumstances, we need to copy the files first, prior to starting an Import.

With my limited experience of "Importing", even though I have a "two out of two" success rate, I have found the

following to be true.

"Importing" works as-is, or 'straight out of the box' when we are restricting ourselves to one machine, PC

hardware platform. The access rights seem just fine.

However, if we try to start the import process by pointing at a bunch of VM files on a distant, or Network PC,

then we seem to hit security issues about access rights etc..

Lets move on a few steps, as well we soon see how to successfully carry out the above tasks.

What type of VM can we 'Import' :

Lets discuss just what state the VM can be in before importing, and also what state we find after the import process.

At first we may all be forgiven for thinking that 'Importing' is nothing more than a short cut to re-specifying the basic

'framework' of a VM - you know, the O/S type and version, the memory, disk size and network / audio settings.

So we may think that a freshly imported VM needs when started, to install the O/S from scratch.

However, in my testing I found that it is much more sophisticated than this, it actually copies the whole VM as it was

at the point in time when it was copied and/ or imported.

All O/S settings and application installs are preserved from the original VM - the focus of the origin of the import.

You need to look out for this in the next few sub-sections.

This is an exciting situation which provides a wide range of possibilities to us as developers.

Short Summary :

So to summarise therefore, we can take one VM and clone it into as many as we like, both on the same PC

hardware, or on any other which is running as a Virtualization Server - using this means a reasonably well

provisioned PC with an O/S of Windows 10, 8.1 or 8. lets simplify it and say Windows 10 ;-0)

Whether the source and target VMs are on PCs which are stand alone or networked does not really matter.

Lets move on to the next explanatory sub-section ........................ And have some fun ;-0)

PHH - 13th September 2015.


On the same 'Host' machine

On the same 'Host' machine

On the same 'Host' machine

Previous topic Next topic

Remember the 'Host' is the hardware machine we call a 'virtualization server'.

In my case it is my main office desktop PC called 'BIG-T' on my home network.

We are going to use a VM on one of the storage devices of this machine, and through the

'Import' process make another just like it (cloning ?) in a suitably selected place on 'BIG-T'.

So in some ways this is to be an 'Internal Import'.

Before we get into details of what to do, lets take a look at the results of a successful import

below - checkout the highlighted VM and the similar one above it :-

===================================================================

We can see that the one highlighted above was created on the 11th of September, and this was

using the earlier one shown below, which was created four days earlier on the 7th.

Note below that the names are the same - BUT - the items are quite different objects :-

============================================================

The names in the Hyper-V Manager can be 'renamed' if we so wish. Check the

following image where the highlight has an extra digit '2' included.

=========================================

In the next image, shown below, we see the two instances of the VMs running side by side. (These have the same name.) :-

==============================================================================================================================================

Okay the guys, enough of the triumphal display after the event - lets now get to know how to use

the 'Import' process to our own advantage.

Starting an Import :

*** Note *** Because we are going to use a VM already on the same hardware platform (and hence VS - virtualization server)

we can start the Import process right away, by going to the 'Actions' pane.

[ .. If we were to need a VM on a different machine we would be better to locate and copy the VM folder first.. ]

Lets get going straight away ...........

=====================================================================================================

Yep! - not much help really ;-0)

Lets move on :-

=========================================================================================================

We need to locate the folder where the VM is to be found. On my 'BIG-T', I keep all my VMs on data device

D: (which is a 1TB SSD drive/device) - check details below when the Browse is selected :-

=================================================================================================================================

Having selected this we can close down the dialog and we see the following :-

================================================================================================================

Having chosen a folder we then have to choose the VM - see the following image and study it carefully :-

================================================================================================================

After the above selection we then need to select / choose an import type - check below to see

what is available to us :-

==================================================================================

Here is what I will use - but I am guessing in the dark just a little ;-0)

======================================================================================

The Copy option just seemed the most appropriate !

At each step / stage keep pressing the 'Next' button ..............

==============================================================

Now we need to find or select a destination location - see below :-

======================================================================================================

Okay then folks, this is where we need to make a sensible and suitable choice - so thinking caps on ;-0)

======================================================================================================

Lets put the new 'stuff' somewhere different to all the previous VMs - just so we can see this first time

what is going on. We can always do it differently another time.

And so off the process goes - copying and moving stuff about :-

========================================================================================================

After clicking 'Finish' we should see this :-

s

========================================================

Lets now rename this last (and second) VM instance :-

[ .. its easy to do - right click for context menu and follow your nose ..]

============================================================

Then we need to connect to this new VM and start it up - what do we see, and what is happening ?

===============================================================================================

Well folks, we see above that the name of the VM instance is correctly displayed in the window

Title Bar - see the '2'.

But before we see anything shown on screen (from a detail point of view), what we do notice is that

Windows does not freshly install - it is already installed, and boots up quite quickly, as one would

expect for a standard / normal Windows based VM.

Once the VM has booted up, and I sign in with the Username and Password required on the original

VM (before importing), we see that the desktop icon for Visual Studio and Vulcan is displayed.

This means that VS2015 and 'Vulcan 4' must also be installed and ready for use. So the new and

imported VM has everything that the original had, and that both applications and operating system

are activated and ready for use - no whirring around for minutes on end.

All of this makes for good reading as far as developers are concerned ;-0) It is certainly interesting,

if nothing else.

Now then, making a few further steps forward, we need to move on to a child sub-section and see

just where the files and folders have bee placed, and/or created.

See you in the next child sub-section ...........................

PHH - 13th September 2015.


Where are the 'Imported' VM files / folders ?

Where are the 'Imported' VM files / folders ?

 Previous topic Next topic

Where are the 'Imported' VM files / folders ?

 Previous topic Next topic

Okay then folks, lets put this quite simply, and bluntly, when we were trying out our first 'Import', hoping

that it would all work etc., we were not that concerned as to where the required files and folders were

copied and made.

However, now that we know that it works VERY well, we do need to be knowledgeable about where

'stuff' is stored, and where we have two lots of things to support the two instances of the VMs.

Lets now make a few exploratory searches using File Explorer.

What and Where - checking the Summary :

Before we make any searches, let us find and study the Summary Sheet from the 'Import Wizard'.

Check the following details carefully - first the headings :-

=================================

And now the values that we selected for the process we completed :-

======================================================================================

These should do for our searching exercises with File Explorer (FE).

Let us work in an upwards direction - lets look at drive C: to see what is there :-

[ .. there seems to be a mapping / display issue with 'Documents' so we need two 'FE' views .. ]

===============================================================================================================================

And the second view is this :-

===========================================================================================================================

Notice that the top entry dated 12th. September is a virtual hard disk, and the one for the second of the two instances.

Since we have made no changes to the actual VM we must read the date modified for what it is, and not take it as

the same thing as the date the VM was created.

So we will see this Hard Disk Image File in two different and separate locations, and both with the same date.

If we more carefully check the related sizes we see this below :-

============================================

Note also that the first VHD was created on the 7th. Sept. for the first of the pair of VMs.

Lets try and make this easier to follow ...........

Adding a Creation Date to clarify things :

Let us add the 'Date Created' optional column, and then review the details of the files.

First the data D: drive :-

=======================================================================================================================

So the original virtual HDD for the first of the pair of VMs was created on the 7th. September.

Lets check the second VM which we made a few days after the first, by Importing :-

============================================================================================================================

Well folks, that all looks better!

Files created on drive C: were done for the second VM on the Importing date of the 11th. September.

Lets now move up the summary headers - lets refresh our memory first of all :-

It would appear that in future we need to take more care when we select / choose the 5th & 6th. inputs,

those for Checkpoint folder and Smart Paging file store.

But what of the 4th. one, the VM configuration folder ?

To access this folder we need (even as administrators) to type the path as some hidden folders do not show

as an option for selection.

Here are some results after typing in the path manually :-

========================================================================

And if we select the most appropriate folders we get this bunch :-

===============================================================================================================

And if we select Virtual Machines as the folder we see the following :-

==============================================================================================================================

Okay then guys, where does all this leave us ?

Well, it is quite simple, VM instances are each supported by a bunch of files, just to make them work.

These files can be in various places on the hardware of the machine (virtualization server).

Each can also be registered in the Hyper-V Manager and even has similar names, as long as the bunch

of supporting files are in separate/different places.

We all need to PLAN and plan carefully as to where our VM folders are kept, mainly because of storage

capacity, or possible lack of it ;-0((

We need to do some more experimenting with Imports - both local and remote. Remote meaning on a

different VS (virtualization server).

Lets go and do a bit of experimenting ..............

See you in the next sub-section.

PHH - 14th September 2015.


From one 'Host' to another

From one 'Host' to another

From one 'Host' to another

 Previous topic Next topic

Well guys, if we are going to be talking about two 'Hosts' then we are talking about two separate

machines, and that is also two sets of hardware.

A host is a VS (virtualization server) and so we need to have two VSs to carry out experiments

using 'Importing' of VMs.

Two machines can be either unconnected, or connected via a suitable network.

If we have disconnected 'hosts' then we MUST use a USB type of portable storage device. With

this detachable storage device we can copy and move the required VM folders and files across

to another isolated / remote machine.

If we have a network connection we can copy the 'stuff' across - BUT - we must consider the

security type of rules.

It seems best that, after a small number of tries at 'Importing', we are best to find the files/folders from

the target machine, and then 'suck' them from the point of origin - as long as we have access rights.

Once files/folders have been written onto the target 'host' we can then start the import procedure.

PHH - 13th September 2015.


Trying a 'Pull' situation with 'Importing' on a Network

Trying a 'Pull' situation with 'Importing' on a Network

Trying a 'Pull' situation with 'Importing' on a Network

 Previous topic Next topic

Lets follow through a specific scenario, one in which I am sat at a Dell laptop and the remote machine

I wish to access over the network is a desktop PC called 'BIG-T'.

Here is how my FE pane looks sat at the Dell laptop :-

========================================================================

The first thing we are going to do is try to locate the correct VM related folders/files on device D:

of the desktop 'BIG-T'. Checkout the details below :-

======================================================================================================

So when the time is right in the importing process, we are going to try and 'pull' the required data off drive

D: on the desktop and all as part of the in-built 'Importing'.

Please realise that in this procedure we are not copying files ourselves - of our own volition.

Okay then lets import .............

Starting the 'Importation' :

At the Dell laptop I open the Hyper-V Manager to see this :-

======================================================

Yes, al-right, I was having a play with the freehand marker tool in 'Snip' on my laptop ;-0)

The important thing is to see the 'Import' option - we will select it now :-

========================================================================================

The first information screen is not a lot of use, lets move on with next :-

=======================================================================================================

We need to use 'Browse' to locate out distant VM folder/files for the 'Pull' situation to be set up.

We now go to the remote drive D: to where the VMs are kept / stored :-

================================================================================================================

Lets go with this selection shown above :-

===================================================================================================

Moving on with 'Next' to the 'Select VM' screen we see this - this is likely to be the only option available

to the Importing system :-

=============================================================================================================

Now then we have shown below a choice situation, and we may not really know the best to select.

Here is what we have available :-

====================================================================================

It would appear to me that since we do not have the VM details on this laptop PC then we need

the last option which includes the word 'Copy'.

Lets chose that, before pressing next :-

====================================================================================

And when we try to move on we see this 'nasty' looking screen - see below :-

=====================================================================================

Oh dear ! We have an impasse ;-0((

My guess is that we can import and register a VM from another virtualisation server as directly as this.

And if before we find out more details, you wish to try the 'Register' option, then we can do that here :-

============================================================================

But this also gives us an issue, possibly similar to the last - check this out :-

==================================================================================

So lets ask to see more of the details for the 'Copy' option - check these out below :-

======================================================================================

Yes, we clearly see 'Failed to Copy', as well as access denied error ;-0((

This is enough for one sub-section.

Let us now move to the next sub-section where we try to make the same VM but in a

slightly different way.

See you there ..............................

PHH - 14th September 2015.


Using a Network or (PSD) 'Portable Storage Device'

Using a Network or (PSD) 'Portable Storage Device'

Using a Network or (PSD) 'Portable Storage Device'

 Previous topic Next topic

Lets put things simply for when it comes to creating a VM on a hardware platform using the 'Import'

facility built within the Hyper-V Manager.

[ We can also assume that we will be using Windows 10 as the O/S platform on the VS

(virtualization server). ]

The simple fact is that if we can first copy the VM folders/files from the original machine to the

target machine, then the Import process should go and work just fine.

We can copy the VMs files from an existing VS by either network methods, or by using an external

USB type drive - a removable storage device.

The hardest part (if hard it is?) is to correctly locate the folders and files which will be required to

set-up and register the new VM on the target machine.

Lets look at an example on my Dell laptop :-

===================================================================================================

The above image shows a new folder which has been copied onto my data drive D: on the laptop.

The contents of this folder were copied directly from the D: drive on the 'BIG-T' tower PC shown in the

Network pane of the FE window.

Now that this has been successfully copied, we can use it to import and register a VM into the Hyper-V

system on the laptop. The Manager software helps us do this.

First of all lets check to see what we have by way of VMs on the laptop - the existing ones.

Checkout the next image to see that it does not have a registered 'OurNew.....' VM in its list :-

==================================================

Okay, it is missing, so lets get to work .............

Starting the 'Import' :

Here below is the start of the importing process, we have skipped the first information page and

gone directly to the location page of the wizard :-

==============================================================================================================================

So we are setting the VM container folder as we would expect - lets also just make sure we

are pointing at the correct machine (PC) as well as the right folder.

Here is how it looks :-

=========================================================================================================================

As we saw previously, when there seems to be just one possible option the wizard makes a choice for us - check below :-

==============================================================================================================

Moving on we see the types of import from which to choose :-

=========================================================================================

The above wizard dialog screen is now not so much a guesswork effort as previously was the case.

This time we know we have a VM, because we copied it, so we just need to have it registered by the Manager

into the H-V system on our laptop.

We will go with the first option.

So what happens now - looks bad !? ;-0(( see below :-

====================================================================================================

Oh! I never thought about the fact that the network card (and hence driver) on one machine was very likely

to be different on the other machine.

However, it looks as though we are being allowed to change it for an existing one - no guesses.

Check this out below :-

===================================================================================================================

So which one do we use ? I will try out the last option - fingers crossed :-

==================================================================================================================

Lets move on at the same time as seeing that the left hand side (LHS) pane has two entries for network connecting.

================================================================================================================

And once again a fix for the situation :-

===============================================================================================================

And then whey-hey !! we have lift off - see below :-

[ .. well we seem to have no errors reported .. ]

=================================================================================================

So lets now just go for it and click 'Finish'.

Yes, we seem to have a registered new VM in our laptop list, and it has the name we would have hoped ;-0)

Check this out - all details, carefully :-

===================================================================

All seems to have gone well so why don't we give it a go, lets try a connect and then a start.

Here goes :-

===================================================================================================================================

And when we start up the VM we quickly see the following screen details :-

==================================================================================================

Then was no period when 'Windows 10' was installing, or anything like that, the VM just booted up.

Now when I log-on with my credentials we see the following desktop - note I have also clicked the icon

so as to start Visual Studio 2015 :-

=============================================================================================================================

And if we try to create a new solution/project we see in the next image that 'Vulcan 4' is also installed

and available from the New Project option screen :-

============================================================================================================================================================

Lets try to now create a new WPF project in VS2015 for Vulcan.

Notice in the following image we are shown a warning that my Azure account needs me to do a fresh login.

However, the point of showing you this image is to illustrate that SQL Server is also available in the new imported VM.

The Server Explorer shows enough information to convince guys that our new VM has SQL ready to hand.

Checkout all the following details :-

==================================================================================================================================================

Okay, so far so good ! - but I do realise that having SQL Server available, and getting a first new project to

use Team Foundation Server is quite another matter.

However, lets try it out and see what happens, just for fun, or even experience. Check below :-

========================================================================================================================================

Since I like using TF Version Control in preference to Git, I have selected the first option to test out.

Lets see what we get when we try the OK button.

===========================================================================================================================

Oh! I may be causing myself an issue without realising it - looks like I did not start VS in Administrator mode, and that is

required for me to use SQL Server they way I originally installed in on the first version of the VM.

{ *** a handy way to tell is to look at the application title bar ............ se the next small image ... }

========================================================

We can put this to rights later, first lets see the new test application - check full details in the following image :-

=================================================================================================================================================

Yes, you can see in the above image that the open solution/project looks like we would expect it to.

Lets move now to checking whether we can fully access SQL Server via the Management Studio software tool.

In the next image we see MS trying to get us to select a Server name - check below :-

=====================================================================================================================================

Obviously we won't have many Servers to choose from, as we only had one in the copied and imported VM itself.

However, it does open up successfully - see the following detail :-

===============================================================================

And just to check that we are still totally within the VM and not the laptop main O/S here

is a useful visual check :-

==============================================================================

Yes we can see two icons for MS, one in the main O/S and the other one (highlighted) which

is within the VM operating system / environment.

Lets finalise this sub-section, as we have done enough for now ..............

I have not forgotten that the only thing we have yet failed to do is get TFVC up and running for a new

solution / project.

So before we close this part section I will show you one positive and encouraging image, a 'snip' from

the laptop I have just used to get the VM's VS 20015 to add a project into source control using a

SQL sever for storing the version changes.

Check this out - is it good or what ?!

===============================================================================================================================

Lots of positive details shown above - check the icons in the SE pane, all results of successful 'checking in'.

Lets move to the next sub-section, where we show more of this in full detail.

See you there ........................................

PHH - 13th & 14th September 2015.


Getting Team Foundation Server up and running

Getting Team Foundation Server up and running

Getting Team Foundation Server up and running

Previous topic Next topic

PHH - 15th. September 2015.


and now a PSD for VM transfer

and now a PSD for VM transfer

and now a PSD for VM transfer

 Previous topic Next topic

PHH - 14th September 2015.


Data from one VM (remote - 'Cloud') to another VM local

Data from one VM (remote - 'Cloud') to another VM local

Data from one VM (remote - 'Cloud') to another VM local

 Previous topic Next topic

Well guys, this sub-section is really a bit of fun on the one hand, but quite a serious and

powerful point to make on the other hand.

Basically, we will see how that on our imported VM on the Dell laptop we can access a

remote VM at a Microsoft data centre and read SQL data from it.

So data flows from the Azure SQL Server I have previously set up, and flows over the internet

to the VM running locally on the Dell laptop.

All the data server login and the data request query is done from the Visual Studio 2015 'shell'.

The only real problem is finding the passwords to log into the databases which I created probably

as long ago as 11 months - fortunately I found my scratty bit of paper with the scribbles on it ;-0)

Oh! and by the way, the general performance of the system as we see it below, is more than

acceptable !

Some News Group postings tend to go on about Virtualization Servers slowing down the whole

PC system - maybe / perhaps this is due to having old hardware - with not a very high specification ?

Lets look at the 'Server Explorer' pane in VS on the VM (of the Dell laptop) :-

===========================================================

In the above image notice the Azure remote server stuff at the top of pane, and then the

local data server with the name related to the VM name.

We got this server information without having to supply a password but that will soon change ;-0)

The following image shows what happens when we use our mouse to try and open one of the

remote Azure databases :-

=======================================================================================

And with a rescue from my "scratty scribblings" on an old piece of paper we get in, and

gain access - check this :-

=============================================================

==========================================================================================================================================================

PHH - 15th. September 2015.


Chapter 6 - changing settings within W10

Chapter 6 - changing settings within W10

Chapter 6 - changing settings within W10

 Previous topic Next topic

PHH - 4th. October 2014.


Settings application to launch as Administrator

Settings application to launch as Administrator

Settings application to launch as Administrator

 Previous topic Next topic

As developers we guys often want and need certain software tools (or applications) to open in

the Administrator mode for that app.

We say we need the app to launch as administrator. We can set up things so this happens automatically.

Below are a few useful examples and related images - first VS 2015 will be our example ............

Visual Studio :

If we just launch and use VS as when it is first installed, we see the application title bar look like this :-

====================================================================================================

Notice that at the top of the above image, we can't see the presence (or existence) of 'Administrator'. So we

know that this means we will not have administrator rights for whatever actions we carry out in VS not good!

[ Make sure you exit or close down all open VS instances. ]

Lets now look at the options we get when we right click the respective icon in the 'Task Bar' - check below :-

=============================================================================

If we right click the 'Visual Studio 2015' entry in the main pop-up list, we get the subsequent fly-out menu

with an option to 'Run as administrator', but also 'Properties' - this is what we need to select.

If we simply select the 'Run ....' option then we get a one-time launch as administrator.

Usually us guys want it to launch every time as 'admin'.

Having made the selection we get a tabbed dialog window as shown below :-

========================================================

Now we need to select the 'Advanced' button to bring up the following properties window :-

============================================================================================

Note how I have checked the relevant box (Run as administrator) seen in the image above.

Close this dialog with an 'OK' click, then just select the icon from the Task Bar with a single click.

[ Do not forget to click the apply button. ]

This is what we now see :-

====================================================================

If we do things correctly then each time we try to launch VS we will get this UAC message. I leave

things so it shows up, I like to know that I have administrator rights.

If we do all this as shown above then after the launch we see this - checkout the application Title Bar :-

=================================================================================

Lets move on ............

Management Studio - the SQL Server software tool :

Locate the Task Bar icon for MS (Management Studio) - see below to check what this looks like :-

=====================

Now we right click the icon to bring up some context menu pop-ups and fly-outs.

Remember to NOT do what I have just done, and ignore the Run ... option as this will simply give

you a one-off 'Admin' launch.

Here is the wrong way ;-0) :-

==========================================================================

Lets check the Title Bar in MS after it is up and running, to see that we do get two different 'views' depending

on our access rights - check these out :-

====================================================================================================================================

So above we have the two modes of opening.

Lets now see the proper way to do the selection :-

======================================================================

And then we get the properties dialog after clicking the 'Advanced' button :-

==========================================================================

Do not forget to click the apply button.

Okay then folks, that should do it for each and every MS launch.

One final note - it is possible to have multiple instances of MS open, as indeed it is for VS as well.

Here we have two instances of MS :-

=========================================================================

Help and Manual - from "EC Software" :

First lets see the Task Bar icon :-

===========================

And if we do the same as for VS and MS we see the following :-

============================================================================

However, once we have clicked OK and then Apply etc., we don't then get an obvious

'Admin' mode indicator in the application heading area of the screen - but we do get a UAC message box.

PHH - 16th. September 2015.


Chapter 7 - discovering 'Windows 10'

Chapter 7 - discovering 'Windows 10'

Chapter 7 - discovering 'Windows 10'

 Previous topic Next topic

PHH - 4th. October 2014.


Announcing Windows 10 - what has it got ?

Announcing Windows 10 - what has it got ?

 Previous topic Next topic

Announcing Windows 10 - what has it got ?

 Previous topic Next topic

http://blogs.windows.com/bloggingwindows/2014/09/30/announcing-windows-10/

====================================================================================================================================

====================================================================================================================================

PHH - 4th. October 2014.


What you put in is what you get out !

What you put in is what you get out !

 Previous topic Next topic

What you put in is what you get out !

 Previous topic Next topic

http://www.youtube.com/watch?feature=player_embedded&v=84NI5fjTfpQ

https://youtu.be/84NI5fjTfpQ

====================================================================================================

PHH - 4th. October 2014.


Public release of Win10 and Hyper-V

Public release of Win10 and Hyper-V

Public release of Win10 and Hyper-V

 Previous topic Next topic

A couple of weeks ago at the end of July 2015 the world had its first public release of 'Windows 10'.

This full new release of the O/S supports 'Hyper-V'. A slightly cut-down version of the Hyper-V used with

Azure in the Microsoft 'Cloud'.

We now need to tryout both together, to see if all is well. And even to see if we need to activate the VM

copy of the same 'Win10', or see if we can get away with it automatically activating because the hardware

platform is the same, and the details are stored in the cloud in a new way, as far as Windows activation is

concerned.

Read here to find out about new Win10 activation :-

http://www.zdnet.com/article/microsoft-quietly-rewrites-its-activation-rules-for-windows-10/

Now that version 10 is out you are most likely keen to have a VM for Windows 8.1 and Windows 7 on

your desktop.

PHH - 13th. August 2015.


Chapter 8 - Ubuntu - download and install in VM

Chapter 8 - Ubuntu - download and install in VM

Chapter 8 - Ubuntu - download and install in VM

 Previous topic Next topic

It takes a little time and some patients to Google and find the right URL / link.

Eventually I found this :-

http://getintopc.com/getsoft.php

Which currently looks like the following, on screen :-

======================================================================================================================================================

try to follow the screen active areas and buttons to get the next screen :-

================================================================================

And further down the same page we see a useful button or two - check these :-

=============================================================================================

I selected the x64 bit option for my system - which I believe is mandatory for Hyper-V anyhow !

This is what I got :-

http://getintopc.com/gsearch.php?q=ubuntu&cx=005243863323681272266%3Ahpku-xcqlxm&cof=FORID%3A10&ie=UTF-8&sa=Search

And the screen I followed - not quite sure how I got there, but do your best !!!

Oh! yes I do, just search on 'ubuntu' in the top right of the top image (above) for "Get into PC".

Now then - below we need to select the first option for me the link is :-

http://getintopc.com/softwares/operating-systems/ubuntu-desktop-free-download/

=============================================================================================

And finally the 'GO button' can be seen in the following image :-

===========================================================================================================

Now we have found what we want, what do we need to do with it ? ............................

What we are after - from the download :

We are simply after an ISO file which we can use with Hyper-V creation, to supply as an Operating System.

Either use the links above or do your own Goggling etc..

However, make sure you are getting a 'quality' download, not something from an unknown or 'dodgy' site.

Here is what I got after some searching and Googling, and agreeing to 'this and that' :-

============================================================================================================

And on completion of the download I have this - see below :-

==============================================================

And the auto-download will most likely end up in your PC 'Downloads' folder - see mine below :-

============================================

Just for safety, and access from any VM created, I am placing this ISO file on my NAS device - the

network large drive (Network Accessible Storage) which is seen under my 'Network' node icon in File

Explorer in Windows 8.1 - check mine :-

=================================================================================================================

Lets move on ............... now that we have a new O/S ready for install ..............

Making a Start :

From the Task Bar (or other) select the Hyper-V Manager - see mine below :-

========================================================

Open the 'Manager' screen and view the existing VMs on your desktop main PC system - check mine below :-

===================================================================================================================================================================================

As you can see in the above image, we need to move to the 'Actions' pane on the RHS and select

to have a "New > Virtual Machine..."

This choice brings up the Wizard from where we need to make a few entries over a few different tabs.

Below is my first entry, the name of the new VM (set as 'UbuntuFirst' ) - check this out below :-

==================================================================================================

You may wish to make changes on the "Specify Name and Location" tab, or just allow the defaults. I will

leave it up to you to look and decide etc..

Lets check on the assignment of memory - here is what I have :-

=============================================================================================================

Change the above if you wish, I am just making a test environment, and not a working one, so I am not

too bothered really.

However, we need to get our network access correct, as I wish to use the Internet from Ubuntu.

Check the "Configure Networking" tab :-

=========================================================================================================

The highlighted 'Intel(R) ...' option is what my system has and requires - you will need to select your own.

And now lets move on another Tab to the 'Virtual Hard Disk' :-

==================================================================================================

All I have changed (see above) is the size to 127 GBs, and left the default location.

And moving on towards closure and success, lets check we have the source of our downloaded ISO file.

For now, we can just point the software Manager at the 'Download' folder - see mine below :-

=====================================================================================================================================

So now we can move on to the "Installation Options" tab - check the following image detail :-

=========================================================================================================

As you can see we need to select the second of the four main options, and the browse to point the Manager

at the correct ISO file - we are using the one in the 'Downloads' folder.

Here now is our summary tab - check all details before we 'press GO' :-

=========================================================================================================================

Click the 'Finish' button and see the new entry in the Manager panes :-

[ .. below is what we get BEFORE we roll-up the main machine (BIG-T) .. ]

=========================================================================================================================================

And now after roll-up in the RHS pane we see this :-

====================================================================================================

[ .. notice the network adapter entry .. ]

Now then, before we try to connect, and make the O/S install 'happen', we can take a look

at where we have placed the Virtual Hard Disk by using the default setting provided by the Wizard.

Here is what I have found on my PC system :-

==============================================================================================================

So I have the '.vhdx' (virtual hard disk) file on my main C: drive, when possibly I would have been better to locate

it on my physical D: drive - where I have more free space. No matter, lets move forward ............

Let us now click on the 'Connect' option to bring up this next screen - image shown below :-

==============================================================================================

And lets do as it suggests, in the 'UbuntuFirst' window, go to 'Action' and choose 'Start'.

We now see a whole series of interesting and colourful screens as we progress through the installation

process.

Here is the first one, which appears almost immediately :-

===================================================================================================

From the above screen I chose the 'Install' option on the RHS (right).

As with all installations we need to supply a certain amount of information, for settings etc..

Check through a few screens with me :-

=================================================================================

Check your Time Zone :-

================================================================================

Now your language / keyboard :-

====================================================================

And now start the personal bits, including contact with the provider :-

================================================================================

Add your own details similar to what I have done - keep your password secure ! Here is my screen :-

==================================================================================

And now the bit where you make contact with the provider :-

================================================================================

Just do your best to enter the correct 'stuff' and keep on going ;-0)

=================================================================================

Continue and try to Register and here is what I am up to :-

=================================================================================

And now follows a series of useful information screens as the O/S is installed - check these out :-

================================================================================

=================================================================================

===============================================================================

And finally, our patients and perseverance pays off ;-0) Look at this next screen to 'warm your heart' :-

=====================================================================================

Before you get too excited, the next screen could make us despair and worry, or just want

to jump off the nearest bridge ...... :-

==============================================================================================================================

So I thought to reset the VM using one of the menu bar options, or the Action menu list and selecting Reset.

If you have a similar message then try a reset for yourself :-

========================================================================================================

And when you do achieve a reset, then hopefully you will see the following, just as I did :-

=======================================================================================================================

As you can see above we appear to have a nice and clean O/S main page - 'home' if you like ;-0)

Let us now close this sub-section, and move on to the next one to try out a few of the 'delights' and interesting

features of the new Ubuntu operating system, and tools.

See you in the next sub-section .........

PHH - 6th. & 7th. October 2014.


About Ubuntu

About Ubuntu

About Ubuntu

 Previous topic Next topic

http://www.techradar.com/news/software/operating-systems/best-linux-distro-five-we-recommend-1090058/1

===================================================================================================

PHH - 8th. October 2014.


trying out some features of Ubuntu

trying out some features of Ubuntu

trying out some features of Ubuntu

 Previous topic Next topic

What we first need to do is check that we have an Internet connection.

I have a fixed RJ45 network connection, as specified in my VM Manager when we created the VM.

Below I am trying out the supplied Browser, which is FireFox (or Mozilla) - check this below :-

===================================================================================================

The fact that we get Google showing on screen is a positive step forward.

Now when I click 'go' we get a search on 'Vulcan.NET' and some hits - see the next image :-

============================================================================================

And as if we need further proof, here is what we get after selecting the second option in my found

list shown in the above image :-

============================================================================================

Okay then folks - "so good so far".

Lets now see what our VM Manager has to report to us, without us doing anything more than launch it

from the Task Bar :-

=====================================================================================================================================

Well guys, the Manager says that it is there in the VM group, and that it is of a 'Running' status.

In the above image check out top left and bottom right for this information.

So if the new Ubuntu VM is running, lets see if we can also run at the same time a Windows 10 VM !?

Check out the next image to see what you can make of it :-

======================================================================================================================================================

The above image is from my office desktop PC - "BIG-T" stands for large tower PC.

The main operating system is Windows 8.1 and that is what you see on the main screen on the left (the blue one).

On a secondary screen (monitor) I see two VMs running, The Ubuntu one is shown overlaying the VM

running Windows 10.

Lets move on a pace or two ......................

Looking at things in more depth - checking out Ubuntu features and facilities :

When I select the second to last menu option (excluding the trash can) we see the following options :-

============================================================================================================================

PHH - 7th. October 2014.


Chapter 9 - Android (Google), download and install in VM

Chapter 9 - Android (Google), download and install in VM

Chapter 9 - Android (Google), download and install in VM

 Previous topic Next topic

http://www.android.com/

http://download.cnet.com/1772-20_4-0.html?query=android+2.2&platform=Windows%2CMac%2CiOS%2CAndroid%2CWebware%2CMobile&searchtype=downloads

http://source.android.com/source/building.html

PHH - 7th. October 2014.


Android 4.3 in VirtualBox

Android 4.3 in VirtualBox

Android 4.3 in VirtualBox

 Previous topic Next topic

Below is a VERY useful article - both for 'VirtualBox' and also Hyper-V as well.

Lets give it a go and see how we get on.

The sub-section in the Introduction shows how to source and install the 'VirtualBox' Manager software tool.

http://www.maketecheasier.com/run-android-4-3-in-virtualbox/

=================================================================================================================================

http://code.google.com/p/android-x86/downloads/list

Locate and download the ISO file - as shown in the red entry below :-

====================================================================================================================================================

Here is an interesting image as we make our way to a download :-

=============================================================================================================

After a successful download you should see a new file in the Download folder on your PC.

Check this out :-

=====================================================================================================================

And the view of this from File Explorer is as follows :-

==============================================================================================================================

So now we have our ISO file we can start a new VM in the Manager screen - check this below, as we open the managing tool :-

============================================================================================================

At top left we see the light blue 'Now' icon - give it a click (or touch) - then fill in the details shown :-

===========================================================================================================

Moving on to the next input screen we see this :-

==================================================

Keep moving through the Wizard screens to the next one as shown below :-

=========================================================

Juts read the input details I have used (mostly copied from the web article) and

keep moving through the Wizard screens, one by one.

Here is what comes next - selecting to have a VHD :-

============================================================

Choose fixed space as opposed to dynamic for better performance. If you have

limited disk space then you should NOT be messing with VMs ;-0))

=============================================================

Now set the size for the fixed disk space - check this out :-

============================================================

13 Gigs should do us, especially when we don't even know if we will get the VM to work correctly,

fully, or at least in a suitable manner.

Lets keep going :-

===========================================================================================

And next we seem to see real good progress, in a visual manner at least - check this out :-

===========================================================================================================

From the menu bar choose settings and bring up the input dialog screen - study the following image :-

===========================================================================================================

Moving on we see this :-

============================================================================================================================

We are going to choose to select the source of the ISO file we downloaded.

When we click the option we get this selection screen :-

=====================================================================================================================

And correct file selection will then pass through to the settings screen as seen below :-

===========================================================================================

Now to select a suitable network 'type' - I am following the web article suggestion for NAT :-

==============================================================================

And bring all these option inputs together on the main screen of the manager tool we see this below :-

==============================================================================================

Okay then guys, looks good - but just what have we done so far ?

Answer is as always when using Wizards, an awful lot it feels like, but actually nothing at all, really.

Ever installed Microsoft's SQL Server ? - then you'll know what I mean ;-0))

The wizard has helped us make settings and setting choices - now we have to make it 'stick' and

find a 'GO' button of some sorts, somewhere !?

below we seem to have such a button in focus - check this out :-

======================================================================================================================================

That's better now we are into the install 'mode' .................

Installing Android 4.3 within our 'VM' :

The start of the Android 4.3 install looks like this - encouraging BUT still a long way to go :-

==========================================================================================

Okay then guys, since we have enough in this sub-section already, let us move to a child scetion

in order to finish the rather complex installation process for an Android 4.3 O/S.

See you there .............

PHH - 8th. October 2014.


continuation of installation

continuation of installation

continuation of installation

 Previous topic Next topic

Continuing the Android 4.3 installation, from the parent section, move the highlight with key

stroke input, to the last option - see below :-

=========================================================================================

This now brings up a primitive looking console type screen as shown in the following image :-

====================================================================================================

I seem to have this next screen extra to the web article - make of it as you will ;-0)

=====================================================================================================

Move the highlight with the right arrow key to the "New" option and press Enter.

====================================================================================================

This then brings up a screen like the following :-

====================================================================================================

Select "Primary" from the prompts (options) as seen above - Enter to select.

This now brings up a screen like the next image :-

============================================================================================================

We are now going to select "Bootable" which should set a screen 'flag' in the centre of screen, and not a lot more.

It should look like this :-

=============================================================================================================================

Now move the highlight to the "Write" option and select by pressing 'Enter'.

====================================================================================================

And of course we first get the usual security 'Are you sure ... ' screen - see below :-

=====================================================================================================

Which brings up the next screen details :-

=========================================================================================================

And all we now need do (apparently) is to move to "Quit" and press Enter :-

=========================================================================================================

And, FINALLY, we see something a bit more interesting - checkout the following image :-

===================================================================================================

As seen in the above image, make sure the new partition we have just made is selected and then click OK :-

In this next screen we apparently need to select 'ext3' as our choice - do that now :-

=========================================================================================================

Make sure you highlight 'OK' before pressing Enter !

This should then show the following details :-

Be brave and choose 'Yes' - BUT, remember this will not format the main machine HDD / SSD but the

virtual disk, so do not panic ;-0)

It is quite quick if you have SSD technology, I could not screen capture anything before 99% - check this :-

Now we need to make sure to install the boot loader GRUB - see below :-

Then we need to respond 'Yes' to install /system directory read-write :-

And things go and whir away for a while :-

Now

At this point we need to Reboot the virtual machine - although the web article instructions are not totally clear.

I have a feeling I may have got this part wrong, and chosen to Run instead. Either way I got a screen that did not

seem to move on like the one in the article.

Here is what I got - see the next three images :-

===================================================================================

==============================================================================

And at this point I think things fell apart as I had missed my chance to get it right.

I will investigate further - but this is what I got after going wrong ? :-

This is NOT what I wanted to see :-

===============================================================================

Fingers crossed I will try the process of the Black Screens once again ................

PHH - 9th. October 2014.


Android 4.3 in a Hyper-V VM

Android 4.3 in a Hyper-V VM

Android 4.3 in a Hyper-V VM

 Previous topic Next topic

PHH - 9th. October 2014.


Google Chrome OS

Google Chrome OS

Google Chrome OS

 Previous topic Next topic

http://download.cnet.com/Google-Chrome-OS/3000-18513_4-75329145.html

======================================================================================================================

http://www.google.com/chrome/browser/

http://en.kioskea.net/faq/4023-download-google-os-0-9-570-release-canditate#simili_main

http://getchrome.eu/download.php

http://dfiles.eu/files/9noibr9ds

PHH - 7th. October 2014.


Chapter 10 - 'VirtualBox' and Windows 10

Chapter 10 - 'VirtualBox' and Windows 10

Chapter 10 - 'VirtualBox' and Windows 10

 Previous topic Next topic

Okay then guys, the news is good, but like a lot of things, we need to know 'how' ;-0)

Before we can successfully use Oracle's VirtualBox to host a x64 bit O/S like the version

of Windows 10 (TP) I have downloaded, we need to disable the option at boot-up to launch the

'Hypervisor' - so not giving Windows 8.1 the access to 'Hyper-V'.

Here is some technical stuff you may have to refer to - follow the link :-

http://technet.microsoft.com/en-us/library/cc709667%28v=ws.10%29.aspx

And this is how friend and colleague Paul Piko had to say on the matter when I was having issues :-

=========================================================================================

[ .. BEWARE !!! - there is a mistake in the line to set the 'hypervisor' on - it should be 'auto' .. ]

Here is some more 'blurb' to help out :-

=========================================================================================================================================

The way we first see the issue is when we have the normal Windows 8.1 running (with hypervisor 'auto' booted)

and we try to create a new VM with VirtualBox ('VBX').

Notice below that there are no options for selecting ANY x64 bit operating systems :-

================================================================

When in fact we are really hoping to see the following drop list of options :-

[ .. note that every other option is x64 bit .. ]

=======================================================

If you don't set things up right then you will get some nasty screen similar to the next image - seen below :-

=========================================================================================================================================

And 'NO' the message is not true - I do have a nice fancy 64-bit processor, or I did this morning when I

turned on the desktop PC ;-0)

To find out how to set-up the PC to allow use of 'VBX' then see the appropriate child section from here.

Let us now move on .......................

See you in the next section.

PHH - 9th. October 2014.


Disabling and enabling the 'HyperVisor' at boot time

Disabling and enabling the 'HyperVisor' at boot time

Disabling and enabling the 'HyperVisor' at boot time

 Previous topic Next topic

Please note that there are two ways of doing this, one a command line prompt way, where the text of the

command line is suitable for including into batch (BAT) files, and another which is a GUI windows driven

approach which is suitable for a manual change only.

We will look at both ways in this sub-section, first the Command Prompt approach.

==============================================================================

When we are trying to use third party versions of VM-ware we need to know that loading up

the Windows operating system (version 8 and later) automatically launches at boot time a facility

called "HyperVisor".

I can report from experience that this interferes with the running of Oracles Virtual Box (VBX) when

we try to make a virtual machine (VM) of a x64 bit O/S.

It is not clear to me that using VBX for a x32 bit O/S would be compromised at all, since a few tries

with Linux and Android seemed to work reasonably well.

Friend and colleague ('guru') Paul Piko alerted me to this issue / problem, and how to get around it.

Thanks again Paul ;-0)

This is what he suggests - for Windows 8.1 and 10 too I suspect :-

Yes, all we have to do is bring up a Command Prompt window and type what is seen above :-

[ .. run the Command Prompt in Administrator mode .. ]

it is "bcdedit /set hypervisor off" and probably Enter as well.

Now then, although the returned message is a positive one we do need to restart (or re-boot) the system, so

that when Windows launches a fresh, it does not launch (or load) the Hypervisor.

Please also remember, that this will remain the state for 'booting' until set back again.

Unfortunately the following does not work - replacing 'off' with 'on' - check this out below :-

========================================================================================================

The way around this problem - after a swift Google and reference to MSDN stuff, is to use 'auto' in place of 'on'.

Here is a more positive response from the system :-

=======================================================================================================

And why don't we look at the Microsoft 'blurb' on this ? See the following image :-

============================================================================================================================

If we now reboot the system, but then try to run a VM we have that is based on 'Hyper-V' we get something close

to the following when we do try :-

==========================================================================================

Yes, the above screen message is pretty obvious ;-0)

And this means that for VBX at least, the attempted creation of a new VM at least allows us

to target a x64 bit O/S - see the details in the following image :-

==============================================================

If we do things right then we see a suitable little colourful icon at RHS of image - see below :-

===================================================================================================================

The reason that we are targeting the VM at Windows 8.1 is that while Windows 10 is in TP version (not pblically

released) then this is the closest we can do, or get !

So to summarise, if you are going to make and run a VM which is not 'Hyper-V' based it may be a good idea (best ?)

to disable the 'hypervisor'.

Myself, I will try and use 'Hyper-V' for everything from now on, so we don't get into this state of turning off part of

the auto-launch of modern Windows.

Lets move on a pace ................

The GUI screens way to Turn Off / On the 'Hypervisor' :

For some younger guys who never went near the DOS prompt, or used Windows when it was a layer on top of DOS,

we will now see how to activate and disengage the 'Hypervisor'.

With Windows 8.1 desktop showing, move your mouse cursor to bottom left of your screen and right click on the Windows

symbol icon - here is what we see :-

=========================================

Usually the Hyper-V featured is turned on, as this may have been done at time of the latest Visual Studio install,

when we selected to be able to create Phone 8 apps for Windows Phone.

This is what I see on my system - check below for full details :-

[ .. click to select the option entitled "Turn Windows features on or off" .. ]

==========================================================================================

Currently (this morning) I am about to turn this feature off so that I can check out an Android VM

using VBX (Oracles VirtualBox) - so here are my changes - see below :-

====================================================================

Remember, for both of these ways of turning on/off the 'hypervisor' we need to do a full computer

(yes, PC) reboot so that the changes take effect.

===============================================================================

Lets do this now and see if I can then successfully run VBX and some flavours of VM using it.

Time to move on.

See you in the next sub-section..........

PHH - 10th. October 2014.


Creating a x64 bit VM with VBX (Windows 10)

Creating a x64 bit VM with VBX (Windows 10)

 Previous topic Next topic

Creating a x64 bit VM with VBX (Windows 10)

 Previous topic Next topic

Before we can make a new VM (virtual machine) with VBX (Oracle's VirtualBox) we need to have it

installed on our system and for us to call up (and launch) the Manager.

I will assume that you have followed the part of the Introduction which covers download and install of VBX.

Now let us locate the Manager - start it is Administrator mode - it won't hurt ;-0)

Here is what I have on my Task Bar :-

================================================================

As well as the Task Bar here is my Desktop icon :-

============================

If you right click the desktop icon then once again you can choose to run as 'Administrator'.

And then of course, we have my favourite 'Start Screen' and this will work also :-

========================================================================================

Above you can see the blue edging of the in-focus tile, as well as the 'Run' context menu option

for Administrator use.

Okay then folks, lets move on a pace or two.

Open the Manager tool, as seen in the following small image :-

==========================================

See the existing VM you have for the VBX manager, then select the menu bar blue icon for 'New'.

Just let the Wizard guide you through the process of VM creation, as partly indicated in the relevant

section of the Introduction of these eNotes - and the previous chapter on Android 4.3.

The only thing I will add extra is for you to get the Basic tab of the General tab details correct - see

below for the Windows 10 input details :-

=============================================================================================

I set my Windows 10 VM up in much the same way as I did the Android 4.3 VM in the previous chapter.

Here is what we get in the Manager 'shell' at the end of the set-up Wizard procedure :-

========================================================================================================================

The only thing that is much different to the previous chapter input (apart from the name etc.) is the source of the ISO file.

Here is the look of the 'Storage' tab after I have correctly entered the folder and file location :-

Take your time in the Wizard set-up, and remember you can always go back in and use the 'Settings' (yellow cog)

menu option to change settings before you start the install procedure.

Anyway, once you have the VM saved in the Manager 'shell' at the completion of the Wizard process,

we can then start the installation of the O/S from the ISO file.

The following image shows the green 'Start' icon which is what kicks the install process into action.

Give it a click now ..............

==================================

And this is what you should see on your screen - within the VBX shell window :-

============================================================================================================

From now on its very much a Windows 10 install, and nothing at all to do with Virtual Box as such ;-0)

Still, since Windows 10 is a new 'beast' we will go through each step and show images of progress.

==================================================================

Select the 'Custom' install and NOT the upgrade - that is for 'outside' of the VM environment.

For my requested settings, here is what I saw next :-

=============================================================================

After selecting 'Next' the main install process whirls into action - see below for an early stage of this :-

=============================================================================================================

I also suggest that you use Express settings as you can see me doing in the next image :-

============================================================================================================================

And if you are not already convinced about a Microsoft account, and its cloud benefits, I STRONGLY suggest that

you try making one, and testing it out.

I was a late comer to such and account, and also a bit of a sceptic, or non-believer, but I have been converted, simply

because of all the modern IT benefits it seems to provide me with ;-0)

Here is the sign-up screen - 'Go for it' !!

===========================================================================================================================

And just to prove that I did it too here is my entry details - you can try guessing the asterisks ' * 's :-

============================================================================================================

View the next couple of images below :-

At this point you are going to get an email with a security code sent to you when you click 'go for it', but

since you can still receive emails because yours is a VM install, you can then get the code and enter it,

almost immediately - my responses have been VERY quick indeed, I have to say.

===========================================================================================================================

================================================================================================

Enter your code and press to continue ...........

Here is a screen showing your next decision to be made :-

=============================================================================================================

I suggest that you set up a new one as shown below :-

===============================================

I chose sync as I had an account and wanted 'OneDrive' and a couple of more 'sync' things - like my desktop image.

This next image shows what I then saw on my monitor :-

=============================================================================================================================================

I let the default settings be set-up that were the Wizard's default ones - advisable unless you are paranoid !!!

Then finally you should see some active small icons on the VM shell windows at bottom right - see below :-

==========================================================

We will see what some of these are for later - the last two on the right are possibly the most interesting to us.

And now here is the full VM 'shell' - check this out :-

============================================================================================================================

However, the small icons for Windows 10 itself are not quite 100% okay - see the audio red and white cross.

Here is a closer look :-

==============================================================================================================

We need to change this so we can hear web casts and videos and music perhaps.

On the other hand my network and internet connection seems fine.

Time to move on ...............

See you in the next sub-section where we will thoroughly test out the "Window 10" install and change one

or two settings to make sure we have as good a working O/S as possible.

See you there .......................

PHH - 11th. October 2014.


Setting up "Windows 10" and testing it out

Setting up "Windows 10" and testing it out

Setting up "Windows 10" and testing it out

 Previous topic Next topic

Okay then folks, we have a virtual machine based on Oracle's VBX (VirtualBox) and inside it the

operating system (O/S) is the new pre-release Windows 10 (TP).

Although it may need some adjustments making via its settings dialog screen, it does start up

and launch successfully - check below :-

=============================================================================================================================

In the above image we see the VBX Manager screen in front of the actual VM running "Windows 10".

Remember that this means that 'Hyper-V' is turned off - no 'hypervisor' running.

If you have just finished installing the O/S it is always a good idea to close it down and restart it, or 'Reset'

as seen in the following image :-

==========================================================

And yes, you will get the odd annoying little confirmation screen - personally I find these screens helpful

and keep then on and showing (for information sake).

Check out the VBX information screen below :-

==================================================

Lets move on ............

Why Re-Boot the Virtual machine ? :

Well sometimes when we make a new VM we need settings to be re-set-up after install or the settings

being changed in some way.

A classic case for this is often the 'Audio' or sound facility - check the following example image :-

=====================================================

You can see in the above image that we have a red / white cross icon by the audio speaker. That is

simply telling us that something is wrong, and needs putting right.

Bring up the context menu on the audio icon and try troubleshooting - see below :-

=====================================================

After giving this a go I got the following screen :-

===============================================================================

If you are lucky then a simple re-boot of the VM (not the PC itself) will be sufficient to get things

straightened out.

Here is what I got after a bit of fiddling around :-

====================================================

I talk of fiddling about as this task of changing settings and then have them 'take effect' is what we

term "a bit of a live skill" - which means that sometimes we are not really sure what got things to

work, but we go about it in a certain way ;-0)

All I can say is when I turned my PC on today, without 'hypervisor' loaded, and then started up the VBX

for "Windows 10" I have no warning icon showing - so now to see if I can hear any music or sounds generally.

Yep! when I run the "Welcome to Tech Preview" from the desktop icon, I can hear Joe Belfiore loud and clear ;-0)

Here is a screen shot of it, part way through :-

=========================================================================================================

Okay then, so far so good, sound as well as Internet connection.

Lets now try a Map app to see more Internet functionality and to try the screen touch response too.

I will now go to Google Maps and find my local area / spot - check this :-

==========================================================================================================

Yes, the external communications works fine, and also the screen touch - its just that Maps does not seem to take

a pinch (squeeze) and 'expand' finger gesture - it takes a tap for left click, and a "hold and lift" for right click replacement.

So at least touch is working. I can now try a PDF reader to see if other touch gestures work, as well as Ctrl + Mouse Wheel.

PHH - 12th. October 2014.


Chapter 11 - 'Hyper-V' hosting 'Windows 7 x32 Ultimate'

Chapter 11 - 'Hyper-V' hosting 'Windows 7 x32 Ultimate'

Chapter 11 - 'Hyper-V' hosting 'Windows 7 x32 Ultimate'

Previous topic Next topic

In this section we are going to make from scratch (from the very beginning) a VM (virtual machine)

which is to be based on Windows 7 Ultimate x86 ( or as many say x32 bit).

The reason I am doing this is because a good friend and colleague has reported an issue which caused

him to fail, and reach instead for VBX (virtual box) - we need to investigate.

Making a Start :

Close as many things down in your main desktop as possible - just to make things easier for yourself.

Now look for the 'Hyper-V Manager' software tool and lunch it - close down many panes to leave only those

that are required - here is what I see :-

===================================================================================================

Now open the Actions pane at the RHS (right hand side) of the Manager, and find the "New >> Virtual Machine..."

option and then select it - see what I have on my screen, in the following image :-

========================================================================

Let us now walk-through the Wizard screens as they are displayed - in turn, one after another.

Here is the first informatory Wizard screen :-

=========================================================================================================================

Nothing to do, but it gets us in the mood ;-0)

Next we a Wizard input screen where we supply Name and Location - here is the finished input :-

==========================================================================================================================

And we need to take a look at the input screen we get when we select the Browser button - check this out :-

===============================================================================================================

Obviously I selected the 'D:' drive first, before getting this 'Select Folder' screen, also I right clicked and from the arising

context menu, made a new folder called "Win7x86".

Lets now move on to the next screen, which in fact can be quickly by-passed - check this :-

==========================================================================================================================

So we can go quickly on to the next input Wizard screen - here is what I have entered - check it out below :-

=========================================================================================================================

You need to choose values that suit your hardware system.

Important - getting Network connections :

You are likely to get the next Wizard screen like this shown below (before input) :-

=========================================================================================================================

Now then, if you have created and previous VSes (Virtual Switches) then you may see something like the following image content :-

=========================================================================================================================

I will select one entitled "NewVSwitchRepair" because I know that it is based on an 'External' connection type.

Lets select this now :-

=========================================================================================================================

And if you wish to see the details of this switch we can use the VS Manager for the main hardware (BIG-T).

Here is what is in my screen :-

============================================================================================================================

Okay then folks, lets move on a screen .................

=========================================================================================================================

In the above image we see that we have chosen to place on drive D: a new VHD (virtual hard disk) - the small size is simply

because for me this VM is just a test or trial installation.

So finally, we have one more input screen to get right - check on the following :-

=========================================================================================================================

We are going to choose to install from an ISO (disk image) file - BUT - not at the download location which is default.

Lets see what the screen looks like after selection :-

=========================================================================================================================

I have chosen to make the installation of the O/S from an ISO file on disk D: and folder as seen in the Browse screen :-

====================================================================================================================================================

So by finalising and closing with an 'Finish' click we see a new entry in our VM Manager list - check this out :-

========================================================================================

As well as a fuller entry at the RHS of the Manager screen, in the 'Actions' pane - check this :-

=====================================================

Enough detail for one sub-section, lets move on to a child section to see how to make the O/S install 'stick' for us.

See you there ..............

PHH - 19th. October 2014.


Doing the O/S installation

Doing the O/S installation

Doing the O/S installation

 Previous topic Next topic

Okay then guys, we would think that doing the Windows O/S install would be simple, a walk

in the park as its known, BUT, in fact there is a problem which can completely fool those who are

new to making VMs, and in fact me a couple of weeks back as well.

A good friend and colleague reported a problem he could not overcome, with making a W7 x32 virtual

machine when he tried it himself.

Having just there now tried myself, I think I have hit the same problem, but luckily for me (and you) I

have found a simple and quick 'work around'.

What is the Problem ? :

Well, we can soon see for ourselves, first lets try to start (launch) the new VM.

There are a number of ways to start a VM, so chose any one of these - below I have tried the 'Start' option

from the Action drop down menu list - check this out below :-

===============================================================================================================================

OR, we can do this :-

================================================

After starting the VM in one of the few ways, we then hit the issue or problem - here is what seems to show and 'hang' :-

=========================================================================================

The main window stays as above, even though the small 'Summary' shows differently - see below :-

=================================================

If we take our attention away from the larger black screen (which appears to be locked in some way) and

look at both the Summary thumbnail, and also the VM list status report - check below :-

=================================================================================================================

So what do we do ? Lets see the Action menu list - check below :-

========================================================================================================================

The Virtual Machine Connection screen seems 'locked' and all Action options seem greyed out !?

However, here is the clever bit, if instead of trying a Reset, we chose to get the VM settings pane, we then seem

to 'free up' the locking situation.

Here is one way to access the 'Settings ..' - do not choose the Reset :-

========================================================

Then suddenly, immediately after selecting the 'Settings..' option we see the next image on screen :-

=====================================================================================================================================

So we can now simply close the Settings screen without doing anything else - as simple as that !

Here is then what we see - check this out :-

==================================================================================================

So now we can continue with the install process and hope that no more issues arise.

Lets move ahead ...................

Completing the Installation :

Choose English if that's your global location / choice :-

And off we go ............. :-

==========================================================================

In the next screen accept the licence terms :-

Then choose a new installation (NOT an upgrade) :-

=======================================================================================

Keep following the install Wizard prompts :-

==============================================================================================================

Then the whole process gets going, and takes a little while :-

===============================================================================================

Getting there slowly, or not so slowly if you have an SSD device :-

=================================================================================

Oh! great, just about there :-

And we may as well show all the screens, to help anyone who needs it - keep checking :-

You can in fact ignore this next screen and select 'Next' without supplying any details :-

And that also goes for the next screen, which wants a Product Key - miss it too :-

Yep! - I am suggesting you do a skip :-

And then use the Recommended settings :-

And choose your time zone, and check the date and time :-

Next we need to do something about Networks :-

And I will join my Home network, with my case sensitive password - turn your back please :-

===================================================================================

And 'BINGO !' it seems to have completed - we have a running Windows 7 O/S - check this :-

========================================================================================================================================

Okay then folks, enough for now, we need to complete this sub-section and have a break.

In the next sub-section we will have to do some test and trials to see how the new O/S matches up.

See you there ................

PHH - 19th. October 2014.


Testing, Checking, and adjusting settings

Testing, Checking, and adjusting settings

Testing, Checking, and adjusting settings

 Previous topic Next topic

PHH - 19th. October 2014.


Chapter 12 - Red Hat

Chapter 12 - Red Hat

Chapter 12 - Red Hat

 Previous topic Next topic

http://getintopc.com/softwares/operating-systems/red-hat-linux-free-download/

PHH - 19th. October 2014.


Chapter 13 - Solaris

Chapter 13 - Solaris

Chapter 13 - Solaris

 Previous topic Next topic

Okay then guys, I am adding this sub-section content for some sort of completeness, and to try and

help and support any of you who need to use Solaris as an O/S.

I have my own personal views on this, which I will express later.

For the moment here is at least a small image to show that I have created a VM based on "Solaris 10" :-

===================================================

Of course having a VM does not actually say that it will run ;-0) And therein lies some sort of an issue for me.

Lets make a move ............

Getting the ISO file for the "Solaris 10" operating system :

This is easy, Google on "oracle solaris 10 ISO file download", or similar and near the top of the search hit list

you may find this :-

http://www.oracle.com/technetwork/server-storage/solaris10/downloads/index.html

=======================================================================================================

You will need to accept the licence agreement before you see this below :-

================================================================================

Select the x86 (32 bit) option above (the second one).

You will now need to sign up and sign in - it is easy and just lets Oracle know of your existence :-

===============================================

As you sign in you get this at the bottom of your screen :-

==================================================================================================================================

Save this to your downloads folder.

I then have moved my resulting ISO file to a repository folder on my larger D: drive - here is my situation at the moment :-

========================================================================================================

Okay then folks, now that we have a suitable ISO file to provide an O/S to our VM install process, we can move

on to the next stage.

Creating the VM :

We are going to create a new VM in the same way as we have done for others previously.

All that will be different is likely to be the location and file-name of the ISO file itself.

I will show a few screen images to help out, but won't comment a lot because it is routine by now.

Here is the first simple input screen :-

=========================================================================================================================

You may wish to name your VM differently.

My Browse activity used this below :-

===============================================================================================

Lets move on :-

=========================================================================================================================

And now we need to select an appropriate VS (virtual switch) for network access / external visibility levels :-

=========================================================================================================================

And once we have selected a network access level (or none), we need to point at the ISO file required.

Check these details :-

==========================================================================================================================

Since I am exploring the whole topic of VMs it seems a good idea for me NOT to provide too much of a size for the VM.

If you are serious about Solaris then you may need to provide much more in the way of space for the VM and its virtual

had disk (VHD).

Remember I am trying to place as much VM stuff on my D: drive as possible - to keep my C: drive space for other purposes.

However, my D: drive is of SSD technology, so there should be little impact on performance.

Here is my ISO file :-

===========================================================================================================================

We now need to point the VM at the ISO file for the eventual VM installation - check this :-

=========================================================================================================================

And finally we can see a summary of our input details - before we click to make the VM.

Check these out :-

=========================================================================================================================

And all we need do now is click the Finish button.

In the RHS pane of the Hyper-V Manager we can see the following :-

=================================

And a fuller view of the Manager panes can be seen in the following image :-

===================================================================================================================================

In the above image the VM is seen to be running, this can be action (brought about) in a few different ways.

One is shown below :-

==================================================

*** Note *** Starting an existing VM is a topic we need to revisit, as it would appear that for some

VM's one (or more) of the ways of 'starting' the VM do not seem to be 100% effective, when others do.

Okay guys, lets more on to the next stage ..................

Starting the Installation Process :

[ .. if you are serious about getting a fully working Solaris O/S in a VM, then I suggest you Google and find ]

[ a set of instructions to help guide you, there may be some settings or parameters which need special selection ..]

If we now get one of the 'Start' / 'Connect' option methods to work for us, we should see an 'interesting'

black console screen - see below :-

===============================================================================================================

And then after a few seconds :-

================================================================================================================

*** Be Aware *** that I am now going to make a reasonable attempt - off the top of my head - to make myself a

working Solaris VM. There are no guarantees of success ;-0)

The console input is not easy or intuitive for many 'modern men', but you will have to experiment to make it work

best for you.

Try to avoid using the mouse if you can. When you doi use the mouse (or just click it) then you need to swap

back to the main Windows O/S after pressing 'Ctrl + Alt + Left Arrow key'. This 'frees' it up for the rest of the desktop.

Okay lets continue with the 'forced' console input - be aware it is quite a 'slog' :-

===============================================================================================================

In the above I have used the arrow keys to make the selection which is right for me.

You will get good at pressing F2 ;-0) here is what was brought up when I pressed F2 :-

====================================================================================================

Then a brief UI type of screen - wonderful ;-0)

================================================================================================================================

And back to exciting 'black' :-

==================================================================================

I chose zero - ' 0 ' and got a 'blue' screen - wheeee !!!

===============================================================================================================

then on to :-

===============================================================================================================

And on to this seen below :-

Resulting in this :-

Next we are asked to pick a suitable Time Zone :-

========================================================================================================

And then a Country / region :-

==================================================================================================

And then on to the following :-

As so on to the time and date :-

And after all that we need a confirmation screen !? Here it is :-

===============================================================================================================

And if you wish to add your password - but you don't have to :-

And the check screen for this :-

Now we have a question about remote services :-

And now a set of tasks - this is never ending ;-0)

Here are the related question screens :-

And CD/DVD responses :-

And a couple of Auto action queries too :-

Oh! we must be getting somewhere as we are now being checked off against the licence acceptance etc. :-

Oh boy ! - here we go for some more (Windows installs seem like a walk in the park ! ) :-

And now we move onto technical issues, first the locale to be used for connection ? after install perhaps :-

Any extra (additional) products ? :-

When it came to file system to be used I chose the default provided - as I know not what I do :-

And now a choice of what or which bits of Solaris. Safer for me to select all of it :-

We are asked about disks, partitions and sizes etc. :-

[ .. I may have gone WRONG here by not pressing F4 and choosing sizes .. we may have to return to this way below .. ]

And a sensible warning :-

Okay then guys, at this point I may have chosen wrongly / poorly, or even badly ;-0((

This may have caused issues later on !

I suggest you take good advice, or find proper install instructions !!

I will continue so that you can at least see what is coming up for you.

Yep! - just as I thought, we get told of issues we must solve :-

Here we try again :-

Now we try F4 this time around - we missed it last time ;-0((

And then :-

And we go deeper into the specifications, now size :-

I think we need to use F4 to create :-

=============================================================================================================

And rightly or wrongly I chose this below :-

It looks as though we must be doing something right, or at least better than our first try - check this out :-

And now we come back to this screen - yep! we saw it a few back, quite a few ago :-

And as we have cycled around the install process we now see this check screen once more :-

In the next image we see below, I am not sure what I did before pressing F2 - take it as you see it :-

Then we get something which looks somewhat OK !? :-

Then a message about mounting

And eventually (but miles away from being 'finally' ) we see a profile - check this out :-

And after a key press to go do it, we see a boring black screen with some details :-

And eventually we get to an action screen, where installing begins, with a console version of a progress bar ;-0)

=============================================================================================================

The 'Status' in the lower left (chopped off to save space) is "Running".

Here is quite a while later :-

And we go back to an exciting black screen which informs us of success :-

And then a bunch more stuff which looks encouraging enough :-

And yet some more - good God these Solaris guys have stamina !!!

And now a very old fashioned selection list - we will go for the top default option :-

And apparently, yet another 'mode' type option - we will go for '1' :-

And would you believe it we have a keyboard layout option !? ;-0((

I think I made the option for UK after taking this screen shot.

And it looks to have spotted that my keyboard is a USB type :-

Eventually, we now seem to get some better signs of life - see below :-

=================================================================================================================================

I selected zero - ' 0 ' from above.

And then a distant view of the larger screen :-

To see the options I will expand the centre :-

On pressing 'Next' we then get the following :-

And strangely we then get an option we seem to have chosen (or answered) previously, in those endless black and

blue screens - check this out :-

And then rightly or wrongly at the following invitation to 'Register' I declined, since I did not at all know where

this stuff was leading.

Yes, we have yet another confirmation screen - albeit a bit more colourful than many :-

But this does lead to a screen which seems to suggest we have 100% success (but don't believe it!) :-

Now then, the next set of options - I took the advice and went for 'auto' settings :-

As well as accepting the default below of CD/DVD :-

======================================================================================================

Wow! - we have come a long way before we are asked about agreeing to the License details - see below :-

Obviously above we need to check to Accept !

Would you believe it we seem to be going to 'Install' - what the ......... :-

And yes, yet another screen - Oh dear !! :-

Finally ? - we get a chance to 'Install Now' see below - I am not going to believe the 'Now' ;-0))

Well, when we look at the Hyper-V Manager we do see some hopeful signs - check this out :-

===================================================================================================================================

Now then, look back at the VM screen we see that software is installing (apparently).

But we do get a positive message however, see what we get - see in the following image :-

At this point in the proceeding you may need to know that to release the mouse pointer from the VM screen we

have to press a key combination. Personally, I would expect you to know this by now, as I am sure you would

have needed to do a 'release' before now ;-0)

Now guys, don't get too excited about all this, it may be just about to get UGLY - we may now be entering into

one of those endless cycles, where Rebooting goes on and on, lets see :-

==================================================================

Okay guys, for the moment lets leave things with the way they are AND the VM for Solaris turned off.

We can then come back to it project / topic another day ;-0)

See below where we have gotten ourselves to :-

==================================================

Addendum :

Another day and a fresh mind - there is something in my set-up choices which is causing my Solaris install

to 'cycle'.

If you must have a Solaris VM then take my advice and get some notes on the install process. Also leave more

space for disk partitions perhaps - than I did.

For myself, I have now totally lost interest after one of the worst installs I have ever had to sit through.

Good God - this stuff is old fashioned and totally mind numbing - Yuk !!!

Lets move on quickly ..........................

See you in the next section where hopefully we have a better experience.

PHH - 19th. & 22nd. & 23rd. October 2014.


Chapter 9 - Linux (distros) - download and install in VM

Hyper-V to trial Windows and Linux

Chapter 14 - Linux (distros) - download and install in VM

Chapter 14 - Linux (distros) - download and install in VM

 Previous topic Next topic

Chapter 14 - Linux (distros) - download and install in VM

 Previous topic Next topic

=============================================================================

============================================================================

PHH - 7th. October 2014.


Setting the scene - what are 'Distros' ?

Setting the scene - what are 'Distros' ?

 Previous topic Next topic

Setting the scene - what are 'Distros' ?

 Previous topic Next topic

PHH - 8th. October 2014.


Some 'flavours' to try out

Some 'flavours' to try out

Some 'flavours' to try out

Previous topic Next topic

From replies on the blog comments of TechRadar :

Mint, Cinnamon, Vector, kdfc Manjaro, Arch

PHH - 8th. October 2014.


Mint

Mint

Mint

 Previous topic Next topic

Searching for ................

Getting our foot in the door ..............

Try this below :-

==========================================================================================================================

Then very quickly I was on to this link seen below :-

http://www.techradar.com/news/software/operating-systems/how-mighty-mint-became-one-of-the-most-popular-linux-distros-1146584/2#articleContent

And then off I went .......... hopefully success will follow :-

=====================================================================================================================

These are just a few snippets from the web article to set the scene and get us interested etc..

=================================================================================================

And of course we need a nice colourful image to encourage us ;-0)

====================================================================================================================

And here is the justification that the man in the pub needs to run away from Vista !

=================================================================================================

Lets get going on a download :

=========================================================================================================

I will be going for the x64 bit version for my hardware platform.

First - after clicking the top "Cinnamon" choice I get this showing - in a much longer list :-

=================================================================================================

Having selected the first of the two UK options I then got this :-

===========================================================================================================

And in my Downloads folder, using File Explorer we see the following :-

========================================================================================================================

Yes, so we have an ISO file which we can easily use with Hyper-V.

I will now go ahead and make a VM for this ISO file, in exactly the same way that I made the earlier ones.

When it comes to installing I will capture a few more screen images.

PHH - 8th. October 2014.


Finding the correct and appropriate ISO file

Finding the correct and appropriate ISO file

Finding the correct and appropriate ISO file

 Previous topic Next topic

PHH - 7th. October 2014.


Creating the VM in Manager

Creating the VM in Manager

Creating the VM in Manager

 Previous topic Next topic

Now that we have a suitable ISO file for installation a little later on, we can now get on

with the task of creating a new VM using the Manager.

It is probably best to shut down all open VMs and check with the Manager tool that nothing

is open.

Then, as seen below, start to create a new VM - check this out :-

====================================================================================================================================================

PHH - 7th. October 2014.


Doing the O/S install

Doing the O/S install

Doing the O/S install

 Previous topic Next topic

PHH - 7th. October 2014.


Citrix

Citrix

Citrix

 Previous topic Next topic

http://www.citrix.com/downloads/xenserver/sources/xenserver-61.html

================================================================================================================================

===================================================================================================================

=====================================================================================================================

==========================================================================

======================================================================================================

PHH - 19th. October 2014.


Chapter 16 - Vulcan.NET apps with VS 2013

Chapter 16 - Vulcan.NET apps with VS 2013

Chapter 16 - Vulcan.NET apps with VS 2013

 Previous topic Next topic

===================================================================================================================================================================

========================================

================================================================================================================================

==============================================================================================================

PHH - 4th. & 6th. October 2014.


Chapter 18 - TFS source control in VM - VS 2013

Chapter 18 - TFS source control in VM - VS 2013

Chapter 18 - TFS source control in VM - VS 2013

 Previous topic Next topic

The whole topic of 'Source Control' (SC) and servers to hold SC data, and then 'Team' work with such SC

servers, both locally and across WANs and now the 'Cloud', is a large and sometimes complex topic.

This sections aims to show any guy interested, how to start from scratch and set up Visual Studio with

Team Foundation Server, and how to connect and configure the software 'shell' so as to allow most

standard guys to start using SC with TFS - even if it is as a single developer to start with.

============================================================================

We are going to use this chapter and its sub-sections to follow through installing a fresh instance of

Visual Studio 2013 (latest update) into a new and clean build of "Windows 10".

We will aim at getting TFS (Team Foundation Server) working for us as easily as possible.

The whole point will be to create new projects in VS2013 and have them under 'Source Control' (SC) with

as little fuss as possible.

We will look at how to add an existing project (not currently under source control) to the TFS system.

We will learn how to visually check that solutions / projects shown in the SE (solution explorer) pane

or under 'SC' or not.

This whole section / chapter is done in response to News Group posting in Pearls about issues of getting

started with TFS, and I know, I have been there - got the T-shirt ;-0)

These days it is all a whole lot easier to have TFS up and running for us in VS than it was a couple years back.

With luck, all the bits required for TFS support, are installed automatically when we install VS itself.

We shall see, that is the whole point of this chapter.

Lets now move on to the next subsection where we will do a clean install of VS 2013 Professional.

See you there ................

PHH - 23rd. October 2014.


colleagues - recommendations

colleagues - recommendations

colleagues - recommendations

 Previous topic Next topic

"Mathias Håkansson"

My team is using Visual Studion online at http://www.visualstudio.com/ which

is a cloud version of TFS. It's free for up to 5 users, and additional users

costs $20. A real TFS installation is more customizable, but if you only are

planning to use the backlog/canban-board/sprint burndown and the other scrum

methology parts it's a great choice and great value for you money (as it's

free).

/Mathias

PHH - 27th. October 2014.


Installing VS 2013 into the VM

Installing VS 2013 into the VM

Installing VS 2013 into the VM

 Previous topic Next topic

Okay folks, before we try to do an install of VS 2013 (known by MS as version 12), we first need to locate and launch a suitable

virtual machine (VM) based on the latest "Windows 10" O/S build.

The build number of the Preview release is 9860.

Lets look at the Hyper-V Manager I have on my system :-

================================================

We will select and start this VM to see if it is what we require.

Here is the launch in progress - we will accept for now the restricted resolution / screen size :-

And when I log in with my credentials (UN and PW) we see this shown below :-

So yes, it is the very latest Build, number 9860.

We now need to know that it is clean of any previous or earlier attempts to install Visual Studio and TFS.

If we look at a development machine with a history of VS installs and development use, we see this in the FE pane :-

[ .. FE = file explorer .. ]

==================================================================================================

[ .. notice the missing '13.0' version number .. ]

As well as in the 'Documents' folder the following detail :-

==============================================================================

Okay, most of us will be familiar with what we see above, but what do we see in the VM installation we opened, as it is at

this moment ? Check below to see ..... not a lot really .... :-

========================================================================================

As seen above - nothing at all in the Documents folder.

Now what about the x86 Programs ? - check this out below :-

==========================================================================================

Not much there either. So it looks as if both Visual Studio and TFS have not previously been installed.

We should have a clean machine !

If you wish to check out your system you could also try the the "Programs and Features" from Control Panel.

Moving on ...........

Finding and Downloading the Software from Microsoft :

What we need now is to find and download both the latest version of Visual Studio Professional 2013 (Update 3) as well

as VS Team Foundation Server Express 2013 (Update 3).

I have located these on my MSDN account download page - remember the TFS Express is FREE to all - check these :-

=================================================================================================================================

and also :-

==================================================================================================================================

Lets start with the main VS download :-

And once the download is in motion we see this :-

=============================================================================================================================================================================

And when done downloading the FE pane looks like this for the Downloads folder :-

=========================================================================================================================================================

Lets move on ................

*** CARE *** - do not automatically 'Run' the download, as we are using a VM and not the main O/S.

We need to locate the finished download on the BIG-T machine, and then point the VM at this to start an install.

Here is the finalised download :-

=========================================================================================================================

Returning to the running VM of Windows 10, we need to locate the 'BIG-T' machine on the network node in the LHS pane

of the file explorer.

HOWEVER, be aware that a first selection of network devices causes a time delay and sometime (often) a spurious

message about errors, when all that is happening is that an asynchronous activity of reading and accessing the network is

taking place (going on).

=======================================================================================================================

Give the system a chance to catch up, even if you have a powerful PC and also SSD technology.

Now we see on my system the following :-

=======================================================================================================================

So we need to locate the ISO file and click it to start a software install.

================================================================================================================================

Double click to launch the ISO file 'system', and to see this shown below :-

============================================================================================================================

And then off we go - install in progress as seen below :-

=================================================================================

All we need do is follow and respond to the wizard screens, and install prompting.

Select all to be sure of total success ............. :-

===============================================================

We once again need to remind ourselves that we are using a VM and that drive C: is not in fact

the drive C: of our Host, or main machine. Check out below :-

====================================================================================================

So any install stuff for 'C:' goes into the VHD (virtual hard disk) area on SSD (as C:) and not in the main (Host) C: drive.

Here is an encouraging view of progress with the install :-

You will get detailed changes in the above screen, as it whirs its way to completion.

Eventually, you will get an encouraging screen and message about 'Restarting' - but remember

this is just the VM - do NOT restart your main PC ! Check out below :-

After restarting, you will get some information screen messages like this below :-

And then, you guessed it, some more blue progress bar information :-

And then eventually, BINGO, we are complete, and can 'launch' for the first time.

Here is what you should get and see :-

Now then, we need to do some checks using FE (file explorer), just to see that our VM environment

has changed in a way we may expect it to.

Lets look first at the 'Documents' folder - check below :-

================================================================================================

And also we need to check the Programs(x86) folder - see the following image details :-

==========================================================================================================================================

Yes, in the above image we now have a whole bunch of new entries, mostly with 'Microsoft' prefixed.

Remember that the version number of VS 2013 is actually '12.00'.

This is to change for VS 2014, it will become 14.00 and so we will have skipped '13' it would seem.

Lets move on ..........................

Starting the 'Launch' :

In the following screen I suggest you select 'maybe later' - check below :-

And now we have a choice about 'Themes' - colour etc., for the VS environment.

I like to be modern, and also find the darker colours mentally more tiring after many hours work in the IDE.

From below I selected the RHS option of 'Light' :-

Which leads on to the VS environment being 'Prepared' - takes a few minutes / moments, depending

on your hardware.

After a few seconds / minutes or whirring away, you will get the 'StartPage' which personally

I still dislike after years, and always select the checkbox option (bottom left) to not show it thereafter.

After getting rid of the "StartPage", and maximising the VS shell window, go to the Menu > 'Help, About' option so that you can

check-out the details of the VS 2013 install - see what I have below :-

========================================================================================================

From the above screen you can check the full version details of your Visual Studio, as well as the individual

installed products.

I do suggest you take some time to study the longish list of installed products.

Okay then folks, enough for this section, we have successfully installed VS 2013 Update 3, which was the

original objective of this subsection.

Lets now move on to see how we can locally install the TFS part of this development 'set-up'.

Team Foundation Server (TFS) is a server which works "hand in glove" with 'Team Projects' which allow us

as developers to manage source code.

See you in the next section ....................

PHH - 23rd. October 2014.


Installing VS 2013 Team Foundation Server into the VM

Installing VS 2013 Team Foundation Server into the VM

Installing VS 2013 Team Foundation Server into the VM

 Previous topic Next topic

Before we rush off and start to download ISO files and begin installation and a few other things, let us

first of all get our heads around what it is we are trying to achieve (or do).

If we are expecting to be able to use Visual Studio to develop applications and use Source Control via the

Microsoft 'Team Foundation Server' approach, then we need this server installed locally, or on a distant

physical server.

Basically, we need a server - a TFS instance - somewhere. Usually, for guys starting out, they choose to

have the TFS installed locally, on the same desktop machine most likely.

The Good News :

Basically, for individuals and small teams of developers, TFS is a free 'gift' from Microsoft.

The MSDN download I am about to show you is most likely exactly the same - identical - as that which

can be found for public download.

Here is what I have located as an MSDN member, and what I will download and install :-

===========================================================================================================

Once we start the download (well at least click the download button) we see the following at the bottom of our screen :-

Choosing to 'Save' then places the fully downloaded file in our "Downloads" folder - after some time has elapsed however.

Strangely enough although the file is relatively small for an ISO file it did take a while - here is a suggestion which was about right :-

========================================================================================================================================

And after a cup of tea, I came back to see the following :-

===================================================================================================================

And we need to use file explorer (FE) to locate this, as we will need to launch the install from FE.

First of all, here is the finished (downloaded) file :-

================================================================================================================================================================================

Remember, that from the VM we need to use the Network connection of 'BIG-T' on my system, in order locate and launch the

installation from the ISO file. Drive C: on the VM is SandBoxed - see above for access to the Host drive C: and below to see

how we launch it by double clicking and the selection of the EXE file as seen below :-

====================================================================================================================================

If you have done everything right, following the instructions above, then you will (hopefully) see the next screen on your monitor :-

================================================================================================

The installation is not as long as that for VS 2013 by any stretch of the imagination.

In fact it quite quickly gets to this seen below :-

=========================================================================

The install will complete and then move straight into a configuration process.

Okay then folks, after installation of TFS we need to move on to the next sub-section where we

see how to create, or configure a server, ready for use with version control.

See you in the next section ...........................

PHH - 24th. October 2014.


How to look at this - a practical 'mental picture'

How to look at this - a practical 'mental picture'

How to look at this - a practical 'mental picture'

 Previous topic Next topic

Okay guys, I am a simple man - or should I say that I am a man who likes to have a simple

model (or picture) in my mind of what I am doing.

Just because the model is 'simple' does not mean it has to be in any way incorrect.

Often we see web articles, and even full eBooks written by those with over-complex mental

models of what they are trying to describe.

A good teacher is a person who can take the real world (sometimes complex) and make a

useful simplified model, to share and pass on to his/her pupils.

Let us now try and discuss some aspects of TFS and Source Control ('SC') with the aim of putting

together a 'simplified model' with which to work when we code and develop applications.

Some points to consider :-

- TFS and SC can be used from within the VS shell (IDE) with any .NET language / dialect.

- in order to do SC we need a server (TFS), and we need to make a connection in the VS shell.

- in order to do SC we need a suitable 'Team Project' to accept checked-in details.

- in order to do SC we need to 'Add' out solution, project, or parts of project, to 'source control'

which really translates to adding it to a 'Team Project'.

- in order to do SC we regularly need to 'Check-In' code files to the SC system.

- if we are working with others (and not just alone) we will need to check-out files to stop others

having edit capabilities, until we check the same files back in.

- there are other working 'patterns' which are different to the above, and 'Git' will need to be examined

in some detail (later).

- when we have a server we need to connect it to the VS shell we are using.

- when we 'Add' a project (or parts thereof) to SC we need to select a Team Project (TP) and usually make

a new folder within this TP for use by the TFS for that particular application.

- when we create a New project/solution with VS templates, we usually get an on-screen option to have

the new project Added to SC. This usually, and automatically, chooses the correct and available server,

and usually offers the most recent TP for use as well (we will see more on this later).

Summary :

Once we have a server and a TP created and connected, we can easily get on with the job of development

and protecting our coding efforts.

See you in the next section ....................

PHH - 24th. October 2014.


Creating / Configuring a Server for VS use

Creating / Configuring a Server for VS use

Creating / Configuring a Server for VS use

 Previous topic Next topic

Configuration - TFS :

Now we need to move on - following through the configuration procedure, which actually creates a server ready for use.

Here is the first screen which automatically pops up :-

===========================================================================================================

Lets start the wizard and see where we get to :-

Personally, I would suggest that you also check 'Yes' to participate - if we don't volunteer then who will ?!

Here is then what we see on screen :-

I am sorry - BUT - I can't tell you what to do if you do not get all items passed and white on green ticks.

However, you could cross your fingers and hold your thumbs ;-0)

Next in the process is the configuration itself :-

After not too long we then see the following on-screen details :-

Okay then guys, lets click the Next button to see what we get :-0))

Oh! - looks like 'magic', for at least we now see a name for our server ;-0)

Check the enlarged detail from the previous image :-

=================================================================

Remember the above for other related subsections - we will need to use this to get to the finalisation of our 'quest'

to check-in Projects to the TFS server, and chosen 'Team Project'.

"http://win-n5qls202v2a:8080/tfs"

Now then guys, we are about to select to make an application server, as of this moment I have no experience of

a 'Build Server' but can imagine what they do.

Let us choose accordingly :-

And now the close button shows us this - see below :-

And that is just about it for this subsection.

But before we leave we ought to see what extra programs have been added to the system list - AND - remember we are

in the VM - virtual machine, and so we need to look at the correct Control Panel !

Here is what we now see in the VM hosting Windows 10 :-

Lets move on to the next subsection, before we see how to make all this work for us.

See you there ..................

PHH - 24th. October 2014.


Creating a "Team Project" within the VS shell

Creating a "Team Project" within the VS shell

Creating a "Team Project" within the VS shell

 Previous topic Next topic

*** Take Notice *** you may come to a point while using VS for application development where you

need to create (or choose) both a Team Project (TP) and also a sub-folder.

There is more than one way this can come about, depending on what you have already done in the past,

and what you are attempting to do.

You need to learn to 'survive' in this complex IDE, and know just where to go to look for settings etc..

Hopefully, after reading through this whole chapter (no. 18) you will be a far better 'survivor' !? ;-0))

===========================================================================

If we are going to use TFS and participate in SC (source control) then we need to have at least one

'Team Project' with which we have to connect.

Usually we would have one TP per business solution, or even per business client.

Within the TP we could have different folders for individual (or particular) client projects.

Obviously, we have to also have a connection to a 'server' of the TFS variety.

When we first started coding in Visual Studio we needed to find and get to know well the pane

called 'Solution Explorer', and this then became our friend.

Well, then guys, if we are to use SC and TFS with application development, we need to first of

all discover a new 'friend to be' called the 'Team Explorer' pane.

This pane is usually nested (it is in my VS arrangement / set-up, as a tab with the SE pane.

Here below are the two tabs, wit the new 'TE' (Team Explorer) tab in focus - check it thoroughly :-

=============================================================

The above image is one I got while trying to add a solution/project from the SE pane

to the SC system, as you can see I am warned that I have not completed configuration.

This is the next place we need to given our full attention - check below :-

=============================================================

Having selected the above link we are given a new section on the tab surface.

See below how we can configure the default root workspace (TP) and also

we get a 'Map & Get' button to set things into motion.

You will need to use some common sense while doing this, as this is one of those cases

where we need 'life skills' !!

Check out the newly added 'Configure' section :-

=======================================================

You will get a screen as seen below, and because we have not as yet added any

sub-folders, it looks a little bit 'empty'. Check the following image :-

===================================================================

Okay the guys, lets click 'OK' above and move on ..................

We seem to get some hopeful and positive feedback details :-

=============================================================

In the above image it would seem from the 'Solutions' section that we have just made a TP for the first time,

as there are no solutions to be found.

So I would guess that I screen captured this image on the way to add my first project/solution to SC on the

virtual machine I have created.

Lets move on and loo at things another way ................

Forcing a "Create New" Project ourselves :

If we wish to start from scratch (nothing) and make a new TP (team project) we can do so quite easily.

Here is how we would do it - it does not matter if we have a solution open, or not - check this out :-

=======================================================================================================

And we then get an alarmingly empty looking dialog screen :-

========================================================================================================

At this point I was guessing a little, and crossing my fingers a lot ;-0)

Check out the following details :-

========================================================================================================

And after selecting and actioning 'Next' we have to choose a process 'template' - this will be a bit new and

strange to many, so go with the wizard default - just as I have done below :-

========================================================================================================

In the above image we need to 'go for it' and select the Finish button option.

However, before we move on in our discussion, it would be as well to view the possible choices we are

presented with - see below for these :-

========================================================================================================

So although we have highlighted the 'Agile' option, we will in fact choose the 'Scrum' option.

And once we select we get the wizard process whirring into action - see below :-

=========================================================================================================

But after a few seconds or more, we get a positive feed-back :-

========================================================================================================

If you so wish you can go and view the 'log' - here we will just continue, and as you can see we are adding a

solution to SC, and have the option to add a new folder for it to be housed :-

===============================================================================================================================

In the above image we see that we have a chance to experiment, and make new folders, and select one

that we make.

For fun and learning, I have added a named folder for Pearls posting, where I am answering

a earlier posting from Dick :-

==================================================================================

Okay the folks, below is what we end up with after all the action and choices made above.

Check out the fine detail of the following image, including the node icons :-

==============================================================

Notice above that we are viewing the SE pane and not the TE one.

Also notice the little icons, notice the ' + ' sign.

If we create a new solution and don't check to add it to the SC system - see below :-

===============================================

... then when the application is opened and made in the VS shell we see a different set of icons on the nodes.

Here is one such new solution :-

===========================================================

Time to move on, we will see and learn more about SE pane node icons as we move though

the various sections of this chapter.

See you in the next sub-section .........................

PHH - 24th. & 25th. October 2014.


'Connecting' - Server and Project, viewing tools

'Connecting' - Server and Project, viewing tools

'Connecting' - Server and Project, viewing tools

 Previous topic Next topic

====================================================================

==========================================================================================================

===============================================================================================================

==========================================================================================================

==============================================================================

============================================================

============================================================

PHH - 24th. October 2014.


Installing 'Vulcan.NET' 3 within the VM

Installing 'Vulcan.NET' 3 within the VM

Installing 'Vulcan.NET' 3 within the VM

 Previous topic Next topic

PHH - 24th. October 2014.


A New project in VS 2013, with Source Control

A New project in VS 2013, with Source Control

A New project in VS 2013, with Source Control

 Previous topic Next topic

Okay then folks, let assume that we have our VS 2013 set-up nicely and we are using it to create new apps,

and that we have been using Source Control (SC) and TFS.

The process of creating a new application and adding it to source control (in a newly specified folder) is

actually quite easy and quick.

It does obviously rely on your VS 'shell' being set up correctly. Lets assume it is and see what we need do.

With VS 2013 open, and all previous solutions closed, select from the Menu Bar 'New > Project >' to bring

up the following screen dialog :-

=======================================================================================================================================

Notice the bottom right hand side (RHS) of the 'New Project' dialog screen above - see how the lower check box is checked ?

I tend to leave these ticked, or checked, for all my new solutions.

This is NOT a time to consider disk space - buy yourself a new fast and large drive, and be professional ;-0)

Now then guys, the next dialog screen is new to those of us whose used TFS from years back, see below

that we now have a choice of either 'Git' or 'TF version control' :-

===========================================================================================================

For the moment we will choose TFVC (Team Foundation Version Control) as this is what I have experience with.

We will look at 'Git' in another section.

Lets us move on a step or two ..........

We now are presented with the following wizard screen - on a development system which has been heavily used

and TFS applied to previous solutions - check this out in detail :-

=========================================================

In the above image we see that I have made a new folder - directly in the listed node area.

[ .. We can examine just which folder and name we made later, with other screen tool options .. ]

For the present, let us look at the new SE pane contents which has been create with the new application :-

===========================================================

Notice that the node icons have a small ' + ' sign which is correct, as it means we have SC set-up

correctly, and the we can check them in if we so wish.

We Need to Know :

Okay then folks, we need to know a VERY important fact !

If we are to see in our node icons the little red checks/ticks that indicate code changes have been made,

we first need to do and initial 'Check-In' to the SC system.

At the moment I am assuming that you, like me, are working alone as far as SC is concerned.

Let us now try to add the whole solution to SC, all of the nodes.

First of all, highlight (bring into focus) the solution node in the SE pane - see below :-

=======================================================================================================

From the context menu (see above) select the 'Check in' option and click the left mouse button.

We now see something very similar to the following image details - check this out :-

=====================================================

Yes, there will be a longish list, as it is the first time we are checking in any of the possible

solution nodes (comes down to files in the end).

And then after selecting Check-In with a text comment, we get a confirm box - see below :-

=======================================================================

You can turn off the confirmation if you so wish. I leave mine on as a bit of a cross check.

After a short while whirring away the system comes back with this 'success' message :-

===========================================================

Now then guys - do NOT panic about the 587 'Changeset' value, as this is the number for the whole of

the workspace it would appear, for the changes recorded in the same Team Project (TP).

Finally, when changing tabs to the SE pane we can see a change of small icons to those seen below :-

==========================================================

Now we are free to make code changes in .NET stuff and XAML script, and the changes will be reflected in the

change of small icon, to those with red checks / ticks. Which I find most helpful.

Study the following image details :-

===========================================================

Yes, there are two red ticked icons and these result form code and script changes as seen in the following

two images.

==========================================================================

and also :-

=================================================================================================

So if we have two files with changes lets make a new 'Changeset' with these.

We can just as easily Check-In the whole solution once more, but there are other options we will see later.

Checkout the following context menu details :-

===========================================================================

And so we get our TE pane once more, ready for our comments - check this :-

===========================================================

And then the confirmation box :-

===========================================================

And finally some message of success !? :-

===========================================================

Note that the number of the 'Changeset' has gone up by 1 from 587 to 588.

And this should lead to the SE pane looking like so :-

===========================================================

So that is about it guys, a new application started and added to the SC system.

We do need to study other sub-sections which will cover different approaches to checking in

files and groups of code files within a Project - for now I would simply stick to the whole solution.

Now go and study the details in the child section from here - viewing 'Workspaces'.

See you there ...............

PHH - 23rd. & 25th. October 2014.


Seeing 'Workspace' folders and files

Seeing 'Workspace' folders and files

Seeing 'Workspace' folders and files

Previous topic Next topic

Well folks, in this short section we will find out how to do something VERY useful ;-0)

We will see how to view and possibly manage (in the future) the current 'Workspace'.

From the TE pane we need to open, and click to select, the blue active workspace under

the 'Solutions' sub-header - check this :-

==========================================================

Make sure you select the 'Manage' option as seen above.

Then you could get a MW screen from which to further select one of the listed workspaces.

Here below we are selecting and displaying details for 'BIG-T' - study carefully :-

===============================================================================================================================================================

In the above image of entries in our selected Workspace, we see highlighted the new folder entry

we made in the parent section from this sub-section.

Check these, the 'WpfAppEnotes' folders, for the 'EnotesAppTest' application.

You will need to spend some time exploring and experimenting, in order to fully get to grips with

the Workspaces, and their various sections.

Getting, and Making things Tidy :

I have to confess that because I fudged and fiddled my way into TFS some years back, I have used it

to save me from code disasters, BUT, never went back to look at the original folders I chose. Also the

original Workspace I made and chose, as too the Team Project.

It is probably time that I went back to square one, and created some well named (better named) 'stuff'

and then try to use these in the future.

I will ad a related section called ... "Going back to square one - TFS, places to keep information."

Look out for this new addition soon ...........

See you in the next sub-section.

PHH - 24th. October 2014.


Adding an existing project to Source Control

Adding an existing project to Source Control

Adding an existing project to Source Control

 Previous topic Next topic

The easiest way to demonstrate how to add an existing VS application (solution) to TFVC is to

simply make a new app without SC being selected.

Once we then have a suitable solution, we can the go through the tasks and steps required so that

it gets added to our SC system - the right Workspace, and new folder, and suitable Team Project.

All that TFS sort of 'jazz' ;-0)

Take a look at the New Project dialog screen in the following image :-

=======================================================================================================================================

Notice in the image above, we have NOT checked the SC check-box, so the new solution entitled

"WpfAppExistNoSC1" will have no TFVC (Team Foundation Version Control) connects, or similar.

Okay the folks, when we click OK we get the following :-

=====================================================

It would be nice to prove to ourselves that the Workspace we have been using does not now (as yet)

contain a folder for this new app - lets take a look, shall we ?

Click the blue link shown in the following image :-

=====================================================

Clicking the link brings down the context menu list shown above.

And here we see no sign of an entry - check out below :-

================================================================================================================

So if we don't yet have the new solution under SC, then lets go and add it in the sub-section below .........

Now, Adding to Source Control (SC) :

Highlight the solution node in the SE pane, and right click to bring up the context menu.

====================================================================================

As soon as we select to ass our solution we get the following dialog screen :-

=============================================================

And as we found out previously, as yet we do not have any Team Project folder in which

we will place / put the new app SC details.

So why don't we make one ? Take a look at the image shown below :-

=============================================================

When we click to "Make New Folder" we get an extra and active input box in the middle

section of the dialog screen - see above.

All we need do is edit the default name - "in situ" - to give us a new entry.

Here is the result of my efforts to create a new folder - check this out below :-

============================================================================

And in case you think we have nesting (or depth) to this new folder, then check the

following, after I had clicked the new node :-

=====================================

Lets move on ............

Results of Adding Solution to Source Control (SC) :

Okay guys, what was the end result to all our work in the above section ?

Well, we get an entry in the SE pane looking like the following image :-

======================================================

Once again, pay close attention to the small icons at the LHS of the nodes.

A tooltip shows us what the ' + ' icon means :-

===================================

It says a 'Newly Added' file, and seems to allude to the fact that it is newly added to the version control

system, but has not as yet been checked-in.

Lets no check our work with the tools available. Go to the TE pane and click the link for the Workspace :-

======================================================

Well, we seem to have an extra entry !

So now we can try and check-in for a first time the whole bunch of new files.

Just to be different, and to learn something new perhaps, I will click and select the files one by one, holding

the 'Ctrl' key (the Windows modifier key) as I do.

Here is what I had a minute or so ago :-

=================================================================================

And the result of this is the Check In screen with lots of entries - see below :-

===========================================================================================================

And once we click 'Yes' we see the yellow sign of success - check below :-

=====================================================

And as a direct result the SE pane now shows different small icons - see these :-

=======================================================

Now we can prove further what we have done - change tab to the TE one, and then

click the blue Workspace link :-

======================================================

So we can simply and easily bring up the 'Manage Workspaces' dialog screen - check below :-

================================================================================

Now we can select to 'Edit' to view more details - see the following image :-

======================================================================================================================================

And we can highlight the new entry as follows :-

======================================================================================================================================

While we are exploring this new "Edit Workspace" screen we should take the opportunity to see

just what the 'Advance' button does for us - it actually adds an extra top section to the same screen

seen above - check below to see the new section :-

=================================================================================================

Lets move on ......................

"Source Control Explorer" :

We do have another very useful (handy) tool available to use as developers, this is the 'SC Explorer'

screen that may be launched from the TE pane as seen below :-

==================================================

When we select the 'SCE' we get a full tab in the main central area of the VS workspace.

Here is what I get, image seen below :-

=========================================================================================================================================================

Obviously, the LHS pane shows a nested 'node' structure, and selecting in this shows more

details on the RHS - check the details on offer.

I will continue to 'drill down' further into the folder / file structure - check this out :-

==================================================================================================================================================

I think you will be able to see that this could prove to be very useful - yes, it is another tool

in the already overflowing tool-kit ;-0)

Time to move on, see you in the next subsection .................

PHH - 23rd. & 25th. October 2014.


Testing your 'Source Control' application 'set-up'

Testing your 'Source Control' application 'set-up'

Testing your 'Source Control' application 'set-up'

 Previous topic Next topic

PHH - 24th. October 2014.


Learning to 'Survive' - handling the 'SC' environment

Learning to 'Survive' - handling the 'SC' environment

Learning to 'Survive' - handling the 'SC' environment

 Previous topic Next topic

PHH - 25th. October 2014.


Going back to 'Square One' - places to keep information

Going back to 'Square One' - places to keep information

Going back to 'Square One' - places to keep information

 Previous topic Next topic

PHH - 25th. October 2014.


Chapter 19 - Using the 'Git' option in place of 'TFVC'

Chapter 19 - Using the 'Git' option in place of 'TFVC'

Chapter 19 - Using the 'Git' option in place of 'TFVC'

 Previous topic Next topic

My News Group request >>

>P.S. does anyone know what 'Git' stands for ? Is it an acronym ?

Phil,
from German wikipedia ("en" Version does not has this ;-)

"I’m an egotistical bastard, and I name all my projects after myself.
First ‘Linux’, now ‘Git’.”"

and

“The joke ‘I name all my projects for myself, first Linux, then git’ was just too good to pass up.

But it is also short, easy-to-say,and type on a standard keyboard.

And reasonably unique and not any standard command, which is unusual.”

– Linus Torvalds [14]

HAND
Karl

==================================================================================

So 'Git' is a joke .........

In the modern presentation of TFS (Team Foundation Server) we have two different patterns of SC (Source Control),

the centralized server one of the original TFS, and more recently the 'Git' pattern of localised SC.

We will be well advised to read what others say on these two quite different approaches.

Lets look at a few of these :-

http://msdn.microsoft.com/en-us/library/vstudio/hh850437.aspx

============================================================================================================

And another view of all this is here :-

http://www.hanselman.com/blog/GitSupportForVisualStudioGitTFSAndVSPutIntoContext.aspx

===========================================================================================================================

And then another - which may prove to us to be our best guide to get going with 'Git' :-

http://blogs.msdn.com/b/visualstudioalm/archive/2013/01/30/getting-started-with-git-in-visual-studio-and-team-foundation-service.aspx

===================================================================================================================

And these guys say this about the choice of Git / TFVC :-

=====================================================================================================================

It is now obvious that we need to know a little bit more about TFVC and Git - so here goes :-

=====================================================================================================================

Here is the link for 'Git on MSDN' :- http://msdn.microsoft.com/en-us/library/vstudio/ms181368.aspx

Short Summary :

TFS is now an umbrella title for both TSVC and Git - we can do either, and both, from within VS using TFS.

So the best thing for me, and many of you too, is for us to give 'Git' a first go - a test and trial !

This is what we will do in the first child section from here - see you there ...........

PHH - 26th. October 2014.


colleagues - recommendations

colleagues - recommendations

colleagues - recommendations

 Previous topic Next topic

Paul Piko :

I don't remember if if mentioned this before...

"Git Succintly" is a free e-book from

https://www.syncfusion.com/resources/techportal/ebooks

Paul

==============================================================

"Mathias Håkansson" :

The easiest way to see changes made is to right click on a file and select Show log.

Now you see only commits where this particular file has been changed.

You see the changes that was made in that version compared to the previous version.

You can also use the "blame" command to see your source file marked with a revision number for each line.

The revision number is the revision this line was last changed or added in.

If you want to revert changes for a certain revision you can use the "revert changes for this revision"-command.

The changes are made in you local copy of the source code and you have to commit these changes to

get them into the repository.

.... also .....

"The guidelines below should be useful for Git as well as any version control

system. When it comes to committing code I would say that you only commit

finished and unit tested code to trunk and release branches, while you could

commit half finished code in feature branches. The reason for this is often

that two developer working on the same feature may need to sync their code

eaven if it's not yet finished. I agree with Frank that backup should be

done separately. There may also be a need for other things on your computer

that is not under version control. I use Cobian backup (www.cobiansoft.com),

but any backup will do as long as it isn't placed on your computer... "

Some best practices... (if there is more that one person working on the project)

- Only commit working code into trunk.

- All new features should be developed in separate branches.

When the new feature is complete and tested it is reintegrated (merged) to trunk.

- Feature branches should be "uplifted" (changes made in trunk are merged into the feature branch)

on a regular basis. This makes it a lot easier to reintegrate the feature branch later).

- A Release branch is created for each public release.

- Minor bug changes can be done directly on the trunk, or if there is to be a SP, you do them in the release branch.

- Bugs corrected in release branches are merged to trunk. Avoid merging from trunk to release branch.

- When you are merging you should change commit message for all merged revisions to contain information

about which branch (or trunk) it was merged to.

Put this text first in the message with a standard format so that it's easy to read. In the trunk you should tell

from which branch and revision the merge came.

- Don't just use version control for source code. Also do documents, manual, databases

(at least for the release version) and installation.

>> Mathias <<
================================================================================

Hi,

We use (not to full extend) the git flow workflow which is quite popular in the community.

This lets you "always" keep a "releasable" version and an easy model to get back to create e.g. hotfixes etc.

https://www.atlassian.com/git/tutorials/comparing-workflows/gitflow-workflow/

(a short video demonstrating also)

http://vimeo.com/16018419

Regarding of your tests should pass or not before merging to shared branches - I agree they should

(but should not prevent you from committing to a feature branch!).

You could also set-up your build server to even prevent a merge if tests fail.

>> Åsmund Kveim Lie <<
================================================================================

PHH - 27th. October 2014.


Making a start with 'Git' - Team Project

Making a start with 'Git' - Team Project

Making a start with 'Git' - Team Project

 Previous topic Next topic

In this subsection we will start from nothing, to build a new WPF application which will have version control

based on Microsoft TFS and the option within it for 'Git' management of the source control.

We will start with a suitable new Team Project and then move on (in the next subsection) to start a new

application from a VS template.

Then in later subsections we will made code changes to program / project files, and commit these changes

to the SC system.

Finally we will take a simple look at how to check on 'History' of commit changes, and also how to compare

files of one version with another.

Lets get started ..................

Creating a new Team Project :

Open Visual Studio 2013 and make sure you close any open solution.

From the Menu Bar choose 'File > New > Team Project... ' as seen in the following image :-

==================================================================================================

This will bring up the "Connect to Team Project Collection" dialog screen - see mine below :-

================================================================================

Leave the server as it is (if you have one showing) - BUT - it may be a good idea to click

the Servers... button to view what we can see - check out mine below :-

===============================================================================================================

If you have not got a Server showing, or for any other reason you think you need to Add or Create another one,

then try Add at this screen, or go to the relevant section of Chapter 18 and see how to create a Server.

Lets move on ............

For our new Team project start to add suitable setting, starting with the following dialog screen :-

=================================================================================================

I have added (in the above image) "OurGitProject" as a name, and the following description.

Now we need to choose 'Next' - see below for details :-

======================================================================================

[ .. be aware that at the above screen it may be wise to select Scrum 2.0 and then make a fresh ]

[ selection of Scrum 2013 - this maybe to force a choice of version control system in a short while .. ]

The following image is from a VERY latest version of VS2013 TFS and is the version I have in the VM set-up

with "Windows 10". Notice Scrum 2013.3 replaces the earlier Scrum 2013. Here it is below :-

========================================================================================================

And - BINGO ! - the following screen is what we need to see, as it allows us to change from TFVC (which may

be set as default by earlier screens at install after download etc.) - we need to force this to be 'Git'.

Here is how my screen opened by default :-

======================================================================================

And now lets see what else is in the drop down list :-

================================================================================================

Yep! - the above is what we want as the selection for what we are doing at the moment.

Now check out the settings summary - seen below :-

=====================================================================================

Okay, above I cheated, it was the second go at me making a new Team Project, you can tell with

the name, as I was not allowed to re-use an existing name, even before choosing 'Finish'.

After selecting 'Finish', we get the system whirring away as seen in the image beneath :-

==============================================================================================

And when done we get a simple but polite message :-

========================================================================================================

And so that is that - we now have a TP with which we can work - now we need a new application.

Let us move on to the next subsection - see you there.

PHH - 26th. October 2014.

Addendum :

Visit the child section from here to find how to check on the existing TPs.


Checking the existing Team Projects

Checking the existing Team Projects

Checking the existing Team Projects

 Previous topic Next topic

Locate the Team Explorer (TE) pane in your VS 2013 IDE 'shell'.

Then, as seen below, find the small 'connect' icon which looks schematically like an electrical 'plug'.

Check this out -

==================================================================================

Select the icon by a mouse click, and see what exists in the Team Projects list :-

==========================================================================================

As you can see I have many attempts (and goes) at TP with related names for our Git project.

You do not need to connect with the above screen, once you have seen what you wish to see

you can then 'Cancel Out' of the screen.

Lets move on ...............

PHH - 26th. October 2014.


Changing TFS plug-in Source Control

Changing TFS plug-in Source Control

Changing TFS plug-in Source Control

 Previous topic Next topic

======================================================================

============================================================

===================================================================================================================

===============================================================

============================================================

===========================================================

PHH - 26th. October 2014.


Starting a new application for 'Git' tracking

Starting a new application for 'Git' tracking

Starting a new application for 'Git' tracking

 Previous topic Next topic

Okay then guys, possibly the easiest thing to do when you have a well set-up VS 2013 (plus) 'shell', with also

the VS 2013 (plus) TFS download installed, is to start from scratch a new project / solution which is under

Source Control (SC) using 'Git' (or indeed the TFvc - 'Team Foundation version control' ).

As you will see below, the New Project dialog screen has a suitable check box at bottom right :-

==========================================================================================================================

If you are lucky (will explain later) then the following dialog comes up so that we can choose out source control.

I have selected the 'Git' option for the purpose of this subsection, but normally I use TFVC for my own work, check this out :-

============================================================================================================

Now then guys, see above the check-box for future projects - well I think that if we check this then in future the

above dialog screen does not appear, and so we have lost a simple and immediate way to select as we choose.

I got caught out with this situation yesterday, when I got TFVC when I was hoping to choose 'Git' - so be warned

if you are NOT sure which type you will always use - even though it can (possibly?) be changed later, it is more

complex than doing the selection at the time of creation.

Lets move on ...............

After choosing the SC type and selecting 'Git' we should get something very much like the following :-

======================================================================================================================

[ .. compare 'before' and 'after' - the icons showing all file nodes have been added to the SC system .. ]

Notice also the tool-tip when we hover over the plus ' + ' small icon.

This set of '+' icons would suggest that we need to add new code/script files to the SC

system for them to be tracked from then on in, so to speak.

Looking at the TE pane which goes along with the previous SE pane, we see the following,

so check it out - in detail :-

==============================================================================

Returning to the SE pane we can then attempt to add some files to the version control

system previously selected.

Lets try just one file as a start - we can choose below the 'MainWindows.xaml.cs' file :-

=================================================

If we right click one file node (as seen above) for the context menu, we get an option to 'Commit'.

We can also do the same by first highlighting the project or indeed the solution itself.

It is quicker for us to choose project / solution - and until we get experienced then this is probably

what we all should do. Then in future change to selected files and nodes. I select all, as a rule.

Not quite sure - BUT - I feel that if we select a node, then all sub-nodes (and hence files) are included

in the version / source control.

Here is me trying tp select the main node for 'MainWindow', it happens to be a '.xaml' file :-

==================================================

In the above example, if we were to commit the highlighted node, we would in fact get each

and every sub-node and the relevant files.

See the child subsection for here where we do an experiment to prove this.

Maybe we will meet in the child section from here ? ..................

PHH - 26th. October 2014.


Selecting and committing nodes, and sub-nodes

Selecting and committing nodes, and sub-nodes

Selecting and committing nodes, and sub-nodes

 Previous topic Next topic

Okay then guys, after making big efforts to get TFS downloaded and installed into VS 2013 or later, then

finding out how to check in any of our projects (apps) into one of the two source control systems, we now

need to explore more thoroughly how to add (or Commit) various parts of our project into the version

controlling system.

For now I will use a 'Git' project for the experimentation.

From a standard WPF template driven C# .NET app Project we see, immediately after creation, the

following entry in the SE (solution explorer) pane - note in particular the icons -

=======================================================================

The above icons are shown before we add any nodes / files to the SC system.

Note that the parent node icon is different to the child (and leaf) node.

Below we see what happens to these nodes when we add both to the SC system - they have both

been 'Committed'. Check the icon symbols :-

=======================================================================

Now then folks, we need to see how the whole new app looks in the SE pane before we do

anything with our new source files etc. - check this out below :-

==========================================

The above image is one where nothing has been committed to the SC system - to 'Git' in our case.

In the next image (seen below) we see how to highlight a node and right click it to bring up the

context menu - at the point of screen capture we have not done the 'Commit' :-

[ .. the node in focus (highlighted) is 'MainWindow.xaml' - it has one sub-node .. ]

==================================================

Having selected 'Commit', we get a chance to input some relevant data / text before the

act of 'committing' takes place.

Here is what is shown in the TE pane - before we add any text input :-

[ .. note in particular the 'Included' section .. ]

====================================================

Yes, lots excluded, BUT, it is the two included items which are of particular interest.

Although we highlighted one node, we have two items, one for the node itself, the other for its sub-node.

This is more obvious in the following image :-

=========================================================

Once again we see above an icon symbol on the LHS of the root item itself.

It is now probably more obvious that the part of this icon which interests us is the ' < x > ' sort of

shape - yes, the chevrons represent XAML script.

[ .. C# is a bit obvious ;-0)) .. ]

Okay then folks, I entered some suitable text and then clicked the button to 'commit'.

Here is the image of the result - study it thoroughly :-

=========================================================

And with this resultant TE pane we have the SE pane looking as follows :-

[ .. note the new two icons for node and sub-node .. ]

==================================================

So shown in the above image is a new project app with two nodes in the version control system, the others without.

Lets now do an interesting test - we will commit the above highlighted node (file) and not its parent node.

====================================================

=========================================================

Adding a text comment ......... :-

=========================================================

And here is the result of this - see below :-

=========================================================

Above note the icon symbl on the 'App.xaml.cs' item entry.

Okay then guys, lets open this node file and edit - I have removed the triple slash three liens :-

=========================================================================================================================

In the above image note the red check / tick.

Now then, moving to edit the parent entry node file, I have added two comment lines - see below :-

========================================================================================================================

However, the detail in the SE pane shows that no red tick / check appears because of the

node file NOT being added into the VC (version control) system. The changes are NOT being tracked.

Remember, any node committed which has sub-nodes, will result in the whole Parent - Family

being added into the SC (source control) system.

Or so it would appear from my experiments at this end.

Possibly time to read the eBook that Paul told us about - from SyncFusion.

See you in the next section ...................

PHH - 27th. October 2014.


Committing Changes - adding and removing code

Committing Changes - adding and removing code

Committing Changes - adding and removing code

 Previous topic Next topic

So far we have hardly done any editing, or changing of code committed into the source control system.

What we have done so far was 'trivial', simply to see if the version control parts of the system were working, or

triggering properly - red ticks / checks, and all that jazz. So we tended to add and remove comment lines,

or drag onto the GUI designer a few tools from the toolbox. And nothing much more.

What we now need to do is to do some more serious (real?) editing and committing, then compare code or

script files with others. To do this we need a real project, one which has been on the go for a little while, and

to which real improvements and changes have been regularly made.

Before we build up a body of knowledge, based on real changes, we can at least look in a little more depth

as to what can be done to commit changes as they occur in bunches - a group at a time. Also either one

file at a time or a bunch of files together.

What can be done now ? :

Well guys, possibly the best thing to do at this early stage of getting into the use of SC and version control, is to

find a good pattern of practice - as simple as possible - and then stick with it for quite a while as we do real development,

just to see how it turns out - our approach that is.

If we get used to making changes in a sensible fashion, and then regularly committing our changes, then we may find

that the other aspects and uses of 'Git' and SC generally, unfold for us.

Lets examine two methods of approach which may well be NOT the way to do things - the extreme ends of things

as it were. Then do something different ;-0)

On the one hand, we could make a few changes in a single file and then commit these, so we end up committing at

about every five minutes or so - sounds crazy, and probably is, we would have HEAPS of versions to handle afterwards.

On the other hand - the alternative extreme - we could make many changes to many files, over a few hours, and only

make a commit before lunch (at the end of a mornings work), and also before leaving to go home (after an afternoon's

work). This also sounds a bit crazy, and is probably not protecting us from loss of code - I have had a major disaster

in less time than a morning or an afternoon.

If I recall correctly, the reason I got into TFS in the first place was because I saw a morning's work go up in virtual flames !

If I had been committing only twice a day I would still have lost most of the complex changes that I did - not good when we

are actually using SC and version-ing etc..

How about a suggestion for us, somewhere in the middle ?

It is unlikely that we can say we should commit after changing a single file, and it is unlikely that we can say, and stick to

committing after a fixed time period like 20 minutes of hard coding.

What we need is a flexible approach to incorporating some of the above ideas, but into a human like 'work frame'.

PHH - 26th. October 2014.


Viewing History

Viewing History

Viewing History

 Previous topic Next topic

Hi there folks, this section on viewing History is extremely important - possibly the thing we wish to

do most when we have a working Version Control system up and running.

However, it is a bit of a 'Catch 22' situation - we need to make a heap of meaningful changes and commitments,

before we will have enough 'History' to play around, and experiment with.

We simply can't have one without the other ;-0)

Lets see a simple example to get us discussing the right things.

In the following image I have highlighted the node entitled "MainWindow.xaml.cs" and then from the context

menu brought up with a right click, have moved to and am selecting, the 'View History ...' option - check the details :-

=====================================================

The result at this end with my limited stored details / information, is seen below :-

==============================================================================

Notice in the above image that the Tab heading tells us which node we are focusing upon.

If we now change the node to the parent of the above node, we see the following detail :-

==================================================================================

Okay, it looks like there is only one historical item, and so it just has to be the 'Master'.

Also notice that we have a time for when the commit was made into the VC (version control) system.

Now lets focus our attention on the following image, its the same tab but we have another item entry :-

================================================================================================================================

So in the above detail we see that what was the 'master' copy has been succeeded by one made at 10.48 am and that is a good

27 minutes later.

And finally a third commit, another 11 minutes after the second one - check this :-

==============================================================================================================================

Now then guys, we need to ask ourselves a question, what is the connection between the details seen for the 'Master'

seen above, and that seen in the next image seen below ? Check it and have a good think ! :-

======================================================================================================================

There are a few details which give us a clue - first the GUID of 'e65853e2... ', and also the time.

It would appear that a commit was made on Sunday at 10:59 which was for all the node under and including that of the

highlighted project parent node.

This would mean that any changed node file would have a 'then' master entry placed in the history of that particular node.

Moving on a step or two ..... :

Let us see how we may view the long list of Historical 'commits'. We wish to see them all in order.

Bring up the TE pane as seen below, and then click the changes option :-

==========================================================

After we click in 'Changes' we see something like the following, where we have brought down

the 'Action' drop list and are selecting the 'View History' choice.

In the next image shown below we have already selected 'View History' - check it out in detail, very carefully :-

=======================================================================================================================================

Let us now see if we can open up the first of these entries - the 'master' - to find out what is inside and of interest to us.

Here is the highlighted entry of interest, before we double click it :-

============================================================================================

And now, after a double click we see the following details in the TE pane - check out fully below :-

====================================================================

Yes, we get a list of all the nodes and files, with some status information as well.

Lets now just see how we can 'open up' details of other versions. In the version opened

we can see the selected (grey) item on the LHS, and the details on the right.

===========================================================================

And also ..... :-

=========================================================================

and then finally this :-

========================================================================

As well as the overall summary of the committed set of node changes, we can also

open up the individual code / script file details for comparison.

Although this section is not about comparison as such, we need to see how we can get

into the related detail for the saved version and its changes.

Study the following image VERY carefully :-

==========================================================================================================================================================

=================================

Okay then folks, enough success for one afternoon, lets meet again in the next subsection

where we can go into comparison of files in much more detail, and on a more complex level too.

See you there .....................

PHH - 26th. October 2014.


Comparing code file versions

Comparing code file versions

Comparing code file versions

 Previous topic Next topic

Before we start this subsection I need to tell you that I have little experience with code comparison

in either centralised TFVC or localised 'Git'.

Also, it was never my intention to make these eNotes an 'in-depth' study of the new 'Git' features and

facilities within VS 2013 and later.

However, since we have gotten as far as we have, I think we ought to spend just a little time to see what

we can easily do with 'Git' as far as comparing one code file version with another is concerned.

Let us discuss just what sorts of comparisons are possible, or indeed those required by serious developers.

Comparing the current editor contents (changes and all) with the last 'Master' copy.

By this we mean that we need to find out what has been changed since we last did a commit.

Let us use the obviously modified (changed) code file "MainWindow.xaml.cs" with what the History list calls

the 'Master'. We can pout this another way and say we can see all changes made since last commit 'action'

or procedure - check out below as I try to highlight and select this required action :-

=======================================================================================================================================================

As you can see a right click over the required file will bring up the context menu where we see FOUR options

for the section related to version control / source control.

Below is what we get on screen when we choose the selection - check this out in full detail :-

==============================================================================================================================

As you can see above, we are using just a simple example, and the olive colour shows that we have only got some

added code at line 27 - the side by side comparison pane has a 'slashed' empty entry line alongside the olive one.

The 'thumb' on the scrollbar shows the position of the 'added' visible code in the whole file of the RHS pane.

Let us now see what we get when we also have code missing - check these details carefully :-

================================================================================================================================

Yes, we now see that we have two 'thumbs' - a red and an olive coloured one.

One for each difference case - red for lines that have been removed, and olive for those

that have been added.

Time to move on to a different comparison 'situation'.

Compare previous 'Historic' versions - one with another :

When we have chosen to produce a list of previously committed versions - we usually call this the

'Full History', we can then select to compare one of these versions with that before it, or indeed after it.

Let us first remind ourselves how to get the History on screen - check below for the context menu and

selection of 'View History'.

==========================================================================

The above image shows us trying to get a list of all of the committed new versions of the

file entitled "MainWindow.xaml.cs" - the history of changes to that file.

An entry will only occur in the list for this file if there were changes to commit.

Let us now see what has been displayed after the choice of 'view history...' - check these below :-

=================================================================================================================================

As you may expect, we see a short list for a new project / solution, as few changes have been made and/or committed.

The list is in descending order of most recent at the top - hence the tag 'Master'.

So the 'Master' will also be the 'Unmodified' version of the file in focus.

In the above image we have selected (highlighted) the second list item - with GUID starting with 14888269.... - and are

then choosing to compare it with the previous entry item, in this case the current 'Master' or the version with a GUID

starting with e65853e2....

Out of interest, in the following image we can see that if we select the very first item entry, we have the option to

compare with previous, greyed out because it does not makes logical sense.

Check this out below :-

=========================================================================================

Okay then, we are starting to learn a few things, and also get a feeling for this comparison 'stuff'.

Lets move on a step or two ...............

Now we can change to comparing versions of the file entitled "MainWindow.xaml" which is a script file.

Check out the comparison screen details - study very thoroughly :-

=========================================================================================================================================

After we notice and check the highlighted file is the correct one (as mentioned above), we then can

check the details in the tabs, where the first part of each GUID is displayed.

The GUID parts 'c2eee7e0' and 'fe609b60' from the pane tab headers, will guide us to correct list items

seen in the 'View History' tab shown below. However, we need to take note of the changed section which

is clearly indicated in an olive colour for additions.

Now lets check out the history list which was used to make the above comparison :-

======================================================================================================================================

Yep! - notice the GUIDs in the highlight and the item below it - that is previous item.

The GUIDs are the same as the ones we discussed 'c2....' and 'fe.....' in the text above the last image.

So we can now highlight the 'master' and do another 'Compare with Previous' and we see the following :-

======================================================================================================================================

Now we have two different GUIDs ( a pair ) which are 'e65.....' and 'fe6....' and we can look out for these

GUIDs in the tabs of the comparison panes shown below :-

=============================================================================================================================

This time we can see that the items in the list are committed versions of the XAML script file.

Line 12 is a new addition, and therefore the guess is that we have dragged an Image UI element from

the toolbox onto the designer surface.

Okay the folks, this should be enough to get both you and me up and running with version comparison.

I also have a feeling the if we use the 'Revert' context menu option, we could compare any version with

any of the remaining ones - I will need to experiment.

Good luck with your experiments with comparisons .....................

See you in the next subsection.

PHH - 26th. October 2014.


Chapter 21 - 'Azure' - VMs

Chapter 21 - 'Azure' - VMs

Chapter 21 - 'Azure' - VMs

 Previous topic Next topic

'Azure' is a nice name for Microsoft's whole bunch of 'Cloud' related services, or even 'goods & services'.

And by 'Cloud' we mean that our desktop or mobile device, acts to a greater or lesser extent like a terminal,

or even 'dumb' terminal, and that the processing takes place at / on a remote server - somewhere.

We can even choose where our 'somewhere' is around the globe.

'Azure' is the named version of Cloud services provided by Microsoft, and there are other big players in the

market which try to provide a similar set of services.

Personally, if M$ is still around and offering 'Azure', then I think I will stick with them.

Some General Information :

It would appear that in the Azure 'bundle' of services we can have a straight forward 'computer' with selected

operating system, and hardware specification of memory, processor cores and disk space etc., through to

the web type services and remote data back-end services we are already aware of.

By the above, I mean that web site rental (like my 'WinClickStartVulcan2.net' ) has a Windows server O/S and

SQL Server and a few other Windows based applications and support, yet I do not rent if from MS.

There is also a range of data backup facilities for those that need that sort of service.

This Chapter / Section :

Because the whole range of Azure services is so broad, I thought that I would dedicate this chapter (number 21)

to getting into Azure in as simple a way as possible, by making and running a Virtual Machine (VM) this is

often referred to in the 'blurb' as a "compute" option.

"compute" means we can specify a high spec. computer, install some apps, do some complex number

crunching work, and then remove / delete the VM (computer) when we are done, and have our answers and

processed data results.

Focus of the Chapter :

The actual focus of the work in the chapter, will be to see how to create a typical VM (computer) and then

how to start it running (like booting it up) and then use the "Remote Desktop Connection" tool (application) to

allow us to view on screen locally, what is going on at the distant server, and also what our virtual computer is

doing for us.

Obviously, we will need to install some software in order to have something meaningful to run on the VM. So

I suggest we try out Visual Studio 2013 'Community' and Vulcan 303f - just for trial purposes.

*** CARE *** Since remote VM is a computer quite distinct from our local machine, then the licensing issue

must be considered !

Contact Brian at Grafxsoft to make sure you have a legal copy of Vulcan.NET if you are intending to upload it

onto a remote 'Azure' type virtual machine.

PHH - 10th. November 2014.


Support material and General Information

Support material and General Information

Support material and General Information

 Previous topic Next topic

The good news is that if you have an Internet connection and a mobile / laptop / desktop device, then

there is a whole host of different sources of information coming out of Microsoft.

Remember, "Azure" is Microsoft's 'Cloud based' platform.

From the web you can get video's and web posts / articles.

There is even a FREE eBook or two from Microsoft and SyncFusion.

Here are a few links and pointers to get you going :-

http://www.microsoftvirtualacademy.com/ebooks

This is a rich source of genuine Microsoft eReading material, we will come onto video links soon.

First of all check this out below :-

====================================================================================================

And below this detail of the long web page we see the following :-

===================================================================================================

===================================================================================================

===================================================================================================

=================================================================================================

==================================================================================================

=======================================

http://www.microsoftvirtualacademy.com/product-training/microsoft-azure

==============================================================================================

=================================================================================

PHH - 10th. & 18th. November 2014.


What is 'Azure' and do we need it ?

What is 'Azure' and do we need it ?

 Previous topic Next topic

What is 'Azure' and do we need it ?

 Previous topic Next topic

It would seem to me that decades back we could have phrased a couple of questions in a similar

way regarding local 'server' machines and stand alone PCs.

If you were around, you should be able to remember that it took quite a while before all of a companies

computers / PCs were connected to the central server.

Guys liked to hold on to there stand alone's.

No doubt we also heard mumblings about speed of transfer (down the network cable) as well as NOT

feeling in control of files and software. And issues of 'Back-ups' etc., etc..

I have read enough web articles to suggest that all the same sort of issues are being raised now that

the sever is effectively being moved to the cloud.

Oh! and as we had to do with local networks, and writing software to suit network use, we also need

now to address how to design and create software best for Azure type (remote) services.

I suggest that before any of us makes a judgement we spend quite a bit of time and effort getting to

know just what 'Azure' has to offer us, and how we may get the best use from what is available.

If you want to start somewhere, try the 'Tour' tile in the new portal - check below :-

============================================================

Summary :

I suspect that we all can see that we will use Azure type services, whether we like it or not.

Many of us will be clients to an Azure service possibly without even noticing it.

If my information sources are correct then it would appear that modern users of the Adobe Creative

Suite have no choice but to consume a cloud based software service - local software installations

are becoming fewer and fewer. So no discs set out for local installation.

And you must be aware of Microsoft Office in the clouds, even though they say they will always (?)

provide a local installation service / product. This will change quicker than we can image now, as

we all become accustomed to cloud solutions.

And the funniest thing will be that this is more likely to be driven by the mobile device revolution.

Guys using mobile services will be quite used to cloud based services, and they will even get to like

them, a lot. So moving to similar based PC solutions will not be an issue at all for those guys.

I an even feel and see this happening at the moment to myself. My Windows Phone 8, Surface Pro 2

tablet, and now my Samsung Android tablet, are all giving me a good feeling for synchronisation, and

Word Online, DropBox, OneDrive, the list goes on - it great fun, and it works.

Directive :

Go and do some web searching and reading of the many documents and articles out there.

Download a few eBooks (free) and get into some studying of the topic.

See you in the next subsection .......................

PHH - 10th. & 24th. November 2014.


Making a Start

Making a Start

Making a Start

 Previous topic Next topic

Well folks, you may not like to hear this because of our past, and where many of us have come from - BUT -

it participate in the 'Cloud Revolution' we need to have an account. An account with one of the main providers

of a 'Cloud based' system, or set of services.

Yep! an account means we have to create or open one, when we either pay up front or provide payment arrangements

after agreeing to the conditions for all service users and account holders.

This is a different 'culture' for most of us ICT guys.

However, we now pay up front for our telephone services - no more BT three monthly bills sent to us AFTER we have

made all the phone calls ;-0))

Everything is a service these days - even TV via 'Sky' and others.

So why not computers and software ?

My Personal Comment - accounts, costs and payments :

Don't let the worry of large and out of control costs put you off. I used to worry in such a way.

Yes, you may have to pay some cash out to use Azure (or similar) but you are actually in control,

and it does not cost as much as you may think.

May developers may have FREE credits provided each and every month by Microsoft - I get mine via MSDN

and my Visual Studio Professional subscription.

But for less that £10 a month we can do a lot of testing and experimental work. See the subsection credit

and payments in a few subsections time.

*** Note *** - it does NOT cost to have the Portal open ! It only costs to be running a service.

So if you specify and create a VM (a remote computer), then the costs are incurred when the VM is running.

Once you 'Stop' a VM it is no longer available for connection, and is not using the Azure resources until we

Re-Start the VM.

Connection to the VM from a remote client machine does not affect the costs it would appear.

leaving a VM 'running' and not doing anything, and not connected, will incur standard costs.

Time to move on .................

How to make a first Start :

Okay the you guys, we need an account, and that means we create a Username and Password to

such an account.

Once we have our 'access codes' we can log into the Azure available 'Portals'.

A portal is a web page based service through which we can manage our account, and this mean for simple services

like 'compute', that we create, start, stop and delete Virtual Machines - hardware and software specifications.

At the moment, for Microsoft 'Azure' portal access, we have an old portal and a new (or Preview) portal.

We can move quite easily from one to the other - I like using both, they both have their benefits ;-)

Here is how to log into the new, or preview portal :-

https://portal.azure.com/

After supplying your UN & PW you get something like this shown below :-

======================================================================================================================================

This is the easy and clean way into the new Portal.

However we can choose to go back to use the old (or named 'Full') portal quite easily.

First of all, checkout the active Browser tab, see the tooltip shown below :-

====================================================================================================================================

It looks as though we all will be expected to use this URL / link in the future.

Now folks, how do we switch from new portal to Full / old ?

Checkout the following image - see the last drop menu option :-

===================================================================

Selecting the option shown above causes the tab in the Browser to be replaced by another one.

Below is shown the tab which appears - the original is closed automatically, as part of the selection :-

===============================================================================

We can see in the above image that the portal has changed.

In the next image, shown below, we see the top right (RHS) section of the old portal, along with a drop menu

which is produced when we left click the account section / area :-

=============================================================================================================

Note that the last entry option of 'Switch to new portal' is what we require to cause a change back again.

Lets now move on ...................

Using the Portal - finding and using the basic parts :

Well folks, we have a specific sub-section to cover this topic - 'using the Portal' and so we will

only show a few encouraging images of the new, or Preview portal in this subsection.

Here are some details for a VM entitled "VOUGSecondAzure" - which is not surprising for us to find

out was my second attempt to create a VM in Azure to show at the VOUG meeting in Bristol last Thursday.

Check out a few details below :-

====================================================================================================================================================================

We will see more detail about this VM in the next but one subsection, when we also see how things

look using the old , or Full portal.

Remember, portals are displayed using the Browser.

Look for as many tiles and buttons to press to show details and video clips of Azure.

Here is one I found, you will be able to find many more, I am sure of that ;-0)

Okay folks, time to move on, lets go to the next section to see how we go about creating an account.

The subsection on 'using' the portal will come after the next section on opening and account.

See you in the next section .............................

PHH - 10th. & 24th. November 2014.


Getting an Account

Getting an Account

Getting an Account

 Previous topic Next topic

To get our foot in the door (as far as creating an Azure account is concerned) lets do a quick search

using Bing in this case - check this out :-

=================================================================================================================================

We will use the second one in the above list.

http://azure.microsoft.com/en-us/documentation/articles/dotnet-create-account/

You can create an account for yourself, AND, you should be able to get some FREE service resources.

For a month at least, or even longer if you are with MSDN - this is how I got my free 'stuff'.

However, you do have to provide a set of credit card details, as well as a mobile phone number.

You can't have it always ;-0) and I am not sure what you do if you don't have a mobile number to use.

I have had numerous occasions when a security PIN (or equivalent) is sent to my mobile in a text message,

and I then had to enter it at an install (or similar) screen. The system works well.

Here shown below is the Googled / Binged URL / link to use :-

http://azure.microsoft.com/en-us/documentation/articles/dotnet-create-account/

This link brings up the following page in the Browser :-

========================================================================================================================================

You will be able to follow the few above options, easily from this page.

Most of us are likely to try out the third option, that of a free trial account.

To get you on your way, here is the page which is displayed when you select the free trial account :-

=======================================================================================================================================

So it would look as though you have £125 to spend as long as you use it within the one months period.

The MSDN free offer I get is £35 a month with no billing - more than that and I pay the difference, and if

I don't use it up then it is lost at the end of the month's period, and another £35 is credited. I have no idea

how long this will continue like this - BUT - I am not now worried about being 'stung' with large bills. The

costs seem to be both reasonable and quite manageable - I feel in control.

Good Luck !

It is my recommendation that you get yourself and account as soon as possible, and start to learn about

and explore the world of the Clouds, and in particular 'Azure'.

See you in the next sub-section ..................

PHH - 10th. & 24th. November 2014.


Using the Portal

Using the Portal

Using the Portal

 Previous topic Next topic

At the current moment / date (November 2014) there is a Portal for 'Azure Management' and also a new

'Preview' portal as well.

Below is how I get to the older one, from my MSDN account 'Subscription Benefits' section :-

============================================================================

If I click the middle option I go straight into a login screen as shown below :-

===================================================================

Then when I click and sign in (mine was automatic as I am already logged into my MSDN "VS Pro" account, I get the

following showing in the old Management Port - check this out :-

============================================================================================================================================

Notice above that I have one VM created and installed, but not running - they call it's 'state' "Stopped" !

Okay then folks, so we have gotten into the old Portal pages, what about the new 'Preview' Portal ?

In the following image we can see that the last menu option is one to allow us to "Switch to the new portal".

[ .. we can go old to new and back again VERY easily .. ]

Check this out (left mouse click) :-

=============================================================================

However, there is another way this can be achieved - more directly - without needing to log into

the older portal via the MSDN account.

Well, its as simple as using the Browser directly, making a new tab entry, and typing in the following URL :-

https://portal.azure.com/

If its the first time you may have to provide your UN and PW - or similar, but mine now goes straight in

when I type and press enter, in the tab entry box.

Here is the resulting detail :-

[ .. note the original tab is closed as the new one opens - so only one portal tab at once .. ]

==================================================================================

And now a fuller look at the full portal screen - and as it may look in the future :-

======================================================================================================================================

Yes, it does look nice, and much more modern too.

Looks like a product of upgrading design and interactive screen standards to those created by so much mobile device

application design - keeping things clean and simple, as well as extremely functional. And visually attractive and appealing!

I would say the best use of limited space is also a big factor in these designs.

So lets look at some more sections of the 'Metro' like 'Windows 8' style panes, tabs, and sections :-

[ .. these are behind the Tiles .. ]

Lets first of all try the 'Browse all' tile :-

=================================================

Okay then folks, having seen 'Browse all' lets now look at 'Portal settings' from the section

called 'Jump to' - check this below :-

==========================================

Okay then folks, since we can get into both the old and new portals, and move back from old to

new as well, then I will leave you to practise for yourselves.

Spend some time selecting the options and seeing what is then available to us. It is a good idea to

become quite familiar with the portal design.

You may also like to look in some depth into the older portal page, as this is easy to use and possibly

at first less visually confusing, or indeed 'busy'.

=================================================================================================================================================================================

And now we can see all of the other LHS options (those on the left) after "Mobile Services" :-

======================================================================

And finally, the 'All Items' way of looking at things :-

=======================================================================================================================================================================

Enough of the old portal for now.

Let us now move on to the next sub-section ....................

See you there.

PHH - 10th. & 17th. November 2014.


Creating a Virtual machine

Creating a Virtual machine

Creating a Virtual machine

 Previous topic Next topic

Hi again folks, well now it is time to get into the 'nitty-gritty' of creating a computer in the sky.

Or as others may say, a virtual machine in the clouds. An 'Azure' VM that is.

Let us start by looking at the main menu bar in the old portal which displays the icons required to

manage a VM, it creation, its use and its deletion. Or think of it as 'birth, life and then death' !

Below is an image of the old portal, showing two existing VMs and at the bottom of screen the menu

bar we will use a lot in managing our VMs in Azure.

Make sure you study all the available detail in the following image :-

========================================================================================================================================================================================

Note above the icons we will use a lot in Azure (compute), mainly - New, Connect, Restart, Shut down, Attach and Delete.

We will return to these shortly to create a new VM to demonstrate how it is done.

Firsts of all lets take the opportunity to check-out the properties of the 'First' VM I made for the VOUG meeting.

Study the details shown below :-

==============================================

In case there are any details which should remain 'secret' or not be published, I have to say that this

particular VM has now been removed, deleted, it is a dead parrot ;-0) { Monty Python !? }

Lets see what happens on screen when we click (select) the 'connect' icon - check below :-

============================================================================================================================================================================================

It is quite simple once we know and understand.

In order to connect to the VM running in Azure (yes, we have to start it before we can successfully connect to it), we

need to make a connection from our local (client) machine - using the software Windows tool called 'Remote Desktop Connection'

(RDC).

By us clicking the icon in the portal of 'Connect', we send a small information file to our local PC which contains some

(few) details required to launch the RDC tool - here is what is received when we do / complete such an action.

==================================================================================================================

And to prove there is not a lot of detail enclosed in the file, lets open it in Notepad - see below :-

=============================================================================================

Here is a tip or two I got from Paul :-

Phil,

When you setup a VM it is allocated a random public port for remote desktop.

It is shown to you during the setup process.

To find out what it is for an existing VM, select the VM in the browser, choose Settings.

Then choose Endpoints.

You will see the public port needed for 'Remote Desktop'.

Use that port, along with the domain name you chose, when you run remote desktop.

When asked for credentials, use the 'UN and PW' you created when setting up the VM.

Paul

Lets create together our first VM in Azure, and I will draw on the experience of what I have done

so far - to date.

Creating a VM - using the 'Full' or old Portal :

Okay then folks, before we start a new VM let us use the portal to see what we already have in our

account, as far as VMs ('compute' type) are concerned - check this below :-

==================================================================================================================================================

As you can see above, I have two in my account - one called 'Pearls.....' the other entitled 'VOUG.....' and the first

of these is in focus.

Let us now move our attention to the bottom left of screen, to the 'New' plus sign icon - check this out :-

=================================================================

Once we select the required 'New' icon we get a screen content as shown below - we need to make some choices :-

========================================================================================================================

Since we have MANY options when using Azure, we need to start slowly and simply, and take things

'step-by-step'.

Our next choice is best made if we select a 'Quick Create'. Our first VM should be as straight forward

as possible - we can get fancier at a later stage (soon ?).

Here is the above screen detail when we have chosen the 'Quick' option - study all the details :-

========================================================================================================================

Notice above that the 3 existing input items are defaults of the seven in total that are required.

Until we get some initial success with making VMs we will leave the 'Image' and 'Size' entries as they

are. We may change the 'Region' a little later in this creation process.

Now then, we need to supply a 'Name' - a DNS name, whatever DNS stands for !? - the format is

more restricting than you may at first think - I certainly was surprised - check below :-

=============================================================================================================================

So choose your name with thought - here is one that does us for now - suits our purposes :-

===========================================================

Now lets us move on, and turn our attention to the 'User name' and 'Password'.

===========================================================================

I have provided a simple and appropriate 'User name', that of 'ClickStart', but it seems that

the password is not acceptable ;-0((

Notice in the tooltip shown above, that we have a reasonable level of security with 3 out of 4

security specifications being required.

So 'clickCLICK' that I supplied is not secure enough to pass the data input 'checking' algorithm.

Lets try adding a couple of digits to qualify our PW. Check this latest entry :-

=========================================================

At the moment we are still using the three default values that were presented to

us automatically when we started our 'Quick' create.

Let us now see what options we have for the 'Region' or 'Affinity Group' - check below

for details :-

=========================================================

Just for testing and trial purposes, lets try changing the selection to Western Europe.

It seems as though the default provided is dependent on the global locality of the local PC being used.

It may even be the account which determines the default region - but it is not easy to do an experiment

until I next go abroad on holiday.

Here is our final choice :-

===================================================

And when we mouse click the 'create' icon seen above, the action process is kicked into 'motion',

as it were - see the screen message for this :-

===========================================================================

The little horizontal green bars move in and out to provide some feeling of motion or action.

At the same time another part of the Portal screen also shows some activity - study the following

screen image :-

=========================================================================================================================================

Above we see a third entry in our list of VMs - the one in focus is that we have just started to create.

Although it is difficult to show in a reduced size screen capture, there are apparently 'moving' dots just above the mouse pointer.

Here is a clearer image :-

=================================================================

The 'qualifier' shown, or 'Provisioning' means that the VM is being built in some way or another, and 'Provisioning'

may only happen once - the rest of the time it may just be 'Starting' and 'Shut down' - we need to see by experiment.

After a short while (which I did not time / measure) we get a change on screen to the following :-

===============================================================================================================================================================

And of course all the management icons at the bottom of the screen change to show the 'state' of the newly created VM.

Check the details in this following image :-

=======================================================================================================================================================================

As we may expect, now that the VM is up and running, it is available for us to connect to, or even shut down, restart, and even delete.

Let us see what happens when we click with the mouse, the 'Connect' icon - check this out below :-

==================================================================================================================================================

The Portal makes and sends a small file with secondary filename of '.rdp' - for 'Remote Desktop'.

Clicking OK as well as 'Save' we get at the local PC a downloaded file - check the following :-

=============================================================================================

And if we then open this file with Notepad we see the following few details (not a lot ! ) :-

==============================================================================================

In the File Explorer pane we see it as shown below :-

==============================================================================

The icons for '.rdp' can be changed by the context menu option for the 'open with' .. change default.

Select 'Remote Desktop Connection' - below is a related image :-

======================================================================================

Once you have a RDC icon you can then right click the filename and the context menu has

and edit option which we can use to make specifications.

Here is an example after I have re-set the default from Notepad to RDC - check it out below :-

==========================================================

You are next quite likely to see the following warning message box :-

======================================================================

If you do then you just click 'Connect' - however, you may get the following disturbing

screen - do you now why ? - check this out :-

=================================================================================================

Yep! - last evening I stopped the VM running to save money overnight - it is still in a 'shut down' state.

I will re-start it and try again ..... just wait a few minutes :-

Now that I retry I get the following dialog displayed :-

========================================================================

Open the options drop down and enter some suitable details - check below :-

========================================================================

And now elect to save the settings, even though we will probably make more before we leave

the tabbed dialog screen.

========================================================================

below is an example of the '.rdp' file after we have changed a few settings and then 'Saved' using

the above button - check all this stuff :-

=====================================================

Time to move on and see some of the options and the option tabs - checkout those related images below :-

=================================================================

=================================================================

You may need to try out a few different screen options - go for the largest one possible as a start.

Below I am dragging the 'thumb' to the largest position :-

=================================================================

Time to move on ..............

Connecting :

After we click the 'Connect' button we are faced by a security 'log-on' screen :-

===================================================================

Add our UN and PW - remember we had to add a couple of digits to our password and now

it looks like 'clickxxxCLICK' - username as we saw earlier.

And now last of all before we get a Windows screen we get this - a warning about certificates :-

===============================================================

Hey guys! - and that is it - this is what we see next :-

The above control bar is placed automatically at the top of your monitor screen.

And because this is the first launch of the new VM we get a set-up 'blade' or section for Networks, as

seen in the next image :-

==================================================

And looking at most of the new screen we see the following details :-

==========================================================================================================

The bottom left of screen is missing from the above image, so here it is separately :-

===========================================================

If we look at the File Explorer pane for two different ways of launching the Azure remote VM, we first can see

what it looks like when we do NOT include local drives and devices - check this out :-

=========================================================================================================

Above we see only the remote machine drives and devices.

But when we change options and settings on the RDC dialog tabs we can see all these shown below :-

=====================================================================================================================================

Yes, we can see two drive C:'s - the one with the blue Windows icon is the remote boot drive.

All those devices with 'BIG-T' refer to my local big tower desktop PC.

And that guys, is that, as they say!

We have done more than enough for one subsection.

Time to move on to the finer details of actually running and using the VM we have just created.

See you in the next section.

PHH - 10th. & 24th. & 25th. November 2014.


Running the VM

Running the VM

Running the VM

 Previous topic Next topic

Once we have created a virtual machine (VM) is is really easy to start it up, or get it running.

From either of the portals - we see the old one in the images below - we make sure we have the VM

highlighted, or in focus, that we require, and then we look for the 'Start' icon.

Check out below the fact that we have a status 'stopped' VM called 'VOUGSecondAzure' :-

============================================================================================================================================

And then we look to the bottom of the screen to find and select the 'Start' icon - check this out :-

=========================================================================================================

Having selected the 'Start' with a click or touch 'tap' we see the following at the bottom of screen :-

================================================================================================================================

Now the lower screen 'bar' turns into an information / progress bar - see below :-

==========================================================================================

It takes a little while for the remote server to set-up the VM, whether it is new or existing - a bit like booting and /or

re-booting a physical machine.

Keep an eye on the portal page / screen to see how we first get a 'Starting' status message :-

===========================================================================================================================================================

And then after some time this turns into a 'Running' status - check below :-

=====================================================================================================================================================================================

Yep! its as easy as that ;-0)

Once we have the VM up and running, we can then go to any local (client) PC and run the Remote Desktop Connection

(RDC) tool to login and connect to the chosen VM.

Tip on payment :

If you are not planning to use the VM, that is login and use it, then to save costs accruing on your account,

stop the VM as shown (how to) in a subsequent sub-section.

Although the cost are not huge, a few days of inactivity totals up to be a few pounds on your account.

PHH - 10th. & 16th. November 2014.


Respecifying - the Machine hardware

Respecifying - the Machine hardware

Respecifying - the Machine hardware

 Previous topic Next topic

PHH - 24th. November 2014.


Credit - status and payment

Credit - status and payment

Credit - status and payment

 Previous topic Next topic

And now the 'thorny' topic of paying for services received and used by us, the users.

We need to examine the 'Credit Status' of our account with Microsoft.

Here are some screen capture details from my main Portal :-

======================================================================================================

On selecting the orange tab at the top (in the above image) we get to see the following details :-

=================================================

I think that for this exploratory period, using my MSDN Visual Studio Professional account, Microsoft

provide me with £35 worth of free credits each calendar month - and it is not transferable from one month

to the next.

Lets now check out the further details of my usage - check thoroughly the next two images :-

==================================================================================================================================

It would appear in the next image as though the main costs was for the VM running in the EU North.

This machine was up and running for about 7 days (seven) - unfortunately, most of this was unused time,

but "we all live and learn".

So most of the cost (as seen below) was due to two machines being up and 'running' - check below :-

======================================================================================================================

Out of interest I saw this message a day or two before I had the monthly quota "refreshed" :-

=============================================================================================================================================================

Because everything was new I did not at this point check my account details, so I can't compare figures.

Enough for now, at least you know how to keep track of your own spending.

See you in the next sub-section ....................

PHH - 16th. & 17th. November 2014.

Addendum :

When we get to use Azure in earnest (for real and serious stuff) we will need to know how to interpret, or understand our bill.

Here is a Microsoft link to do just that, or at least to get us going !

http://azure.microsoft.com/en-us/support/understand-your-bill/

===================================================================================================================================


Attaching empty disks to the VM

Attaching empty disks to the VM

Attaching empty disks to the VM

 Previous topic Next topic

==========================================================================

PHH - 10th. November 2014.


Seeing things via the 'Remote Desktop Connection'

Seeing things via the 'Remote Desktop Connection'

Seeing things via the 'Remote Desktop Connection'

 Previous topic Next topic

=========================================================================

PHH - 10th. & 14th. November 2014.


What is it ? - a 'Dumb Terminal' perhaps ?

What is it ? - a 'Dumb Terminal' perhaps ?

 Previous topic Next topic

What is it ? - a 'Dumb Terminal' perhaps ?

 Previous topic Next topic

====================================================================

PHH - 14th. November 2014.


Finding and using the 'RDC' software tool

Finding and using the 'RDC' software tool

Finding and using the 'RDC' software tool

 Previous topic Next topic

It would appear that "Remote Desktop Connection" is a standard / integral part of the modern Windows

operating system.

To use it we need to locate it and probably pin it to the Task Bar and the Start screen.

Lets use the very handy facility in 'Start' where we just type a name (or part of it) - below I have typed

the characters 'remote' and here is what that brings up on screen :-

======================================================================

And yes, I selected to pin to both - Start and Taskbar.

Here is what the Taskbar looks like after pinning :-

====================================================================================================

And now we need to see the 'Start' after some rearranging perhaps :-

======================================================

If we use either of these pinned icons as a way to launch RDC we can then see the following :-

==========================================================================

I am not sure what fills the drop list - it may be that I have the option shown highlighted

simply because I have used this Azure VM previously, with me realising I was using RDC under

the hood. The Azure Portal can do this without the user (me / you / us) realising.

So I simply select this one - there is only one in my list :-

=========================================================================

It is smart enough to be able to sully the correct Username, but needs my manual

entry of the Password - check this :-

====================================================================

WARNING :- the above dialog screen needs a UN & PW related to an existing and running VM in Azure.

Depending on how and when this screen is displayed, it can be confusing, and look as if the required

details are for a Microsoft Account of ours !

After successful entry of the Password we get the following screen :-

======================================================================================

I will leave the 'Don't ask ...' option unchecked, because I am experimenting for writing these eNotes.

You may wish to turn off the screen for the future.

So then folks, what do we get when we supply the correct UN & PW ? Check below for a sample :-

===================================================================

Okay then guys, we need to stop here - simply because this sub-section is about finding the

software tool - the RDC application.

How we use RDC is the topic of a following subsection.

So for now, to summarise, we can say that the RDC tool calls up the VM using the connection

details, and then makes a suitable connection if and when it gets through the security checking

at the Azure end of things.

Lets move on ..................

See you in the next section.

PHH - 14th. November 2014.


Simple use of the '.rdp' file to connect

Simple use of the '.rdp' file to connect

Simple use of the '.rdp' file to connect

 Previous topic Next topic

Okay then folks,

===================================================================================================

======================================================================================

==============================================================================================

===========================================

====================================================================

PHH - 14th. November 2014.


Changing settings - access local hardware devices

Changing settings - access local hardware devices

Changing settings - access local hardware devices

 Previous topic Next topic

=========================================================================

==========================================================================

=========================================================================

===========================================================================================

===========================================================================================================================

================================================================================

================================================================

====================================================================================================================================================

==============================================================

===========================================================================================================

=======================================================================================

PHH - 14th. November 2014.


Disconnecting - leaving the VM running

Disconnecting - leaving the VM running

Disconnecting - leaving the VM running

 Previous topic Next topic

PHH - 14th. November 2014.


Stopping the VM running and incurring no charge ?

Stopping the VM running and incurring no charge ?

 Previous topic Next topic

Stopping the VM running and incurring no charge ?

 Previous topic Next topic

This small and short section is important to all of us - it involves money, and NOT wasting cash !

Once we have created a VM with Azure (computer in the sky) we get charges incurred against our

Azure account as long as the VM is in a state of "Running".

Think of this as a booted PC which is displaying some sort of detail on the screen.

If we use the Portal (old or new) for us to shut down the VM computer, the state will change to "Stopped"

and this is equivalent to us powering down a physical PC.

We get no charges to our account when the VM is 'stopped' or has been shut down.

Here is an image showing the active icon required to do as we require - it would be greyed if the VM was

already 'stopped', and also the 'Start' icon would not be greyed as it is seen below :-

==============================================================================================

The above portal detail simply means that the VM called 'VOUGfirstAzure' is currently running, and is

costing us cash - not a lot, but if we leave it on and unused for days then the cost mounts up.

For a contrast, here is an image of a test VM belonging to Paul Piko - note the name and the location.

Once again, the greyed state of the menu options informs us that the VM is running - check this out :-

============================================================================================================

And here is something Paul sent us to help us understand the charging 'situation' :-

===================================================================================================================================================

In other words, there is only one place to turn VMs on and off ('Running' to 'Shut down') and that is from

within the Portal itself - old or new, they both do the same.

==================================================================================================================================================================================

===========================================================================================================================================================

==================================================================================================================================================================================

==================================================================================================================================================================================

========================================================================================================================

Summary of General Use :

When you are 'renting' a computer via Azure, turn it on to use it, and then when the task is done turn it off again.

Only leave the VM running if you are only pausing for a minute or two.

Don't get panicky about charge, it is cheap - BUT - don't forget to shut down as then charges could mount up

alarmingly over the days and nights the VM sits there doing nothing.

Remember the service we are buying is the facility of the working computer - not what is does for us while running.

Its simple, but we need to be in control, and do the managing.

See the related sub-section on 'Credit - status and payment'.

PHH - 10th. 18th. November 2014.


Removing a VM at the Portal - 'easy come easy go' ?

Removing a VM at the Portal - 'easy come easy go' ?

 Previous topic Next topic

Removing a VM at the Portal - 'easy come easy go' ?

 Previous topic Next topic

Before we get into any technical detail at all, a BIG word of 'caution' !!!

We all know how easy it is to re-format a HDD or SSD and so lose the 'LOT' as it is known,

well, with VMs it is even easier to remove or delete a virtual machine.

Since the machine also includes the setting up of applications like Visual Studio, Vulcan.NET,

and SQL Server, and much more perhaps, it is NOT a good idea to lose a VM.

Luckily, the installation of the O/S (Windows Server 2012 R2) is automatic and done by the Azure

system / service, but this is little consolation is all else is lost.

So - BE CAREFULL - is the phrase to keep in mind ;-0))

*** REMEMBER *** :

There is a huge difference between 'shutting down' a VM in Azure, and 'Removing' it.

When we Remove or delete a VM then we are clearing out of our Azure account the whole specification

of the VM, so it can't be re-started afterwards.

Think of 'Deleting' or 'Removing' in a similar way as formatting a HDD - only worse.

When we normally format our boot drive we have little left, but we still have the computer itself - the hardware.

With Azure and its VMs, "delete / remove" is equivalent to blowing up the computer - to smithereens - there is

nothing left at all, not even a ghost or a 'memory' ;-0)

*** So be VERY careful *** what you do in the Portal.

Below is an image which shows some of the main management icons - at the bottom of the image - check this out :-

==============================================================================================================================================================

See above, how we can make a 'New' VM, and also manage the ones we have already got.

Connect is to force a RDC (remote desktop connection) session to be started.

Restart is like a re-boot, for a running VM.

Shut down is like a power down.

Attach / and Detach is for extra disks, other than the main C; drive and boot disk.

Delete we know well to stay clear of ;-0((

Capture I have yet to explore.

Note also the helpful list of operations successfully completed - you can see from this list that I

had just removed / deleted a test VM, and before that shut down the machine to be removed.

The third and earliest entry in the list shows that I re-started (rebooted) a second VM I have.

Now I only have one - as seen in the image below :-

==================================================================================================================================

Time to move on ........................

See you in the next sub-section.

PHH - 16th. & 17th. & 18th. November 2014.


Finding our way around the VM

Finding our way around the VM

Finding our way around the VM

 Previous topic Next topic

Rule one - its quite simple - the Windows server 2012 R2 environment is much like Windows 8.

The following screen capture images will illustrate this quite clearly.

Here is the top centre of the main screen - this makes the Azure VM screen stand out from the rest of our desktop :-

And when we move to bottom left and the desktop 'background' we see something familiar :-

==========================================================

And what else do we see that is relatively 'modern' ? Yes, that's right, the Windows icon that is on the Windows key on the keyboard.

The click of the Windows icon on the Taskbar brings up a 'Start' screen like that we know from Windows 8.

Check this out - similar but different :-

Okay folks, as you can see above, we have not as yet installed much software and pinned it to the Start page.

Below is the other way to see the application and app display - here we are seeing the IE (Internet Explorer)

item being pinned to the Taskbar :-

And we may as well see all of the available choices of the software tools and apps :-

So this is much like using Windows 8, and the 'Desktop' is available from the purple icon - top left of images above, and seen in detail below :-

The full tile is black however as can be seen in the following image :-

========================================================

So basically, our problem is to learn how to use Windows Server 2012 R2, and see what is similar to

the standard Windows 8 installation, and what is also different.

I will leave much of the exploration to yourself, as it is not really the focus of the topic in hand.

Check out the 'Control Panel' !?

PHH - 14th. & 17th. & 18th. November 2014.


Installing some applications and testing

Installing some applications and testing

Installing some applications and testing

 Previous topic Next topic

PHH - 14th. November 2014.


Chapter 22 - 'Azure' - SQL database

Chapter 22 - 'Azure' - SQL database

Chapter 22 - 'Azure' - SQL database

 Previous topic Next topic

He is an eBook that I have used to get me going quickly, easily, and with good success :-

================================================================

I highly recommend this text - give it as try ASAP.

eBook support code / information :-

http://www.informit.com/store/microsoft-azure-sql-database-step-by-step-9780735679429

Pearson Tech Support link :-

http://247pearsoned.custhelp.com/app/utils/login_form/redirect/account%252Fquestions%252Fdetail%252Fi_id%252F8684333/session/L3RpbWUvMTQxNzA3OTg4NC9zaWQvSkQ0a0pzOG0=

PHH - 26th. November 2014.


what is it ? - SQL database

what is it ? - SQL database

what is it ? - SQL database

 Previous topic Next topic

PHH - 26th. November 2014.


how to find it

how to find it

how to find it

Previous topic Next topic

PHH - 26th. November 2014.


starting a new Server and Databse

starting a new Server and Databse

starting a new Server and Databse

 Previous topic Next topic

PHH - 26th. November 2014.


making a few new Tables

making a few new Tables

making a few new Tables

 Previous topic Next topic

Hi again folks, well, if we now have a new database within our new Azure based 'Server', then we must give it a new

table or two - so that it can hold data for us.

First lets log into our old (Full?) Azure portal, and then change to the Database portal using the 'Manage' icon

in the black Taskbar.

You will be confronted by a security screen similar to the one shown below :-

=========================================================

If you get your Username and Password correctly entered you then see the Administration tab for our

existing database - here we are using one called 'WineCloudDb' - check below :-

===========================================================================================================

Now we need to go top the bottom left of the page to select the Design tab - here is where we go :-

============================================

After clicking and selecting the 'Design' tab, we see the next screen image - check it carefully :-

======================================================================================

Okay then folks, above we can see the 'New Table' icon to click / select.

Lets choose this now with our mouse and see what we get - checkout this below :-

=====================================================================================================================================================

Yep! - we are given a simple template - three columns and one an identity which is a Primary Key.

The default table name will depend on existing tables, to some simple degree, and we should always

change its value - lets do that now.

Let us name our first new table 'Wine' - see below for details :-

===================================================================================================================

[ .. above we have named the first column as 'WineId' .. ]

In this entry page do not get mixed up between the terminology for rows and columns ;-0)

With the table specification page we have one row of values / properties, for each Column in out Table to be.

So in really clear English - the rows are our Columns.

As we need more columns in our table, we gain more rows of properties on the design page.

Here below we have three column names :-

=============================================================

When I first did this I forgot to check the 'Is Identity box for the ID column - make sure you do this now.

If you get into difficulties you may need to Delete the Column details, or indeed the whole table, and then

start again - you will have to explore the design screen and experiment a little, to get a feel for how it works.

This is what you are aiming at - if all goes well :-

=======================================================================================================================

*** Note *** that until we select 'Save' from the top Menu-bar the table is not inside the DB.

Here is the situation before we click 'Save' - check it out :-

=======================================================================================

And here is what we see when we have saved our input details for the new table :-

============================================================================================

'dbo' is the default schema as we can see in the left most pane.

Going back to Administration the tab looks like this :-

===================================================================

Lets now keep going and make our second table - that of Customer.

=================================================================================================

And the above action causes a new table template to appear, ready for editing - check this out :-

======================================================================================================================================================

Now you can make all the required input changes including the checking of 'Is Identity? ' early on in your

inputting of the properties for the columns.

Here is what you are trying to create - see below :-

==============================================================================================================================

AND - guys, don't forget the table does not really exist at all, until we 'Save' by clicking the appropriate icon in the Menu-bar.

This is what we now have in our database :-

============================================================================================================================

Yep! - we see in the LHS pane that we now have in the 'dbo.' schema two new and empty tables.

Empty meaning that the tables are specified but that no data rows as yet exist.

Before we leave this subsection, let see how I got around my problem / issue of the 'WineId' and the Is Identity checking of the box.

Putting right the ' Is Identity? ' entry :

For some reason I can't now tell (or fathom out) I could not check the box to set the "Is Identity? " property - it was grey out and

unavailable, after I had worked on other columns and properties.

The only way around this seemed to be to remove the line and add a new line of the same name and details.

Check out below a couple of images of me putting things to rights :-

======================================================================================================================

I think I deleted the first column, before adding the replacement. I am not sure, you may have to experiment yourself.

Also, you may need to 'Save' between deletion and addition, once again I suggest your just give things a go ;-0)

Here is what I had before I did the final Save - I think the LHS sun style icons mean that there are unchanged details on

that line - you need to check this too.

Before final 'Save' :-

=================================================================================================================

And now we see the following image detail once we carry out the 'Save' :-

=================================================================================================================

Lets us now leave creating new tables, and move on to the next sub-section where we look at

setting a relation between the two tables.

We need to constrain the Foreign Key in Customer so that it MUST only have one of the values specified in the

data rows of the Wine table - as you will see it all has to do with what we term 'referential integrity'.

So see you in the next subsection ...................

PHH - 28th. November 2014.


Setting an Foreign Key constraint

Setting an Foreign Key constraint

Setting an Foreign Key constraint

 Previous topic Next topic

Hi again folks.

From the portal page in the last section, move from the 'Data' tab to the "Indexes and Keys" tab.

Below is what I can see on my system :-

==================================================================================================================================================================

Choose to add a foreign key relationship - click the action 'spot' at far right of the above image.

======================================================================================================================================

========================================================================================

==================================================================================================

===========================================================================================================================================

=================================================================================================

=========================================================================================================

====================================================================================================================================

===========================================================================================================================================================================

=======================================================================================================================

========================================================================================

==================================

PHH - 28th. November 2014.


populating the Tables - new rows

populating the Tables - new rows

populating the Tables - new rows

Previous topic Next topic

Okay then guys, once we have designed and created (built?) our Table(s) we may then wish to try and add some

test data manually.

Once we get up to speed with our Azure SQL database skills we will most likely do everything through EF6 (Entity

Framework) and also 'Code First', but until we do it is more than useful to know how to use the Azure database Portal

pages to add, test, and query our data rows.

Populating the 'Wine' table :

Let us start with the first of our two tables that we created a short while ago - in the last subsection.

So how do we select an existing Table, so that we can interact with the data ?

We need to start at the old (Full) portal itself - let's start a new sub-section below ...............

Getting a list of Tables :

Open you account portal by logging in the usual way :-

=======================================================================================================================================================================

Click in a non-active (responsive) area of the database you require - outside of the 'Name' column, and this

will then highlight the row.

Move to the black Taskbar at the bottom of the page, and select 'MANAGE' - this will open a new portal, one

for us to use to interact with our database.

Here is a portal tab already open in my Browser :-

=====================================================================================================================================================================

Notice above that the tooltip includes the text string "WineCloudDb" - but first we need to see the detail we first get

when we see the Manage page - checkout below :-

========================================================================================================

We can see above that the Administration tab needs to be changed to 'Design', and when that is done we

see the tables listed out. In the next image we see the design tab page.

Quite simply, we need to start with this list of Tables, select one so that it is in focus and highlighted, then

we need to select the icon for Edit mode - see below and bottom right of image :-

=====================================================================================================

After selecting 'Edit' we get the follow type of screen - checkout mine in the following iamge :-

============================================================================================================

Notice that in the above image we have the cursor turned to a hand shape over the 'Data' active area / spot on the page.

Click this 'Data' and the following image is what we see as a result :-

========================================================================================================================================

Yes, folks, we are now at the place where we can add and remove rows of data.

Below you can see that we have just completed one row :-

=========================================================================================================================================

Remember that the 'WineId' column is automatic, or self-evaluating, so it won't get a value until the row is added to the database.

Yes, this means that the rows seen below are NOT as yet in the database, they are just in the input screen, as values attached to the

UI element input items, or objects.

Study in detail the following image :-

========================================================================================================================================

So if we complete the cell data entries, we can see below that we need to move to the 'Save' icon and select it with a mouse click :-

=======================================================================================================================================

After the click, we see some fundamental changes on our screen - values for the ID column, and the 'Save'

icon is now greyed out as no unsaved changes exist - check this out :-

========================================================================================================================================

Finally, note that we could actually leave out the year, as it is not a required value in our design.

You may need to look back to the top of subsection to see the on screen detail for this - three unchecked boxes !

Lets move on to populating the Customer table with some typical sample data ..............

Populating the 'Customer' table :

To bring up the 'Data' view of the Customer table, do as we did for the Wine table, except make your choice for Customer.

Below we see this empty table :-

========================================================================================================================================

So know that we know what we are doing regarding adding rows, lets start entering some suitable data.

Checkout this following image :-

========================================================================================================================================

Lets keep on going, and then also make a mistake - study carefully the following image details, and see if you can predict

what we have done wrongly :-

======================================================================================================================

Yep! - its quite simple, the value of 6 is not present in any row in the Wine table, but our constraint of type Foreign Key

says that the value must exist in the Wine table data.

Lets now put this right and replace 6 with 1 - Note that the error message is rolled up, but no longer applies - we could if

we wish check the 'X' or cross, to remove the 'Error, roll-up'.

Here is our corrected third row :-

======================================================================================================================

And, as with the earlier table, we MUST select 'Save' in order for the entered values to be actually placed into the database.

The ID values indicate that the following detail has all been entered into the table.

=======================================================================================================================================================

And to prove what we have done, first we can return a step to the 'design' tab for the DB - see below :-

===================================================================================================================================

Notice that we now have reported that the 'Row Count' values are 5 and 4 - which seems to be correct in my opinion.

And here is another simple way to check that we have data in the Customer table - at the table 'Edit' screen select

to make a new Query and do as seen below - enter the simple text and then select 'Run' - he is what you should get :-

=======================================================================================

Okay folks, this all looks good, time to move on

See you in the next subsection when we will improve our querying skills with this database portal.

PHH - 26th. & 28th. November 2014.


Querying - getting back results

Querying - getting back results

Querying - getting back results

 Previous topic Next topic

Okay folks, now that we have two tables, each with data, and also a foreign key constraint applied,

we can turn our attention to doing some simple querying of our database.

First of all we need to locate within the portal, just where it is that we can launch the Query page, what we

need do is select the 'New Query' icon and give it a click or tap.

Here is what I have on my screen :-

====================================================================================================

We can then see a different looking page, even though it is similar in many ways.

Check out the following screen and notice the grey lined surround of an editor section / area :-

===============================================================================================================

Note the cursor shape above, showing that is is within a text input and edit UI element.

Now then, for the fun, I am actually copying and pasting T-SQL code directly form the eBook pages.

BUT - take care, as with many other eTexts the characters used for some like single quotes are in fact

incorrect - we will come on to that shortly, first see the query code before it is run :-

=============================================================================================================

[ .. to my mind the LEFT OUTER JOIN is way beyond newbie's level .. ]

As you can see above, the query script / code appears to be okay as far as the parser is concerned.

Lets now click the 'Run' icon to see what happens - check this below :-

===============================================================================================================================

As we can clearly see the 'output' pane has reasonable looking rows of results.

I will leave it to you to manually and visually check that these are correct as far as you can tell.

Changing the Query, to make it more complex :

To change the original query we used above, I went back to the eBook and used the text directly from the page itself.

5. Modify the query by adding a WHERE clause.

Just before the ORDER BY clause, type WHERE w.Category = ‘Merlot’

This when pasted into the query pane looks like the following :-

=====================================================================

At first, you may not realise that we have any sort of problem at all, however, if we

now try to run the query, have it sent to the SQL server for evaluating, we get the following

error message in the 'Messages' pane.

Check this out :-

=========================================================================

Yes, we have a syntax error on the line we have just added / inserted.

The single quotes are in fact nice for book text display, and reading etc. !? , but are actually

incorrect - they are NOT the characters expected, and accepted by the query parsing system.

Check out the next image, that shown below :-

==================================================================================================

Yes, when we get our text delimiters correct, the whole of the string and delimiters should be red in colour.

So be warned, not everything you see, and copy in print is actually correct ;-0)

Check out manually for yourself that the results set is actually correct.

Lets move on a step or two .............

NULLs and Outer Joins :

Lets start at the 'end', sometimes a good place to start ;-0)

Checkout the following image details :-

=================================================================================================

Notice the highlighted four lines of T-SQL code, this chooses all of the Customer rows and if there is no

matching row in the Wine table the joined Wine columns (fields) are filled with 'Null' entries.

Anyone with some SQL experience may know that Outer Joins can be VERY useful in getting us sets of results

which otherwise would be extremely difficult to find.

Classic problems can easily be solved like - those customers not ordering last month (or since).

And, 'which product items did not move any units last month'.

Lets move on ...........

In the DB management portal we can see all the existing Tables, we will focus on Customer :-

===============================================================================================

If we now open the Customer table in edit mode we see the overall design, but we need a 'Data' view of things - check this out :-

========================================================================================================================

In the above image we are just about to click / tap / select the 'Data' icon, and when we do this brings up the following input screen :-

In this simple 'Data' view we can manually add new and extra rows. This is not the way we will usually work with SQL data however.

Check these details :-

=============================================================================================================================================================================

Yes, we have only three rows of data, for three different customers. Let us now try and add a fourth customer who has no favourite wine.

The new customer may like all wines ;-0)

Check out what appears to be a data entry issue / problem :-

==========================================================================================================================================

I tried various text entries into the field requiring a null entry (don't say null value !) and it simply appears that we need to use the icon at the

top of the data area (top right of the above image).

With the cursor in the required 'cell' we just click / tap the 'Null' icon button.

See below for what we see just after a we have added our entry in this way :-

===================================================================================

And now after adding two new guys who both like many wines, we see the following detail :-

=========================================================================================================================================

"REMEMBER" - the data is not data as such (in the database) until we choose to 'Save' it.

Until we select 'Save' we have the new data values or entries in the UI elements themselves, but not included

in the DB - here below we are doing a 'Save' :-

======================================================================================================

Once we have converted our new entries into data rows, we will see a change in the 'CustomerId' column as

the previous '<auto>' entries change to digital values - checkout below :-

===================================================================================================

Okay then folks, we now ought to be able to ask queries of our fuller data set.

Checkout the query shown below and try to work out why we don't see the new customer entries :-

================================================================================================

Yep! - above we see no 'Hepburns' - so lets change the query detail - check this below :-

==========================================================

Oops ! - we have done something wrong it would appear !?

Yes, it is quite simple to cause ourselves problems and issues - we need to know how the query

editor works, and make sure we use it correctly.

The issue above was caused because I had one line of code highlighted - in order to make a better screen

capture for these eNotes - one way of working for the query editor, if for the query to be sent which is

just all code text being highlighted at the time.

So if we highlight the complete query then we get what we expect - check below :-

===============================================================================================

Also we can run the query with no highlighting at all, and then the same result is seen.

When we get more experienced with SQL we sometimes wish to run only part of what code we have in the editor.

However, the highlighted text MUST make up a syntactically correct 'Query', or we will get errors ;-0)

Now then, back to our results, where are the Hepburns ?

Well, the 'Null' entries are not handled as we may expect by the 'WHERE' clause checking for a value less than 2015.

Nulls and their quirks are not a focus of this current work so believe me !

Let us try and change the query to show what we need to do :-

=======================================================================================

And there you are, as easy as using a single function called 'isnull', which takes two arguments.

HOWEVER, we are actually misusing the function to do a job better coded with syntax shown below.

Check this out before we discuss the two approaches :-

=======================================================================================

The above looks and feels better as a way to effect a sort of comparison !

The function is really to supply a value of either what the cell content is, or a default / threshold value.

Actually, the function 'IsNull( )' is probably best used in the SELECT statement.

Enough of querying for now, lets move on.

See you in the next subsection ....................

PHH - 27th. & 28th. November 2014.


Copying a local DB - 'SQL Server' to 'SQL Database'

Copying a local DB - 'SQL Server' to 'SQL Database'

Copying a local DB - 'SQL Server' to 'SQL Database'

 Previous topic Next topic

PHH - 28th. November 2014.


Appendix 'X' - Problems! and Fixes?

Appendix 'X' - Problems! and Fixes?

 Previous topic Next topic

Appendix 'X' - Problems! and Fixes?

 Previous topic Next topic

Okay then folks, to get us going in this appendix section, lets first see what it was that I saw on my screen,

just as I became aware that I had a problem - to this point I had had success for days with Virtual Machines

of two different 'flavours'.

Here is what filled me with dread and horror :-

=====================================================================================================

And even worse, when I clicked 'Close' the VM did not even attempt to launch.

Since I had been working with a lot of set-up and settings screens which were all a bit new and strange to me,

I was not expecting to be able to fix things myself ;-0((

The first thing I did was to try and launch a different VM, from the list available to me - see below :-

===========================================================================

When going back through my list I found each one was not launching and also displaying a similar

error box and message. Even the system made VMs would not launch - see the following screen capture

for the WVGA 512MB emulator :-

=================================================================================================

Yep once again it is a reference to issues with 'Ethernet' - so each of my error screens is reporting to

me that there is an issue with the network / internet / Ethernet port.

So it looks as though one or more settings has been changed on the 'Hyper-V' itself, and that this is

then affecting all VMs within the Manager.

To check out what we think, lets use the Manager tool to choose the last of the VMs in the list at the

left hand side - we then open up the settings screen for this VM and move the focus to the first of two

Network Adapter sections - see full details below :-

=========================================================================================================================================

By selecting as a virtual switch the 'Not connected' option, we may well be able to get the VM to launch, even though it won't then have

Internet connection and the likes.

Make sure that all Network Adapter section have been deselected.

When I tried my VM here I get get a launch (much to my relief) and when I tried to click (select) the Task bar icon for IE11 I got this below :-

============================================================================================================================================

Most things seemed to work OK except the Browser and Internet connection - which is NOT surprising.

At least the VM was not totally broken ;-0)

Moving on ...................

How to fix it :

If I remember correctly, I started by Googling with the error message from the error screen.

Anyway, quite quickly it became apparent that I needed to be focusing on the 'Virtual Switch' and its

set-up from the Manager.

Apparently it is NOT uncommon for Network Adapter settings to be lost for both Hyper-V and also VBX,

but for different reasons. An experienced colleague reports his VBX network settings were 'screwed' by

a fresh Visual Studio install of some description.

I will discuss later what I feel caused my particular issues with 'Hyper-V'.

Okay then guys, before we run off and get into 'Virtual Switches', let us remind ourselves of just what

related hardware we may have on our PC platform / system. Here below is what I have here - check it out :-

=============================================================================

Note in particular (above) the first entry under the Network adapters node / section. The one

entitled "Intel(R) 82579 Gigabit".

You will see this adapter referred to soon, when we try our settings repair exercise.

Lets move on a pace or two ..............

Making a Virtual Switch at the 'Hyper-V' level :

Lets make things quite clear about what we are about to do.

Although we need a Virtual Switch which we can then apply at an individual VM level. We do

need to create the switch for the 'Hyper-V' system, or Manager, itself.

So for my simple system here, we are looking at my 'BIG-T' entry - see below for full details :-

===========================================================================================================

In the above image we see that we are just about to select the Manager screen for 'Virtual Switches' on the

'BIG-T' Hyper-V system itself.

Now let us open the Virtual Switch manager and see what is there for us to select and use - check out the following :-

===========================================================================================================

Although in the above image we can see the mouse pointer highlighting the 'New' option, and hence we see on the

right hand side the related choices, we can also see in the left hand pane that I have already got a switch called

"NewVSwitchRepair" - you may even recognise the greyed out text of the hardware adapter as well.

It is quite easy to make a new switch, but let us first see what the one I made earlier looks like.

Study the following details carefully :-

================================================================================================================

In the above 'Manager' screen I have provided both a 'Name' and the short 'Notes' entry, manually myself.

Notice however, the particular 'External' network choice, selection and settings.

Be aware that we can make more than one switch, and that then we would need to select which switch we

require at the individual VM level.

Lets move on .....................

Creating a new Virtual Switch - with the Wi-Fi adapter :

Lets make and test a quite different Virtual Switch, one based on the Wi-Fi adapter I have on my desktop system.

While we are still in the above 'Manager' screen for Virtual Switches (for BIG-T) we can experiment with creating a

new one - another virtual switch.

In the image shown below I have simply clicked the 'New' entry at the top of the LHS pane. As you can see we get

default settings and selections based on the switch we already have. We can change these settings.

First of all, lets see the screen as provided by the Manager tool when we click 'New' - check this out :-

==========================================================================================================

And before we supply any manual text entry for Name and Notes, lets see what list options we have available to

us in the drop list - check out these details :-

===========================================================================================================

The second list item shown above, is our wireless adapter, so lets choose it.

We will also give the Name and Notes some text detail too - check this out below :-

============================================================================================================

And as you can see above we now have a suitable entry in the LHS pane, all we need do is Apply and OK.

Now then, after applying and closing the manager screen with an 'OK', we should see this 'warning' :-

======================================================================

The process takes quite a few seconds to complete, even on a fast computer system.

Maybe it took longer because it was a USB Wi-Fi device I was trying out - anyway, this

is what I saw on my monitor :-

==============================================================================================================

When this set-up procedure is completed we should be able to use either of our Virtual Switches with individually selected

VMs from our existing list.

What I am about to do is swap over to the Wi-Fi switch for the VM based on 'LinuxMint'.

Check out all the following details :-

=============================================================================================================

And after all this changing of settings we need to do some testing to see all is well.

Let us 'Start' the VM - that is launch Linux Mint :-

============================================================================================================

And now we need a software app or tool, which is or uses the Browser.

Lets get some news feeds as our first test :-

======================================================================================================================

And how about using a past (historic) URL to find Brian's Home page - just to check that this is 'live' :-

==================================================================================================

Okay folks, that is about it for the moment, enough of problems and fixes ;-0)

Lets move on to learn more 'stuff' from other sections of these eNotes.

PHH - 16th.October 2014.


Appendix 'Z' - convert a computer into a VM - 'Disk2vhd' tool

Appendix 'Z' - convert a computer into a VM - 'Disk2vhd' tool

 Previous topic Next topic

Appendix 'Z' - convert a computer into a VM - 'Disk2vhd' tool

 Previous topic Next topic

I was alerted to the possibility of turning my main desktop computer boot disk (device C:) into a VHD by

Johan Nell in S.A. [ VHD = virtual hard disk ]

Currently (at this moment) I am try out the software tool which he pointed me at - I am trying it out on the

Dell laptop behind me ;-0)

Fingers crossed !!!

*** Caution *** - we may NOT get a VHD which is 100% compatible with that required by Hyper-V !!!

However, the following sounds a bit more hopeful, as if the tool has now been 'future checked' with more

recent Windows versions etc.. - check this out :-

=========================================================================================================================

I am not very confident about doing things this way in the new world of Windows 10.

Make a big effort and re-build your machine from the bottom up with Windows 10, and make good use

of the chance to clean and tidy everything in sight.

BUT - here it is anyhow :-

http://www.howtogeek.com/howto/8054/how-to-turn-a-physical-computer-into-a-virtual-machine-with-disk2vhd/

==========================================================================================

This may help on the compatibility mode issue :-

https://technet.microsoft.com/en-us/sysinternals/ee656415.aspx

Oh! boy !! - it start to sound both messy and worrisome ;-0((

PHH - 17th. September 2015.


My trial with the Dell laptop

My trial with the Dell laptop

 Previous topic This is the last topic

My trial with the Dell laptop

 Previous topic This is the last topic

Well, there is only one real way to see if something is good, works, and does the job - and that is to

put it to the test - 'give it a go' as they say ;-0)

Currently, on the desk behind me, I am running the software tool from a USB drive and trying to turn the

Dell laptop main C: drive into a 'vhd' situated on the data drive 'D:' of the laptop.

Things seem to be progressing nicely, and since the final size looks to be over 200 MB then the process

is taking some time to complete.

If and when I have a 'vhd' created I will see if I can then copy it to my main D: drive here on my office desktop.

Once the 'vhd' is residing on local D: I will then try and make a VM out of it - I gather I have to mount it or

some-such similar process.

Fingers crossed - the screen say that it should be finished in about ten minutes time, which make the process

of doing the whole C: drive about an hour, I did not check the start time accurately.

Meanwhile, here is some information :-

https://technet.microsoft.com/en-us/sysinternals/ee656415.aspx

Lets move on a step or two ........................

Making a Start to using "Disk2vhd" :

This is an easy tool to locate, download, and then run. Here is the opening / main screen :-

==========================================================================================================

Be aware that in the above image we see that all check boxes are selected (checked), this is NOT what I wish

for my trial - I only want to try using the main boot disk of C: so I need to change the selections.

Another mistake which was the default setting and 'catch-you-out' is the fact that an automatic entry has been

made for the 'VHD File name' - the tool has chosen drive 'F:' because this is from where I launched the tool.

We need to select drive D: for my test purposes - it does have over 400 GB free and we need just over 200 GB.

If I do try and continue I get the following -:-

==========================================================================================================

Lets now make the required changes - study the following image details :-

===========================================================

And now also this :-

============================================================================================

Well this looks okay, now we click the 'Create' button to set the process into motion.

Here is the VERY start of the creation :-

===========================================================================================================================

And here is a snapshot when we are well through the creation process :-

=============================================================================================================================

From my observations it would appear that the time shown at the RHS near the bottom, is actually a finish, or

completion time estimated by the tool, it keeps updating this regularly, and I finished at just before 15:15 or

quarter past 3 in UK old terminology.

At the very start of the process the estimated time is rather inaccurate.

Okay guys, now the finish is to be observed - check below :-

==============================================================================================================================

Now we need to press 'Close' and keep well away from the in-focus 'Create' button.

=================================================================================================================================

=======================================================================================================================

=======================================================================================

PHH - 17th. September 2015.